2026-03-05  Waldek Hebisch  <cas@fricas.org>

	* src/lisp/fricas-lisp.lisp: Increase GCL reserved space

2026-02-26  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/fmt1d.spad, src/algebra/fmt2d.spad:
	*src/algebra/fmtlatex.spad, src/algebra/fmtmathjax.spad,
	src/input/outputtest.input: small fixes for jfricas rendering

2026-02-24  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/gaussian.spad: Implement 'sqrt' in
	Complex(F) for real closed F

2026-02-23  Waldek Hebisch  <cas@fricas.org>

	* src/lisp/fricas-lisp.lisp: Fix DEFCONST

2026-02-22  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-op2.boot, src/interp/g-boot.boot,
	src/interp/g-util.boot, src/interp/i-output.boot,
	src/interp/int-top.boot, src/interp/macros.lisp,
	src/interp/msg.boot, src/interp/serror.boot: Misc cleanups

2026-02-22  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/jet.spad, src/algebra/string.spad:
	Fix latent bugs

2026-02-22  Qian Yun <oldk1331@gmail.com>

	* src/sman/sman.c: Remove unused '-comp' option

2026-02-20  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-search.boot, src/interp/br-util.boot,
	src/interp/c-doc.boot, src/interp/c-util.boot,
	src/interp/functor.boot, src/interp/vmlisp.lisp:
	Misc cleanups

2026-02-19  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/amodgcd.spad, src/algebra/alql.spad:
	Minor cleanup

2026-02-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/util.lisp: Remove GCL specific
	'init-memory-config'

2026-02-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/msgdb.boot, src/interp/pf2sex.boot,
	src/interp/i-spec1.boot, src/interp/i-eval.boot:
	Better support for inline messages

2026-02-19  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/efstruc.spad, src/algebra/elfuts.spad,
	src/algebra/fs2expxp.spad, src/algebra/special2.spad,
	src/algebra/fdalg.spad: More adequate conditions
	src/algebra/mantepse.spad: Use 'recip' as it needs
	weaker condition

2026-02-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/format.boot, src/interp/i-syscmd.boot:
	Simplify ')show' of operations

2026-02-19  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/amodgcd.spad: Add 'alg_exquo'

2026-02-17  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/alql.spad: Implement IndexCard using
	BrowserInformation

2026-02-13  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/array2.spad: bugfix: wrong initialization of number
	of rows and columns

2026-02-04  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/alql.spad: Fix mergeDifference

2026-02-03  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/intspec.spad: Prefer real
	elliptic functions

2026-01-29  Gregory Vanuxem  <g.vanuxem@gmail.com>

	* src/algebra/hypertex.spad, src/algebra/texd.spad:
	Minor cleanup

2026-01-21  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/aggcat.spad, src/algebra/alg_top.spad,,
	src/algebra/algfunc.spad, src/algebra/array1.spad,
	src/algebra/bags.spad, src/algebra/catdef.spad,
	src/algebra/clifford.spad, src/algebra/combfunc.spad,
	src/algebra/cyldec.spad, src/algebra/derham.spad,
	src/algebra/elfuts.spad, src/algebra/expr.spad,
	src/algebra/ffdoms.spad, src/algebra/fffg.spad,
	src/algebra/fortran.spad, src/algebra/gaussfac.spad,
	src/algebra/geneez.spad, src/algebra/gpresent.spad,
	src/algebra/ideal.spad, src/algebra/idecomp.spad,
	src/algebra/irsn.spad, src/algebra/laplace.spad:
	Minor style cleanup

2026-01-19  Waldek Hebisch  <cas@fricas.org>

	Improve BrowserInformation
	* src/algebra/hypertex.spad: Beter interface,
	small cleanup
	src/algebra/Makefile.in: Adjust

2026-01-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/sfsfun.boot: Remove unused functions

2026-01-15  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-data.boot: Do not split gloss lines

2026-01-15  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br_sup.boot: Add package declaration

2026-01-15  Waldek Hebisch  <cas@fricas.org>

	Add a missing function
	* src/interp/br_sup.boot: Add missing function
	src/algebra/hypertex.spad, src/interp/Makefile.in:
	Adjust

2026-01-14  Waldek Hebisch  <cas@fricas.org>

	* src/doc/ht/util.ht, src/interp/c-doc.boot: Remove unused
	Hypertex macros

2026-01-05  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-search.boot: Fix spadType to work with
	strings

2026-01-05  Waldek Hebisch  <cas@fricas.org>

	Add a package giving browser information
	* src/algebra/hypertex.spad: New file

2026-01-05  Waldek Hebisch  <cas@fricas.org>

	* src/interp/c-doc.boot: Do not put empty groups
	after commas

2026-01-04  Waldek Hebisch  <cas@fricas.org>

	Add TeX parser
	* src/algebra/texd.spad: New file
	src/algebra/Makefile.in: Adjust

2026-01-04  Waldek Hebisch  <cas@fricas.org>

	* src/interp/functor.boot: Fix missing categories in DMP

2026-01-03  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/u32vec.spad: New package for modular matrix
	operations
	src/algebra/ffact.spad: Use it instead of own functions
	src/lisp/primitives.lisp: Add support for linear (row
	major) indexing
	src/algebra/Makefile.in: Adjust

2026-01-03  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rdeefx.spad: Allow differing minimal
	indices in map between matrix domains

2025-12-29  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-data.boot, src/interp/define.boot,
	src/lib/sockio-c.c: Minor cleanups

2025-11-10  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/combinat.spad: correct
	stirling1(0,0)=stirling2(0,0)=1

2025-10-08  Qian Yun <oldk1331@gmail.com>

	* src/etc/Makefile.in: Workaround out-of-source build issue
	with CLISP

2025-10-08  Qian Yun <oldk1331@gmail.com>

	* configure.ac, Makefile.in, src/interp/Makefile.in,
	src/interp/util.lisp, src/lisp/fricas-lisp.lisp:
	Support building FRICASsys as Lisp core file

2025-10-06  Qian Yun <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp: Fix keyword arguments in
	'save-lisp-and-die' for sbcl-2.5.3+

2025-08-06  Waldek Hebisch  <cas@fricas.org>

	* src/lisp/primitives.lisp: New macro to support callbacks
	from Boot to Spad
	src/interp/i-syscmd.boot: Use new macro
	src/interp/clam.boot: Clean callbacks

2025-08-06  Waldek Hebisch  <cas@fricas.org>

	* src/interp/m_util.boot, src/interp/s_supp.lisp:
	Add some helper functions

2025-07-27  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/catdef.spad, src/algebra/poly.spad,
	src/algebra/polycat.spad: Do not export charthRoot
	from CharacteristicNonZero

2025-07-27  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/sturm.spad: Weaken condition on argument

2025-07-23  Waldek Hebisch  <cas@fricas.org>

	* src/interp/database.boot, src/interp/i-spec1.boot:
	Minor cleanup

2025-07-21  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/lie.spad: Correct error message

2025-07-07  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/newpoly.spad, src/algebra/nregset.spad:
	Do not export ConvertibleTo(String) from
	RecursivePolynomialCategory

2025-07-05  Waldek Hebisch  <cas@fricas.org>

	* src/doc/ht/util.ht: Pass more requests as strings

2025-07-01  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/hashstate.spad: remove unused "modulo"

2025-06-29  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-con.boot, src/interp/br-saturn.boot,
	src/interp/br-search.boot, src/interp/br-util.boot,
	src/interp/msgdb.boot: Misc cleanups

2025-06-27  Gregory Vanuxem  <g.vanuxem@gmail.com>

	* src/interp/g-boot.boot: Also handle "NOT"

2025-06-23  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/interval.spad, src/algebra/Makefile.in: add
	AIntervalCategory and AInterval

2025-06-23  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fs2ups.spad, src/algebra/reclos.spad,
	src/algebra/sf.spad, src/algebra/zerodim.spad:
	Cleanup conditions

2025-06-23  Waldek Hebisch  <cas@fricas.org>

	* src/doc/ht/util.ht, src/interp/br-con.boot,
	src/interp/br-op1.boot, src/interp/c-util.boot:
	Misc cleanups

2025-06-22  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/catdef.spad: add OrderedMonoid to OrderedRing

2025-06-21  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/catdef.spad, src/algebra/Makefile.in: move abs from
	OrderedRing to OrderedAbelianGroup

2025-06-20  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-op1.boot, src/interp/br-op2.boot,
	src/interp/br-saturn.boot, src/interp/match.boot:
	Misc cleanups

2025-06-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-search.boot, src/doc/ht/man0.ht:
	Use strings to pass search patterns

2025-06-17  Waldek Hebisch  <cas@fricas.org>

	* src/interp/c-util.boot, src/interp/format.boot,
	src/interp/g-opt.boot, src/interp/g-timer.boot,
	src/interp/i-analy.boot, src/interp/i-funsel.boot,
	src/interp/i-map.boot, src/interp/i-spec1.boot,
	src/interp/i-syscmd.boot, src/interp/macex.boot,
	src/interp/macros.lisp, src/interp/slam.boot,
	src/interp/vmlisp.lisp: Misc cleanups

2025-06-16  Waldek Hebisch  <cas@fricas.org>

	* src/interp/database.boot: Minor cleanup

2025-06-16  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/padecf.spad: New file, add
	package for converting Taylor series to
	continuous C-fractions

2025-06-15  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/sttaylor.spad: Generalize Taylor series
	operations
	src/algebra/Makefile.in: Adjust

2025-06-14  Waldek Hebisch  <cas@fricas.org>
	    Gregory Vanuxem  <g.vanuxem@gmail.com>

	* src/interp/i-resolv.boot: Avoid strange types

2025-06-11  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-op1.boot, src/interp/br-search.boot,
	src/interp/clam.boot, src/interp/setq.lisp:
	Minor cleanup

2025-06-07  Waldek Hebisch  <cas@fricas.org>

	* src/interp/c-doc.boot, src/interp/clammed.boot,
	src/interp/compiler.boot, src/interp/database.boot,
	src/interp/format.boot, src/interp/g-cndata.boot,
	src/interp/gdata.boot, src/interp/i-analy.boot,
	src/interp/i-toplev.boot, src/interp/lisplib.boot,
	src/interp/msgdb.boot, src/share/doc/msgs/s2-us.msgs:
	Put some messages inline

2025-06-07  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/ffdoms.spad, src/interp/br-data.boot,
	src/interp/cattable.boot, src/interp/msg.boot,
	src/interp/msgdb.boot, src/interp/nrunopt.boot:
	Minor cleanup

2025-06-06  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fname.spad, src/interp/as.boot,
	src/interp/br-data.boot, src/interp/compiler.boot,
	src/interp/define.boot, src/interp/gdata.boot,
	src/interp/i-syscmd.boot, src/interp/i-toplev.boot,
	src/interp/lisplib.boot, src/interp/m_util.boot,
	src/interp/msgdb.boot, src/interp/nlib.lisp,
	src/interp/s_supp.lisp, src/interp/setvars.boot,
	src/interp/vmlisp.lisp, src/lisp/fricas-lisp.lisp:
	Use strings to represent pathnames
	src/interp/pathname.boot: remove
	src/interp/Makefile.in: Adjust

2025-06-06  Waldek Hebisch  <cas@fricas.org>

	* src/interp/g-boot.boot: Simplify MKPF

2025-06-06  Waldek Hebisch  <cas@fricas.org>

	* src/etc/Makefile.in: Better clean

2025-06-06  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/matcat.spad: Use qnew

2025-06-04  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/matcat.spad: Factor out common part of
	of matrix categories
	src/algebra/Makefile.in, src/algebra/exposed.lsp: Adjust

2025-06-04  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/constant.spad, src/algebra/rdeefx.spad,
	src/interp/gdata.boot, src/interp/i-funsel.boot,
	src/interp/i-resolv.boot, src/interp/nrunfast.boot,
	src/interp/postpar.boot: Misc cleanups

2025-06-03  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/intspec.spad: Prefer real weierstrassPInverse

2025-06-02  Waldek Hebisch  <cas@fricas.org>

	* src/interp/cattable.boot: Better simplify type
	conditions

2025-06-01  Waldek Hebisch  <cas@fricas.org>
	    Qian Yun <oldk1331@gmail.com>

	* src/interp/clam.boot: Call 'clearClam' from
	'clearConstructorCaches'

2025-05-31  Qian Yun <oldk1331@gmail.com>

	* src/interp/i-spec2.boot: Avoid infinite recursion
	evaluating 'typeOf()'

2025-05-31  fahasch  <fahasch@yahoo.de>

	* src/algebra/aggcat.spad: Implement setchildren! for BRAGG

2025-05-28  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rdeefx.spad: Handle more algebraic
	cases

2025-05-27  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fortran.spad: Fix and simplify
	SimpleFortranProgram

2025-05-25  Waldek Hebisch  <cas@fricas.org>

	* src/interp/cparse.boot, src/interp/database.boot,
	src/interp/i-syscmd.boot, src/interp/setq.lisp:
	Minor cleanups

2025-05-24  Waldek Hebisch  <cas@fricas.org>

	* src/interp/s_supp.lisp, src/interp/m_util.boot,
	src/interp/nlib.lisp, src/interp/int-top.boot,
	src/interp/i-toplev.boot:  Avoid double slashes
	in file names

2025-05-24  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-toplev.boot: Catch errors in FriCAS
	init file

2025-05-21  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-analy.boot: Prefer literal meaning of
	recored and union tags

2025-05-20  Waldek Hebisch  <cas@fricas.org>

	* src/doc/Makefile.in, src/interp/apply.boot,
	src/interp/ax.boot, src/interp/br-data.boot,
	src/interp/br-op1.boot, src/interp/br-util.boot,
	src/interp/define.boot, src/interp/format.boot,
	src/interp/g-opt.boot, src/sman/session.c:
	Minor cleanups

2025-05-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-syscmd.boot: Use koOps in interpreter
	')show'

2025-05-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-op2.boot: Improve and simplify koOps

2025-05-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/format.boot: Print 'exquo' as infix
	operator

2025-05-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-op1.boot: Partially fix evalDomainOpPred

2025-05-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/cattable.boot: Fix simpHasPred

2025-05-18  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/naalgc.spad, src/algebra/naalg.spad:
	Remove unneeded messages

2025-05-17  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/aggcat.spad, src/algebra/string.spad: introduce
	string join with separator

2025-05-17  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-syscmd.boot, src/interp/server.boot:
	Do not leak macros in 'parse'

2025-05-17  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-spec2.boot: Avoid double evaluation in
	multiple assignment

2025-05-17  Waldek Hebisch  <cas@fricas.org>

        * src/interp/info.boot: Better handle conditions
	containing %

2025-05-16  Waldek Hebisch  <cas@fricas.org>

	* src/interp/cattable.boot, src/interp/br-data.boot:
	Cleaner list of ancestors

2025-05-16  Waldek Hebisch  <cas@fricas.org>

	* Makefile.in: Add toplevel targets for building
	documentation

2025-05-16  Waldek Hebisch  <cas@fricas.org>

	* src/interp/cparse.boot: Allow "==>" in 'where'

2025-05-16  Waldek Hebisch  <cas@fricas.org>

	* src/interp/cparse.boot: Correct a thinko

2025-05-13  Waldek Hebisch  <cas@fricas.org>

	* src/interp/spaderror.lisp: Remove
	src/interp/g-error.boot, src/interp/s_supp.lisp,
	src/interp/util.lisp: Move functionality here

2025-05-11  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/outform.spad, src/algebra/string.spad,
	src/interp/c-doc.boot, src/interp/clam.boot,
	src/interp/clammed.boot, src/interp/g-util.boot,
	src/interp/i-eval.boot, src/interp/i-funsel.boot,
	src/interp/i-intern.boot, src/interp/i-output.boot,
	src/interp/i-spec2.boot, src/interp/i-syscmd.boot,
	src/interp/i-toplev.boot, src/interp/int-top.boot,
	src/interp/lisplib.boot, src/interp/m_util.boot,
	src/interp/msg.boot, src/interp/msgdb.boot,
	src/interp/posit.boot, src/interp/s_supp.lisp,
	src/interp/scan.boot, src/interp/setvars.boot,
	src/interp/spad.lisp, src/interp/trace.boot,
	src/interp/vmlisp.lisp: Misc cleanups

2025-05-11  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-search.boot, src/interp/msgdb.boot:
	Better suppress console messages from HyperDoc

2025-05-06  Waldek Hebisch  <cas@fricas.org>

	* src/boot/ptyout.boot: Handle Boot loops in command line

2025-05-06  Waldek Hebisch  <cas@fricas.org>

	* src/lisp/fricas-lisp.lisp: Better DEFCONST

2025-05-05  Waldek Hebisch  <cas@fricas.org>

	* src/interp/buildom.boot, src/interp/clam.boot,
	src/interp/define.boot, src/interp/format.boot,
	src/interp/g-boot.boot, src/interp/i-output.boot,
	src/interp/i-syscmd.boot, src/interp/int-top.boot,
	src/interp/macros.lisp, src/interp/msgdb.boot,
	src/interp/slam.boot, src/interp/spad.lisp,
	src/interp/util.lisp, src/interp/vmlisp.lisp:
	Misc cleanups

2025-05-04  Waldek Hebisch  <cas@fricas.org>

	* src/interp/as.boot, src/interp/br-con.boot,
	src/interp/br-data.boot, src/interp/br-op1.boot,
	src/interp/br-op2.boot, src/interp/define.boot,
	src/interp/gdata.boot, src/interp/interop.boot,
	src/interp/lisplib.boot: Misc HyperDoc and
	database cleanups

2025-04-30  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/integer.spad, src/interp/define.boot
	src/interp/info.boot, src/interp/lisplib.boot,
	src/interp/modemap.boot, src/interp/nruncomp.boot:
	Misc cleanups

2025-04-29  Waldek Hebisch  <cas@fricas.org>

	* src/interp/slam.boot: Define compute function first

2025-04-24  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-data.boot, src/interp/br-search.boot:
	Simplify comdb handling

2025-04-22  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/files.spad: Minor cleanup

2025-04-19  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/xpfact.spad: Add 'rdivide'

2025-04-14  Waldek Hebisch  <cas@fricas.org>

	* configure.ac: Allow build with gcl-2.7.1

2025-04-06  Waldek Hebisch  <cas@fricas.org>

	* config/config.sub: Fix a typo

2025-04-06  Waldek Hebisch  <cas@fricas.org>

	* src/clef/spadbuf.c: Remove useless obsolete declaration

2025-04-04  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/interval.spad: fix implementation of unit?

2025-03-18  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fourier.spad: Fix FourierSeries

2025-03-18  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/algfact.spad, src/algebra/expr.spad:
	Remove most uses of Kernel(AlgebraicNumber)

2025-03-17  Waldek Hebisch  <cas@fricas.org>
	    Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/kl.spad: Remove useless parameter

2025-03-16  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/fmt1d.spad: fix printing of "_""

2025-03-13  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/expr.spad: Fix coercion to algebric
	numbers

2025-03-01  Qian Yun  <oldk1331@gmail.com>

	* src/interp/server.boot, src/sman/session.c:
	Fix the logic of printing the first prompt,
	avoid output truncation at beginning

2025-02-12  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/logic.spad: Remove two unused functions

2025-02-12  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/logic.spad: Clean up Poset

2025-02-04  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-map.boot: Fix multiple assignment in
	interpreter functions

2025-02-03  Camm Maguire <camm@transcendence.maguirefamily.org>

	* src/include/com.h, src/lib/cfuns-c.c, src/lib/sockio-c.c,
	src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp,
	src/lisp/primitives.lisp, src/lisp/Makefile.in,
	src/interp/foam_l.lisp, src/interp/i-funsel.boot,
	src/interp/i-toplev.boot, src/interp/lisplib.boot,
	src/interp/macros.lisp, src/interp/nlib.lisp,
	src/interp/util.lisp, src/interp/vmlisp.lisp: Update
	GCL support

2025-01-28  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/intpar.spad: Add check for no solution

2025-01-15  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rsimp.spad: Slighty simpler results

2025-01-13  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fops.spad: Fix writing specialized arrays
	in GCL

2025-01-11  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/charpol.spad: Implement Berkowitz algorithm
	src/algebra/eigen.spad: Use it
	src/algebra/Makefile.in: Adjust

2025-01-11  Waldek Hebisch  <cas@fricas.org>

	* src/interp/bc-misc.boot: Correct a typo

2025-01-10  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/vsbasis.spad: Fix 'isBasis?' and
	'complementSpace'

2025-01-09  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/Makefile.in, src/algebra/fops.spad,
	src/interp/bc-matrix.boot, src/interp/bc-misc.boot,
	src/interp/bc-solve.boot, src/interp/br-con.boot,
	src/interp/br-saturn.boot, src/interp/br-search.boot,
	src/interp/ht-util.boot, src/interp/i-funsel.boot:
	Minor cleanups

2025-01-08  Waldek Hebisch  <cas@fricas.org>

	* src/interp/bc-solve.boot: Correct a typo

2025-01-05  Gregory Vanuxem  <g.vanuxem@gmail.com>

	* src/etc/SPADEDIT, src/hyper/spadint.c,
	src/sman/sman.c: Allow choice of terminal emulator

2024-12-23  Waldek Hebisch  <cas@fricas.org>

	* src/interp/htsetvar.boot: Fix recent change

2024-12-22  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/xhash.spad, src/algebra/hashstate.spad: use rem
	instead of positiveRemainder

2024-12-20  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-con.boot, src/interp/br-op1.boot,
	src/interp/br-op2.boot, src/interp/br-saturn.boot,
	src/interp/br-search.boot, src/interp/br-util.boot,
	src/interp/htsetvar.boot: Cleanup and simplify
	HyperDoc

2024-12-20  Waldek Hebisch  <cas@fricas.org>

	* src/interp/bc-solve.boot, src/interp/br-data.boot,
	src/interp/htsetvar.boot: Improve style

2024-12-20  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-util.boot, src/interp/database.boot:
	Small HyperDoc fixes

2024-12-20  Waldek Hebisch  <cas@fricas.org>

	* src/interp/m_util.boot, src/interp/nlib.lisp: Fix build
	with ECL

2024-12-20  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-syscmd.boot: Fix recent change

2024-12-07  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fops.spad: New file, implement part of file
	handling in Spad
	src/algebra/files.spad: Use fops.spad
	m_util.boot src/interp: New file, support for fops.spad
	src/interp/s_supp.lisp: Add support for m_util.boot and
	fops.spad
	src/interp/i-syscmd.boot: Use new routines, remove old
	src/input/files.input: New test file
	src/input/Makefile.in, src/interp/database.boot,
	src/interp/gdata.boot, src/interp/i-syscmd.boot,
	src/interp/lisplib.boot, src/interp/nlib.lisp,
	src/algebra/Makefile.in, src/input/Makefile.in,
	src/interp/Makefile.in: Adjust

2024-12-07  Waldek Hebisch  <cas@fricas.org>

	* src/interp/compat.boot, src/interp/define.boot,
	src/interp/g-util.boot, src/interp/i-syscmd.boot,
	src/interp/lisplib.boot, src/interp/pathname.boot:
	Misc cleanups

2024-12-07  Waldek Hebisch  <cas@fricas.org>

	* src/lisp/primitives.lisp, src/interp/g-error.boot,
	src/interp/spaderror.lisp: Allow trapping Spad errors
	in Boot

2024-12-03  Qian Yun  <oldk1331@gmail.com>

	* src/lib/sockio-c.c: Fix build with gcc-14 on musl

2024-11-28  Waldek Hebisch  <cas@fricas.org>

	* config/config.sub: Skip meaningless vendor
	part

2024-11-14  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/derham.spad: Minor cleanup

2024-11-03  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/sttaylor.spad: division of streams with less memory

2024-10-21  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/num_gmp.lisp: Save a few bytes for GMP-gcd in CCL

2024-10-21  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp: Workaround CLISP 'truename' bug

2024-10-18  Qian Yun  <oldk1331@gmail.com>

	* src/lib/gmp_wrap.c: Fix GMP for CCL on Windows

2024-10-16  Qian Yun  <oldk1331@gmail.com>

	* src/interp/util.lisp, src/interp/int-top.boot:
	Fix ')fin' for ECL

2024-09-29  Qian Yun  <oldk1331@gmail.com>

	* src/include/sockio-c.H1, src/lib/sockio-c.c,
	src/lisp/fricas-lisp.lisp: Fix build with GCL and gcc-14

2024-09-19  Qian Yun  <oldk1331@gmail.com>

	* src/interp/trace.boot: Use '$LINELENGTH' in ')trace )math'

2024-09-07  Qian Yun  <oldk1331@gmail.com>

	* config/var-def.mk, src/*/Makefile.in:
	Respect user supplied CFLAGS/LDFLAGS

2024-08-29  Qian Yun  <oldk1331@gmail.com>
            Grégory Vanuxem  <g.vanuxem@gmail.com>

	* src/etc/fricas-readline: support more break-chars

2024-08-28  Waldek Hebisch  <cas@fricas.org>

	* src/interp/ht-root.boot, src/interp/setvart.boot: Small
	HyperDoc fixes

2024-08-28  Waldek Hebisch  <cas@fricas.org>

	* src/interp/ht-root.boot: Remove unused code

2024-08-27  Waldek Hebisch  <cas@fricas.org>

	New routines for converting floats to strings
	* src/algebra/flopak.spad: New file
	src/algebra/float.spad, src/algebra/sf.spad: Use
	new routines
	src/interp/Makefile.in: Adjust

2024-08-12  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/special2.spad: Implement more cases of
	complex 'polygamma'

2024-07-23  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/*: Add more explicit imports

2024-07-21  Frederic Chapoton

	* src/*: Spelling fixes

2024-07-09  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/special2.spad: Add complex 'polygamma'
	src/algebra/special.spad: remove old version of polygamma'

2024-07-08  Waldek Hebisch  <cas@fricas.org>

	* src/interp/showimp.boot: Remove
	src/interp/Makefile.in: Adjust

2024-07-08  Waldek Hebisch  <cas@fricas.org>

	* src/interp/lisplib.boot: Fix loading messages

2024-07-08  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/catdef.spad: Implement missing signature

2024-07-08  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/manip.spad: Handle nested roots in 'rootSplit'
	and 'rootFactor'

2024-07-08  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/manip.spad, src/interp/i-funsel.boot:
	Minor cleanups

2024-07-08  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/combfunc.spad, src/algebra/expr.spad,
	src/algebra/op.spad, src/algebra/trigcat.spad:
	Add more orthogonal polynomials

2024-07-04  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-syscmd.boot: Fix show using editor

2024-07-03  Peter Broadbery  <p.broadbery@gmail.com>

	* src/interp/ax.boot: Support self-referential constructors
	in Aldor interface

2024-07-03  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-output.boot: Put no space between function
	name and arguments

2024-07-01  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fspace.spad: Re-apply change from 05-26
	src/algebra/Makefile.in, src/algebra/constant.spad,
	src/algebra/exposed.lsp, src/algebra/expr.spad,
	src/interp/i-funsel.boot: Adjust

2024-06-29  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/Makefile.in: Fix build from pregenerated
	files

2024-06-29  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/view2D.spad: Correct off by 1 error

2024-06-26  Qian Yun  <oldk1331@gmail.com>
            Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/*: Support building reference book with pdflatex,
	update bitmap screenshots in src/doc/ps/ to src/doc/png/

2024-06-26  Qian Yun  <oldk1331@gmail.com>
            Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/*: Use PS format image in reference book

2024-06-22  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fspace.spad: Temporarily revert previous
	change to allow building Aldor interface
	src/algebra/Makefile.in, src/algebra/constant.spad,
	src/algebra/exposed.lsp, src/algebra/expr.spad,
	src/interp/i-funsel.boot: Adjust

2024-06-12  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/event.c: Exit HyperDoc launched by ')hd' properly
	when FriCAS quits

2024-06-02  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/special2.spad: Implement numeric 'riemannZeta'

2024-06-02  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/special2.spad: Misc cleanups

2024-05-31  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rsimp.spad: Correct a typo

2024-05-27  Waldek Hebisch  <cas@fricas.org>

	* src/interp/define.boot: Add missing initialization

2024-05-27  Qian Yun  <oldk1331@gmail.com>

	* src/lib/util.c, src/include/util.H1, src/graph/view3D/header.h,
	src/graph/include/spadAction3d.H1, src/graph/viewman/fun3D.c,
	src/graph/view3D/spadAction3d.c, src/graph/view3D/viewport3d.c,
	src/graph/include/spadAction2d.H1, src/graph/viewman/fun2D.c,
	src/graph/view2D/spadAction2d.c, src/graph/view2D/viewport2D.c:
	Fix memory issues related with graph title.
	Add new function 'readViewmanStr'.

2024-05-26  Waldek Hebisch  <cas@fricas.org>
	    suggested by LdBeth

	* src/graph/viewAlone/spoon2D.c, src/graph/viewAlone/spoonComp.c:
	Include declaration of 'fricas_sleep'

2024-05-26  Waldek Hebisch  <cas@fricas.org>

	* src/interp/format.boot, src/interp/i-funsel.boot:
	Print more info about function selection

2024-05-26  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fspace.spad: Generalize ExpressionSpace and
	FunctionSpace
	src/algebra/Makefile.in, src/algebra/constant.spad,
	src/algebra/exposed.lsp, src/algebra/expr.spad,
	src/interp/i-funsel.boot: Adjust

2024-05-25  Grégory Vanuxem  <g.vanuxem@gmail.com>

	* src/lisp/fricas-lisp.lisp: Simplify creation of
	Clozure CL image, do not use 'fricas-application'

2024-05-21  Waldek Hebisch  <cas@fricas.org>

	* src/interp/g-cndata.boot, src/interp/i-analy.boot,
	src/interp/i-coerce.boot, src/interp/i-eval.boot,
	src/interp/i-funsel.boot, src/interp/i-intern.boot,
	src/interp/i-map.boot, src/interp/i-output.boot,
	src/interp/i-resolv.boot, src/interp/i-spec1.boot,
	src/interp/i-spec2.boot, src/interp/i-syscmd.boot,
	src/interp/slam.boot, src/interp/trace.boot:
	Simplify interpreter environment access

2024-05-19  Waldek Hebisch  <cas@fricas.org>

	* src/interp/define.boot, src/interp/info.boot:
	Simplify modemap handling

2024-05-18  Waldek Hebisch  <cas@fricas.org>

	* src/interp/apply.boot: Allow false condition
	in signatures

2024-05-18  Waldek Hebisch  <cas@fricas.org>

	* src/boot/typrops.boot, src/interp/i-funsel.boot,
	src/interp/i-spec2.boot, src/interp/i-syscmd.boot:
	Cleanup of Boot renamings

2024-05-16  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rsimp.spad, src/algebra/solverad.spad:
	Improve 'radicalSolve'

2024-05-14  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fr.spad, src/interp/macros.lisp:
	Do not use Lisp order in Factored

2024-05-14  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/ffdoms.spad, src/algebra/multpoly.spad,
	src/algebra/poly.spad: Add Canonical to some domains

2024-05-14  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp:
	Fixup Clozure CL build on Windows

2024-05-14  Qian Yun  <oldk1331@gmail.com>

	* src/interp/lisplib.boot, src/interp/pathname.boot:
	Fix 'isSystemDirectory' on Windows

2024-05-12  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-toplev.boot: Correct a typo

2024-05-10  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-toplev.boot: Fix recent breakage

2024-05-09  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/symbol.spad, src/interp/g-util.boot,
	src/interp/i-coerfn.boot, src/interp/i-resolv.boot,
	src/interp/macros.lisp, src/interp/simpbool.boot,
	src/interp/vmlisp.lisp: Simplify and fix ordering
	predicate

2024-05-08  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/pfr.spad: Refactor PartialFraction

2024-05-07  Qian Yun  <oldk1331@gmail.com>

	* src/sman/sman.c, src/sman/spadclient.c:
	Use workaround to reduce chance of missing output lines
	when system load is high

2024-05-06  Waldek Hebisch  <cas@fricas.org>
	    Grégory Vanuxem  <g.vanuxem@gmail.com>

	* src/algebra/exposed.lsp: Small cleanup

2024-05-04  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-con.boot: Silence time and storage
	messages from HyperDoc

2024-05-04  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/solverad.spad: Fix regression in
	'radicalSolve'

2024-05-04  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/htex/ug10.htex, src/doc/htex2input.awk,
	src/doc/spool2tex.awk, rc/doc/ugepsf.awk:
	fix \noOutputXtc to produce no output in the .tex file

2024-05-02  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/view2D.spad:
	Show units by default when 'unit' option is passed to 'draw'

2024-05-01  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-search.boot, src/interp/ht-root.boot:
	Fix HyperDoc logical search

2024-05-01  Qian Yun  <oldk1331@gmail.com>

	* src/graph/Gdraws/Gfun.c, src/graph/Gdraws/ps_files/header.ps,
	src/graph/Gdraws/ps_files/drawIstr.ps:
	Use bigger font in title for PS image output

2024-05-01  Qian Yun  <oldk1331@gmail.com>

	* src/graph/Gdraws/Gfun.c, src/interp/util.lisp:
	Misc fix 'filecopy' and '|waitForViewport|'

2024-05-01  Waldek Hebisch  <cas@fricas.org>

	* src/interp/compiler.boot: Silence some redundant warnings

2024-05-01  Waldek Hebisch  <cas@fricas.org>

	* src/interp/parse.boot: Correct transformation of 'has'

2024-04-30  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-con.boot, src/interp/br-data.boot,
	src/interp/br-saturn.boot, src/interp/br-search.boot,
	src/interp/br-util.boot, src/interp/c-doc.boot,
	src/interp/c-util.boot, src/interp/compiler.boot,
	src/interp/define.boot, src/interp/format.boot,
	src/interp/g-cndata.boot, src/interp/g-timer.boot,
	src/interp/ht-util.boot, src/interp/i-analy.boot,
	src/interp/i-coerce.boot, src/interp/i-funsel.boot,
	src/interp/i-intern.boot, src/interp/i-map.boot,
	src/interp/i-output.boot, src/interp/i-spec2.boot,
	src/interp/i-syscmd.boot, src/interp/i-toplev.boot,
	src/interp/info.boot, src/interp/int-top.boot,
	src/interp/interop.boot, src/interp/lisplib.boot,
	src/interp/macros.lisp, src/interp/msgdb.boot,
	src/interp/ncomp.boot, src/interp/nlib.lisp,
	src/interp/nruncomp.boot, src/interp/postpar.boot,
	src/interp/scan.boot, src/interp/setq.lisp,
	src/interp/setvart.boot, src/interp/showimp.boot,
	src/interp/trace.boot, src/interp/util.lisp,
	src/lisp/Makefile.in, src/lisp/fricas-lisp.lisp,
	src/lisp/fricas-package.lisp, src/scripts/build_helper:
	Misc cleanups

2024-04-29  Waldek Hebisch  <cas@fricas.org>

	* src/interp/c-util.boot: Downgrade two errors to warnings

2024-04-29  Waldek Hebisch  <cas@fricas.org>
            Ralf Hemmecke  <ralf@hemmecke.org>

	* src/hyper/htinp.c, src/interp/br-search.boot: Replace
	'\center' by '\centerline'
	src/hyper/spadint.c, src/include/spadint.H1: Remove
	unused code

2024-04-28  Waldek Hebisch  <cas@fricas.org>

	* src/interp/nrunfast.boot: Fix 'has' with self-recursive
	conditions

2024-04-28  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/float.spad: Improve control of output
	format

2024-04-25  Qian Yun  <oldk1331@gmail.com>

	* src/graph/Gdraws/Gfun.c: Enable title in PS image output

2024-04-24  Qian Yun  <oldk1331@gmail.com>

	* src/graph/Gdraws/Gfun.c, src/graph/include/Gfun.H1:
	Fix compiler warnings introduced by recent commits

2024-04-23  Qian Yun  <oldk1331@gmail.com>

	* src/graph/view2D/viewport2D.c:
	Add support for colored PS output for 2D image
	* src/graph/Gdraws/ps_files/drawline.ps,
	src/graph/Gdraws/ps_files/fillarc.ps, src/graph/Gdraws/Gfun.c:
	Add new function 'GColorLine', 'GColorFillArc'

2024-04-22  Qian Yun  <oldk1331@gmail.com>

	* src/graph/view2D/write2d.c, src/graph/view2D/write3d.c:
	Change the filename of PS format image to 'image.ps' in viewport,
	fix 3D PS image with 'smooth' style in viewport output
	* src/graph/include/Gfun.H1, src/graph/Gdraws/Gfun.c:
	Add a new function 'PSsetrgbcolor'
	* src/graph/view3D/smoothShade3d.c,
	src/graph/Gdraws/ps_files/drawpoint.ps:
	Add support for colored PS output for 'smooth' style 3D image

2024-04-21  Waldek Hebisch  <cas@fricas.org>

	* contrib/load-fricas.lisp: Load "num_gmpx.lisp" if
	needed, update instructions
	contrib/mk_shlib.lisp: Update instructions

2024-04-20  Qian Yun  <oldk1331@gmail.com>

	* src/etc/Makefile.in: Install fricas-readline to target directory

2024-04-20  Qian Yun  <oldk1331@gmail.com>

	* src/graph/viewman/fun2D.c, src/graph/viewman/fun3D.c,
	src/graph/viewAlone/spoonComp.c:
	Reduce time of 'sleep' in 'draw' function
	src/graph/viewAlone/spoon2D.c: Fix accidental write to pipe

2024-04-18  Waldek Hebisch  <cas@fricas.org>

	* src/interp/compiler.boot: Supress excessive
	warnings

2024-04-17  Waldek Hebisch  <cas@fricas.org>

	* src/interp/hypertex.boot: Remove
	src/interp/br-saturn.boot: Move needed part here
        src/interp/htsetvar.boot: Remove 'htsv'

2024-04-17  Waldek Hebisch  <cas@fricas.org>

	* src/doc/ht/gloss.text, src/doc/ht/util.ht,
	src/interp/br-search.boot: Use '\centerline'
	instead of '\center'

2024-04-17  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/zerodim.spad: Minor cleanup

2024-04-16  Waldek Hebisch  <cas@fricas.org>

	Avoid poluting interpreter namespace
	* src/interp/i-toplev.boot, src/algebra/mkfunc.spad:
	New function 'interpret_in_new_env'
	src/algebra/rsimp.spad: use it

2024-04-15  Qian Yun  <oldk1331@gmail.com>

	* src/graph/Gdraws/ps_files/header.ps,
	src/graph/Gdraws/Gfun.c: Put 'BoundingBox' into header
	section of PS file, calculate scale factor correctly

2024-04-15  Qian Yun  <oldk1331@gmail.com>

	* configure.ac: Prevent SBCL compile error by adding
	a larger dynamic-space-size option
	configure: update by autoconf-2.71

2024-04-13  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/scene.spad: Remove deprecated functions

2024-04-12  Waldek Hebisch  <cas@fricas.org>

	* src/interp/gdata.boot: Fix a typo

2024-04-12  Waldek Hebisch  <cas@fricas.org>

	* src/interp/gdata.boot: Fix handling of .asy

2024-04-12  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Make 'simplifyExp' support
	more kinds of expression

2024-04-11  Waldek Hebisch  <cas@fricas.org>

	* src/share/algebra/compress.daase: Remove
	Makefile.in, src/etc/Makefile.in: Remove traces of
	compress.daase

2024-04-10  Waldek Hebisch  <cas@fricas.org>

	* src/interp/interp-proclaims.lisp: Remove
	src/interp/Makefile.in: Adjust

2024-04-10  Waldek Hebisch  <cas@fricas.org>

	* src/interp/daase.lisp, src/interp/gdata.boot: Reimplement
	database handling in Boot code
	src/interp/as.boot, src/interp/cattable.boot,
	src/interp/database.boot, src/interp/define.boot,
	src/interp/g-cndata.boot, src/interp/lisplib.boot,
	src/interp/setq.lisp, src/interp/setvars.boot,
	src/interp/vmlisp.lisp: Adjust and clean up
	src/algebra/Makefile.in, src/algebra/boo_db.input,
	src/etc/Makefile.in, src/interp/Makefile.in,
	src/interp/i-syscmd.boot, src/interp/i-toplev.boot,
	src/interp/nrunopt.boot, src/interp/util.lisp,
	src/lisp/primitives.lisp: Adjust

2024-04-10  Waldek Hebisch  <cas@fricas.org>

	* src/interp/compiler.boot: Accept string as valid type
	(avoids spurious error messages)

2024-04-10  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/ystream.spad: Do not use undefined type

2024-04-10  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/extent2.c: Backport a typo fix from open-axiom

2024-04-08  Waldek Hebisch  <cas@fricas.org>

	* src/interp/define.boot: Do not set NILADIC property
	on symbols

2024-04-08  Waldek Hebisch  <cas@fricas.org>

	* src/doc/ht/enum.ht: New file
	src/doc/Makefile.in: Adjust
	src/interp/br-con.boot: Fix and simplify previous commit

2024-04-08  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-toplev.boot, src/doc/htex/ug16.htex:
	Fix ')edit' and ')help edit'

2024-04-08  Waldek Hebisch  <cas@fricas.org>

	* src/interp/br-con.boot, src/interp/msgdb.boot: Do not leave
	junk global variables

2024-04-06  Qian Yun  <oldk1331@gmail.com>

	* src/interp/as.boot: Remove unused function 'asList'

2024-04-05  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot: Fix line breaking in 'writeInputLines'

2024-04-04 Waldek Hebisch  <cas@fricas.org>

	* src/algebra/puiseux.spad: Implement inverse
	trigonometric and hyperbolic functions at branch points

2024-04-03  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot: Fix ')history )write'

2024-04-03  Qian Yun  <oldk1331@gmail.com>

	* src/etc/SPADEDIT: Use 'less' instead of 'more',
	prevent exits when content is less than one page

2024-03-29  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/tex.spad, src/algebra/texmacs.spad:
	Improve code style

2024-03-26  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-toplev.boot: Initialize more variables

2024-03-03  Waldek Hebisch  <cas@fricas.org>

	* src/interp/daase.lisp, src/interp/gdata.boot: Work around
	ECL problem uncovered by recent change

2024-03-02  Waldek Hebisch  <cas@fricas.org>

	* src/interp/format.boot: Add workaround for
	')display op groebner'

2024-03-02  Waldek Hebisch  <cas@fricas.org>

	Implement part of database handling in Boot
	* src/interp/gdata.boot: New file
	src/interp/daase.lisp: remove functions replaced by Boot
	code in gdata.boot, add functions callable from Boot
	src/interp/lisplib.boot, src/interp/i-syscmd.boot,
	src/interp/Makefile.in: Adjust

2024-02-11  Qian Yun  <oldk1331@gmail.com>

	* src/interp/define.boot, src/interp/i-map.boot:
	Add '$ClearBodyToken' to replace invisible symbol,
	improve compatibility with Allegro CL

2024-02-08  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/api.spad: fix broken build of api rst files

2024-02-07  Qian Yun  <oldk1331@gmail.com>

	* src/interp/daase.lisp: Change 'directory-namestring' to
	'pathname-directory', improve compatibility with Allegro CL

2024-02-07  Waldek Hebisch  <cas@fricas.org>
	    Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot: Minor cleanup

2024-02-07  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/Makefile.in, src/interp/daase.lisp,
	src/interp/i-toplev.boot: Remove database compression code

2024-02-07  Grégory Vanuxem  <g.vanuxem@gmail.com>

	* Makefile.in: Do not use doc (it does not exist)

2024-02-05  Grégory Vanuxem  <g.vanuxem@gmail.com>

	* src/lisp/Makefile.in: Correct 'clean'

2024-02-05  Hill Strong <elderstrong5@gmail.com>

	* src/algebra/array1.spad: Remove redundant line

2024-01-28  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp: Add a new function '|run_program|'
	src/interp/vmlisp.lisp: Rename 'OBEY' to '|run_shell_command|'
	src/interp/as.boot, src/interp/br-data.boot,
	src/interp/br-search.boot, src/interp/compat.boot,
	src/interp/foam_l.lisp, src/interp/i-syscmd.boot,
	src/interp/nlib.lisp, src/lisp/fricas-package.lisp:
	Adjust

2024-01-28  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot, src/interp/br-data.boot:
	Misc cleanup

2024-01-28  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot, src/interp/i-toplev.boot:
	Misc cleanup, remove 'initializeSystemCommands'

2024-01-23   Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rsimp.spad: Handle higher order roots
	in base field

2024-01-23  Qian Yun  <oldk1331@gmail.com>

	* src/interp/g-timer.boot, src/interp/i-toplev.boot:
	Make recursive stats collection accurate

2024-01-23  Qian Yun  <oldk1331@gmail.com>

	* src/interp/g-timer.boot, src/interp/i-toplev.boot:
	Store stats result in '$statsInfo' instead of plist of
	'$interpreterTimedNames'

2024-01-23  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot: Fix ')synonym' command
	* src/interp/g-util.boot: Remove 'dropLeadingBlanks'

2024-01-15  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/solverad.spad: Small cleanup

2024-01-15  Waldek Hebisch  <cas@fricas.org>
	    Grégory Vanuxem  <g.vanuxem@gmail.com>

	* src/clef/fnct_key.c, src/graph/view3D/control3d.c,
	src/hyper/ReadBitmap.c, src/hyper/dialog.c,
	src/hyper/extent1.c, src/lib/sockio-c.c:
	Eliminate some warnings

2024-01-15  Waldek Hebisch  <cas@fricas.org>

	* src/boot/*, contrib/emacs/gen-cpl.lisp:
	Downcase database related identifiers

2024-01-09  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/ddfact.spad, src/algebra/moddfact.spad:
	Remove (use ffact.spad instead)

2024-01-09  Waldek Hebisch  <cas@fricas.org>
	    Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot, src/interp/i-toplev.boot:
	Fix recursive calls to interpreter

2024-01-09  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/sphinx/source/install.rst, INSTALL: Update documentation
	for building FriCAS Aldor interface

2024-01-07  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rsimp.spad: Add package for root simplification
	src/algebra/Makefile.in: Adjust

2024-01-06  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-toplev.boot: Separate 'printTime' from
	'printTypeAndTime', print stats after printing of
	value and type is done

2024-01-06  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp: Fix Clozure CL build on Windows

2024-01-04  Qian Yun  <oldk1331@gmail.com>

	* src/interp/util.lisp: Fix ECL build failure
	caused by 9c5656ca

2024-01-02  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/algfact.spad: Call 'makeFactor' instead
	of multiplication in Factored

2024-01-01  Waldek Hebisch  <cas@fricas.org>

	* src/interp/i-syscmd.boot: Clean more variables

2023-12-29  Qian Yun  <oldk1331@gmail.com>

	* src/interp/htcheck.boot, src/interp/i-toplev.boot:
	Fix loading of util.ht caused by 4d47c005,
	util.ht is read at each startup instead of compile time

2023-12-28  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/reclos.spad, src/etc/Makefile.in: Adjust
	for common copyright statement
	src/etc/copyright: Remove

2023-12-28  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rec.spad: Rename 'ADEseq' to 'FEseries'

2023-12-23  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/rec.spad: Rename 'rootOfADE' to 'ADEseq'

2023-12-22  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Fix 'simplifyExp': 'smpexp' may
	return a fraction

2023-12-22  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Fix 'simplifyExp', recalculate
	kernel height and recurse on first argument of '%power'

2023-12-21  Waldek Hebisch  <cas@fricas.org>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/irexpand.spad, src/algebra/rsimp.spad:
	Improve handling of roots during integration

2023-12-19  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/algfunc.spad: Disable splitting of roots

2023-12-17  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/irexpand.spad: Do not use 'real' on
	result of integration

2023-12-17  Waldek Hebisch  <cas@fricas.org>
	    Qian Yun  <oldk1331@gmail.com>

	Better integration result, avoid complicated 'rootOf'
	* src/algebra/rsimp.spad: New files
	src/algebra/irexpand.spad: Use new functions
	src/algebra/Makefile.in: Adjust

2023-12-10  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-systemd.boot: Add Boot function 'print_text_file',
	fix the problem of missing 'cat' utility on Windows

2023-12-09  Qian Yun  <oldk1331@gmail.com>

	* src/interp/setq.lisp, src/interp/g-timer.boot:
	Add ')storage' as synonym for ')set message storage',
	prevent printing empty entries in ')storage' output

2023-12-08  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/sups.spad: fix wrong creation of sparse power series

2023-12-08  Qian Yun  <oldk1331@gmail.com>

	* configure.ac, INSTALL, src/lisp/fricas-lisp.lisp:
	Remove support for GCL older than 2.6.14

2023-12-04  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/manip.spad: Improve 'froot'

2023-12-02  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/equation1.spad: Add convertion to InputForm

2023-12-02  Qian Yun  <oldk1331@gmail.com>

	* src/interp/g-timer.boot:
	Make number of printed digits of ')time' configurable

2023-12-02  Qian Yun  <oldk1331@gmail.com>

	* configure, configure.ac:
	Simplify case insensitive file system check logic

2023-12-02  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/xpfact.spad, src/interp/database.boot,
	src/interp/i-coerce.boot: Minor cleanups

2023-11-30  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/exposed.lsp, src/algebra/expr.spad,
	src/interp/i-funsel.boot, src/interp/i-resolv.boot:
	Rename domain Pi to PiDomain

2023-11-29  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/fortran.spad: Remove defunct Nag support

2023-11-28  Johannes Grabmeier  <johannes@grabmeier.net>
	    Waldek Hebisch  <cas@fricas.org>

	Add a bunch of math symbols
	* src/algebra/math_sym.spad: New file
	src/algebra/Makefile.in: Adjust

2023-11-25  Waldek Hebisch  <cas@fricas.org>

	* src/interp/Makefile.in, src/interp/msgdb.boot,
	src/share/doc/msgs/s2-us.msgs: Add Lisp version to
	FriCAS banner

2023-11-21  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp, src/interp/macros.lisp:
	src/interp/vmlisp.lisp: Implement missing functions for Lispworks

2023-11-18  Qian Yun  <oldk1331@gmail.com>

	* src/interp/util.lisp, src/interp/pathname.boot:
	Rename '$spadroot' to '|$spadroot|'
	src/interp/br-data.boot, src/interp/br-search.boot,
	src/interp/ht-root.boot, src/interp/htcheck.boot,
	src/interp/i-syscmd.boot, src/interp/daase.lisp:
	use '|$spadroot|' instead of '(|getEnv| "FRICAS")'

2023-11-17  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp, src/boot/ptyout.boot,
	src/interp/foam_l.lisp: Silence 'EVAL-WHEN' warnings

2023-11-16  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp: Simplify 'ecl-foreign-call',
	use 'with-cstrings' instead of 'with-cstring'

2023-11-15  Qian Yun  <oldk1331@gmail.com>

	* src/interp/g-timer.boot: Simplify the stats printing functions,
	prevent duplication when calculating 'total' and 'str'

2023-11-14  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp, src/interp/util.lisp,
	src/lisp/Makefile.in, src/interp/Makefile.in:
	Simplify CMUCL build logic:
	do not load foreign library before 'save-core',
	delay the initialization of FFI functions like CLISP

2023-11-14  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp:
	Simplify FFI function 'sock_get_string_buf' further:
	introduce a new FFI type 'char-*',
	use 'fricas-foreign-call' to define 'sock_get_string_buf',
	variable rename and indentation

2023-11-14  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp:
	Simplify FFI function 'sock_get_string_buf':
	use Lisp function to transform (char *) to string,
	adjust FFI function type declaration

2023-11-13  Waldek Hebisch  <cas@fricas.org>

	Add proper coercion of types to output form
	* src/interp/nformat.boot: New file
	src/interp/i-coerce.boot, src/interp/i-output.boot:
	Use new functions
	src/algebra/outform.spad: Change representation
	src/algebra/fmt1d.spad, src/algebra/fmt2d.spad,
	src/algebra/fmtlatex.spad, src/algebra/fmtmathjax.spad,
	src/algebra/html.spad, src/algebra/mathml.spad,
	src/algebra/tex.spad, src/algebra/texmacs.spad,
	src/interp/spad.lisp, src/interp/Makefile.in:
	Update

2023-11-12  Qian Yun  <oldk1331@gmail.com>

	* Makefile.in, src/lisp/num_gmp.lisp, .github/workflows/macOS.yml:
	Load bundled GMP library on macOS if not present

2023-11-08  Qian Yun  <oldk1331@gmail.com>

	* src/include/com.h: Support build on Android (Termux)

2023-11-05  Qian Yun  <oldk1331@gmail.com>

	* src/interp/g-timer.boot, src/interp/setvart.boot:
	Use name instead of abbreviation in ')set message time long',
	report statistics on printing procedures,
	enable ')set message storage long', minor cleanup

2023-11-04  Qian Yun  <oldk1331@gmail.com>

	* src/interp/g-timer.boot, src/interp/setvart.boot,
	src/interp/macros.lisp, src/interp/setq.lisp:
	Enable memory usage report: ')set message storage on'

2023-10-30  Waldek Hebisch  <cas@fricas.org>

	* src/lisp/Makefile.in: Use large memory model for GCL

2023-10-29  Qian Yun  <oldk1331@gmail.com>

	* src/interp/clam.boot, src/interp/g-timer.boot,
	src/interp/i-toplev.boot, src/interp/setvart.boot,
	src/interp/util.lisp: Remove unused 'statisticsSummary' stuff

2023-10-29  Qian Yun  <oldk1331@gmail.com>

	* src/interp/clam.boot: Fix 'removeAllClams'

2023-10-27  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/array2.spad, src/algebra/fraction.spad,
	src/algebra/graph.spad, src/algebra/integer.spad,
	src/algebra/list.spad, src/algebra/string.spad,
	src/algebra/symbol.spad, src/algebra/variable.spad:
	Remove non-default implementations of 'latex'

2023-10-26  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp: Collect GC time for supported Lisps

2023-10-20  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/irexpand.spad: Slightly improve 'tantrick'

2023-10-16  Qian Yun  <oldk1331@gmail.com>

	* src/lisp/fricas-lisp.lisp, src/interp/util.lisp:
	Fix CLISP specific issues

2023-10-16  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/Makefile.in, src/interp/daase.lisp:
	Remove IndexedList from bootstrap

2023-10-15  Waldek Hebisch  <cas@fricas.org>

	* src/lisp/num_gmp.lisp: Adapt to sbcl-2.3.9

2023-10-15  Qian Yun  <oldk1331@gmail.com>

	* configure.ac: Misc cleanup

2023-10-11  Qian Yun  <oldk1331@gmail.com>

	* src/interp/util.lisp: Use canonical path for '$spadroot'

2023-10-09  Waldek Hebisch  <cas@fricas.org>
	    Qian Yun  <oldk1331@gmail.com>

	* src/hyper/htsearch: Fix sort key

2023-10-07  Qian Yun  <oldk1331@gmail.com>

	* src/interp/util.lisp, src/interp/Makefile.in:
	Simplify 'initroot' logic, do not use build time value '$spadroot'

2023-09-23  Qian Yun  <oldk1331@gmail.com>

	* .github/workflows/windows.yml, src/lisp/num_gmp.lisp:
	Load bundled GMP library on Windows if not present

2023-09-23  Qian Yun  <oldk1331@gmail.com>

	* src/interp/util.lisp: Load libspad.so correctly when
	"FRICAS" is not set

2023-09-21  Waldek Hebisch  <cas@fricas.org>

	* src/algebra/amodgcd.spad: Allow more variables

2023-09-18  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>
            Gregory Vanuxem  <g.vanuxem@gmail.com>

	* src/etc/fricas: Avoid inapropriate 'disabled' messages

2023-09-16  Waldek Hebisch  <cas@fricas.org>

	* src/interp/setq.lisp, src/interp/i-syscmd.boot:
	Implement ')version' as an actual command

2023-09-08  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/ffact.spad: Fix CCL test failures

2023-09-01  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ffact.spad: Add 'irreducible?'
	src/algebra/ffcat.spad, src/algebra/ffdoms.spad:
	Use it

2023-07-20  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>
            Gregory Vanuxem  <g.vanuxem@gmail.com>

	* src/algebra/fmod.spad, src/algebra/multpoly.spad:
	Faster 'smaller?'

2023-07-17  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/mfinfact.spad: Pass list of factors
	to 'makeFR'

2023-07-17  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/exposed.lsp, src/algebra/ffact.spad,
	src/algebra/ffdoms.spad, src/algebra/fs2ups.spad,
	src/algebra/twofact.spad: Minor cleanups

2023-07-17  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/combfunc.spad, src/algebra/expr.spad,
	src/algebra/fs2ups.spad, src/algebra/op.spad,
	src/algebra/trigcat.spad: Add incomplete Beta function

2023-07-16  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/intaf.spad: Disable unsound optimization

2023-07-16  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/liouv.spad: Fix problems with derivatives
	of unevaluated definite integrals

2023-07-15  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ffact.spad, src/algebra/ffcat.spad,
	src/algebra/intclos.spad, src/algebra/mfinfact.spad,
	src/algebra/padiclib.spad, src/algebra/pfo.spad,
	src/algebra/poly.spad, src/algebra/rep2.spad,
	src/algebra/twofact.spad, src/algebra/u32vec.spad:
	Use new factorizer for factorization over general
	finite fields
	src/algebra/Makefile.in: Adjust

2023-07-14  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/fs2ups.spad: Cache kernel expansions

2023-07-14  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/intden.spad: Do not use PartialFraction

2023-07-11  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/cyclotom.spad: Remove

2023-07-11  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/modmon.spad: More appropriate category,
	document and implement missing functions
	src/algebra/crfp.spad, src/algebra/ffdoms.spad: Adjust

2023-07-09  Peter Broadbery  <p.broadbery@gmail.com>

	* rc/aldor/Makefile3.in, src/input/Makefile.in:
	Add Aldor tests

2023-07-08  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/ax.boot, src/interp/br-con.boot,
	src/interp/br-op2.boot, src/interp/br-util.boot,
	src/interp/nrunopt.boot: Replace '$infovec' by 'infovec'

2023-07-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/macros.lisp: Reactivate workaround for
	noncomparable elements

2023-06-30  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/i-output.boot: make printing of equation number optional

2023-06-30  Ralf Hemmecke  <ralf@hemmecke.org>
	    Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/int-top.boot: add interpret_block for multiline code
	interpretation

2023-06-27  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/fs2ups.spad: Implement power series
	expander for polylog at 0

2023-06-26  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/daase.lisp, src/interp/i-toplev.boot
	src/interp/util.lisp: Less verbose startup when
	using ECL

2023-06-26  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/Makefile.in: Remove useless dependence

2023-06-25  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/nlib.lisp: Fix regression in file
	handling

2023-06-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/solverad.spad: Disable wrong solutions

2023-06-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/kl.spad: Small speed improvement

2023-06-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/combfunc.spad: Simplify polylog at 0

2023-06-19  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/integrat.spad, src/algebra/intpar.spad:
	Do not use 'real' to normalize integration result
	src/algebra/Makefile.in: Adjust

2023-06-18  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/defintrf.spad: More conservative 'mkLogPos'

2023-06-17  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>
	    Gregory Vanuxem  <g.vanuxem@gmail.com>

	* configure.ac, Makefile.in, src/Makefile.in,
	src/aldor/Makefile.in, src/algebra/Makefile.in,
	src/doc/Makefile.in, src/input/Makefile.in:
	More thorough cleaning

2023-06-17  Gregory Vanuxem  <g.vanuxem@gmail.com>

	* src/algebra/exposed.lsp: Move ZDSOLVE package from
	'categories' to 'basic' group

2023-06-15  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/intpar.spad: Fix integration bug

2023-06-09  Peter Broadbery  <p.broadbery@gmail.com>
            Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/stream.spad, src/interp/as.boot,
	src/interp/br-con.boot, src/interp/format.boot,
	src/interp/i-output.boot, src/interp/interop.boot,
	src/interp/setq.lisp, src/interp/spad.lisp:
	More '$' to '%' changes

2023-06-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/efstruc.spad: Avoid infinite recursion

2023-05-18  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/catdef.spad, src/algebra/tensor.spad:
	Propagate nonassociative algebras to tensor product

2023-05-18  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/float.spad, src/algebra/string.spad,
	src/interp/g-error.boot, src/interp/g-util.boot,
	src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp:
	Improve a few names

2023-05-14  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/naalg.spad: Turn ALGSC into a free
	module

2023-05-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/alg_top.spad, src/algebra/coordsys.spad,
	src/algebra/dhmatrix.spad, src/algebra/draw.spad,
	src/algebra/ffcat.spad, src/algebra/ffdoms.spad,
	src/algebra/intrf.spad, src/algebra/lodof.spad:
	Small style improvements

2023-05-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/product.spad: Add Hashable to Product

2023-05-05  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/aggcat.spad, src/algebra/algcat.spad,
	src/algebra/algext.spad, src/algebra/array1.spad,
	src/algebra/array2.spad, src/algebra/bags.spad,
	src/algebra/catdef.spad, src/algebra/discrgrp.spad,
	src/algebra/float.spad, src/algebra/fraction.spad,
	src/algebra/indexedp.spad, src/algebra/integer.spad,
	src/algebra/intlocp.spad, src/algebra/list.spad,
	src/algebra/multpoly.spad, src/algebra/ordinal.spad,
	src/algebra/poly.spad, src/algebra/polycat.spad,
	src/algebra/product.spad, src/algebra/sex.spad,
	src/algebra/sf.spad, src/algebra/si.spad,
	src/algebra/string.spad, src/algebra/symbol.spad,
	src/algebra/tree.spad, src/algebra/variable.spad,
	src/algebra/vector.spad, src/algebra/xhash.spad:
	Add and use Hashable
	src/algebra/Makefile.in: Adjust

2023-05-05  Johannes Grabmeier <johannes@grabmeier.net>
	    Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/array2.spad: Add constructor for
	two dimensional arrays

2023-05-04  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/compiler.boot, src/interp/i-spec1.boot,
	src/interp/i-spec2.boot: Implement construct for
	tagged unions

2023-05-04  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/paramete.spad, src/algebra/draw.spad,
	src/algebra/mkfunc.spad: Add plots of complex
	curves
	src/algebra/Makefile.in, src/algebra/exposed.lsp:
	Adjust

2023-05-04  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/out.spad: Update SpecialOutputPackage

2023-04-30  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/naalg.spad, src/algebra/naalgc.spad:
	Allow more general base rings

2023-04-30  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/naalg.spad: Fix 'jacobiIdentity?'

2023-04-30  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/solvelin.spad: Add solver over integral
	domains
	src/algebra/Makefile.in: Adjust

2023-04-25  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>
            Ralf Hemmecke  <ralf@hemmecke.org>

	* src/interp/ax.boot: Fix fricas-aldor interface

2023-04-23  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* g-util.boot: Fix printing of '%' in compiler
	messages

2023-04-23  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/padic.spad: Implement a few missing
	operations

2023-04-23  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>
            Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/pgcd.spad, src/algebra/stream.spad,
	src/interp/format.boot, file src/interp/info.boot:
	Minor cleanups and fixes

2023-04-22  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/as.boot,
	src/interp/ax.boot, src/interp/br-con.boot,
	src/interp/br-data.boot, a/src/interp/br-op1.boot,
	src/interp/br-op2.boot, src/interp/br-saturn.boot,
	src/interp/buildom.boot, src/interp/c-doc.boot,
	src/interp/c-util.boot, src/interp/category.boot,
	src/interp/cattable.boot, src/interp/clammed.boot,
	src/interp/compiler.boot, src/interp/database.boot,
	src/interp/define.boot, src/interp/format.boot,
	src/interp/functor.boot, src/interp/hashcode.boot,
	src/interp/ht-util.boot, src/interp/i-coerce.boot,
	src/interp/i-eval.boot, src/interp/i-funsel.boot,
	src/interp/i-spec2.boot, src/interp/i-syscmd.boot,
	src/interp/info.boot, src/interp/interop.boot,
	src/interp/iterator.boot, src/interp/lisplib.boot,
	src/interp/modemap.boot, src/interp/nruncomp.boot,
	src/interp/nrunfast.boot, src/interp/nrungo.boot,
	src/interp/nrunopt.boot, src/interp/package.boot,
	src/interp/parse.boot, src/interp/showimp.boot,
	src/interp/util.lisp: Directly use '%' in types,
	do not rename it to '$'

2023-04-19  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/stream.spad: Clarify error messages

2023-04-15  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/exposed.lsp, src/algebra/twofact.spad,
	src/interp/daase.lisp src/interp/macros.lisp:
	Misc cleanups

2023-04-15  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/files.spad, src/interp/as.boot,
	src/interp/i-syscmd.boot, src/interp/nlib.lisp,
	src/interp/vmlisp.lisp: Writify/dewritify data
	in all files

2023-03-31  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/combfunc.spad, src/algebra/expr.spad,
	src/algebra/op.spad, src/algebra/sf.spad,
	src/algebra/trigcat.spad: Add few more special functions

2023-03-06  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/lisp/fricas-package.lisp: Fix build with sbcl-2.3.2

2023-02-26  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/i-syscmd.boot: Fix ')compile' for Aldor

2023-02-26  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/indexedp.spad: Minor cleanup.
	Align PLUS_BODY with ADDM_BODY.

2023-02-25  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/u32vec.spad: More use of SingleInteger

2023-02-25  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/g-error.boot, src/interp/spaderror.lisp
	src/interp/util.lisp: Implement Spad error handler in
	Boot code

2023-02-25  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/ffact.spad,
	src/algebra/galfact.spad, src/algebra/u32vec.spad:
	Use new factorizer instead of moddfact.spad

2023-02-20  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/trace.boot: Fix ')trace )off'

2023-02-15  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/*: Replace "iterate" by iterate

2023-02-11  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/spaderror.lisp, src/interp/util.lisp,
	src/lisp/fricas-lisp.lisp: Remove old GCL specific
	code

2023-02-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/algfunc.spad, src/algebra/galfact.spad,
	src/interp/i-eval.boot, src/interp/i-output.boot,
	src/interp/interop.boot, src/interp/macros.lisp,
	src/interp/showimp.boot, src/interp/util.lisp,
	src/interp/vmlisp.lisp, src/lisp/fricas-lisp.lisp:
	Minor cleanups

2023-02-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: fricas_probe_file
	for Poplog

2023-02-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/compat.boot, src/interp/compiler.boot,
	src/interp/database.boot, src/interp/i-syscmd.boot,
	src/interp/lisplib.boot, src/interp/msgdb.boot,
	src/interp/nlib.lisp, src/interp/pathname.boot,
	src/interp/setvars.boot: Simplify pathnames

2023-02-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/lisp/fricas-package.lisp, src/lisp/primitives.lisp,
	src/boot/initial-env.lisp, src/boot/btscan2.boot,
	src/boot/tytree1.boot, src/boot/compiled/btscan2.clisp,
	src/boot/compiled/tytree1.clisp, src/interp/br-con.boot,
	src/interp/br-data.boot, src/interp/br-op1.boot,
	src/interp/cattable.boot, src/interp/clam.boot,
	src/interp/compress.boot, src/interp/htcheck.boot,
	src/interp/i-toplev.boot, src/interp/msgdb.boot,
	src/interp/nrunopt.boot, src/interp/setq.lisp,
	src/interp/slam.boot, src/interp/vmlisp.lisp,
	src/algebra/newdata.spad, src/algebra/table.spad:
	Simplify hashtables

2022-09-21  Qian Yun  <oldk1331@gmail.com>

	* config.lisp, src/interp/nlib.lisp, src/interp/util.lisp,
	src/interp/vmlisp.lisp, src/lisp/fricas-lisp.lisp:
	Add partial support for ABCL

2022-08-16  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ffact.spad: Generalize new univariate
	factorizer over finite fields
	src/algebra/Makefile.in: Adjust

2022-08-13  Qian Yun  <oldk1331@gmail.com>

	* Makefile.in, src/algebra/Makefile.in, src/interp/util.lisp:
	Remove remaining traces of "autoload"

2022-08-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/hyper/spadint.c: Remove unwanted debugging
	printout

2022-08-06  Qian Yun  <oldk1331@gmail.com>

	* configure.ac: Mask faulty SBCL versions on i386

2022-07-23  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: Fix previous change
	to really generate extern declarations

2022-07-21  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/u32vec.spad, src/graph/view2D/viewport2D.c,
	src/graph/view3D/lighting3d.c, src/graph/view3D/static.h,
	src/graph/view3D/viewport3d.c, src/hyper/parse-aux.c,
	src/hyper/parse-input.c, src/hyper/show-types.c,
	src/hyper/spadint.c, src/interp/br-op2.boot,
	src/interp/i-resolv.boot, src/interp/msg.boot,
	src/interp/vmlisp.lisp, src/lib/XSpadFill.c:
	Minor cleanups

2022-07-21  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/vmlisp.lisp, src/lisp/primitives.lisp:
	More efficient bits operations

2022-07-21  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: Generate extern declarations
	for foreign calls in ECL

2022-07-18  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Trap errors in test framework
	* src/algebra/unittest.spad: Use 'trappedSpadEval',
	simplify
	* src/interp/g-error.boot, src/interp/g-util.boot,
	src/interp/lisplib.boot, src/interp/spaderror.lisp:
	More regular error handling

2022-07-16  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/daase.lisp, src/interp/nlib.lisp,
	src/interp/vmlisp.lisp, src/lisp/Makefile.in,
	src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp:
	For GCL use SI instead of LISP

2022-07-16  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* configure.ac: Update to newer macros

2022-07-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/pfo.spad: Correctly detect bad
	reduction

2022-07-09  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/mfinfact.spad: Fix missing trivial
	factors

2022-07-03  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/aggcat.spad: Catch out of bound access

2022-07-01  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Remove asq
	* src/etc/asq.c: Remove
	Makefile.in, src/Makefile.in, src/etc/Makefile.in: Adjust

2022-07-01  Qian Yun  <oldk1331@gmail.com>

	* config/fricas_c_macros.h.in, configure.ac, src/include/com.h,
	src/lib/sockio-c.c: Use sockaddr_un on POSIX systems

2022-06-29  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/op.spad: Really add weierstrassPInverse
	to CommonOperators

2022-06-26  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/catdef.spad: Generalize LinearlyExplicitOver

2022-06-26  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/i-resolv.boot: Add two more special
	cases for AlgebraicNumber

2022-06-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/jet.spad, src/algebra/mathml.spad,
	src/algebra/tex.spad, src/algebra/texmacs.spad:
	Replace Sy by SY

2022-06-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Remove unused files
	* src/algebra/ffx.spad, src/algebra/rdesys.spad: Remove
	src/algebra/ffdoms.spad: Adjust comment
	src/algebra/Makefile.in, src/algebra/exposed.lsp: Adjust

2022-06-16  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/tex.spad: Allow choice between '\frac'
	and '\over'

2022-06-13  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Handle some elliptic integrals
	* src/algebra/intspec.spad : New file
	src/algebra/intalg.spad: Add elliptic code
	src/algebra/intaf.spad, src/algebra/Makefile.in: Adjust

2022-06-11  Qian Yun  <oldk1331@gmail.com>

	* configure.ac: Detect buggy sbcl versions on
	32-bit platforms

2022-06-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/sf.spad, src/algebra/special.spad,
	src/algebra/special2.spad: Implement real
	polygamma in Spad code

2022-06-05  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/cparse.boot: Fix parse of "2.. by 2"

2022-06-05  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ore.spad: Fix rightEEA

2022-06-05  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/*, src/interp/*: Eliminate unused
	variables and functions

2022-05-28  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ghensel.spad, src/interp/br-op1.boot:
	Minor cleanups

2022-05-21  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/irexpand.spad: Make sure that
	expansion is nonempty

2022-05-17  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/solvefor.spad: Move content to
	src/algebra/solverad.spad
	src/algebra/Makefile.in: Adjust

2022-05-14  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ffdoms.spad: Fix and clean up
	'leastAffineMultiple'

2022-05-12  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/rdeefx.spad, src/interp/define.boot:
	Minor cleanups

2022-05-11  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/compiler.boot, src/interp/define.boot,
	src/interp/iterator.boot, src/interp/ncomp.boot,
	src/interp/s-parser.boot, src/interp/scwrap2.boot:
	Implement 'iterate' for Spad

2022-05-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/xpoly.spad: Fix and enhance XRPOLY
	src/algebra/poly.spad: Add few more defauls in
	FreeMonoid

2022-05-04  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/include/cfuns-c.H1, src/lib/cfuns-c.c,
	src/lib/pixmap.c, src/lib/spadcolors.c: Remove
	unused C code, make two functions static

2022-05-04  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/files.spad: Remove BinaryFile
	src/algebra/Makefile.in: Adjust

2022-05-03  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/view3D.spad: Make write type correct

2022-05-03  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/interop.boot: Call compiledLookupCheck
	with actual signature

2022-05-03  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/clef/edin.c: Fix breakage from recent clef
	change

2022-05-01  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Consolidate ODE files
	* src/algebra/exprode.spad: Remove and move code to
	src/algebra/odeef.spad
	src/algebra/nlode.spad, src/algebra/odealg.spad:
	Remove and move code to
	src/algebra/utsode.spad
	src/algebra/Makefile.in: Adjust

2022-05-01  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/property.lisp: Remove, move code to
	src/interp/c-util.boot, src/interp/compiler.boot,
	src/interp/g-boot.boot, src/interp/i-output.boot,
	src/interp/parse.boot, src/interp/postpar.boot
	src/interp/Makefile.in: Adjust

2022-05-01  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/carten.spad, src/algebra/fspace.spad,
	src/interp/i-output.boot, src/interp/msgdb.boot,
	src/interp/nrungo.boot: Minor cleanups

2022-04-10  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/i-spec1.boot, src/interp/i-spec2.boot:
	Do not use TRUE as boolean

2022-03-12  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/sf.spad, src/algebra/special.spad,
	src/algebra/special2.spad: New implementation of
	Airy functions

2022-02-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Restructure clef
	* restructure and move
	src/lib/edin.c, src/lib/fnct_key.c, src/lib/prt.c,
	src/lib/wct.c, src/hyper/spadbuf.c, src/include/edible.h
	to src/clef
	src/include/cursor.H1, src/include/edible.H1,
	src/include/edin.H1, src/include/fnct_key.H1,
	src/include/prt.H1, src/include/wct.H1: remove
	src/clef/tio_funs.h: collect exports
	src/clef/e_buf.c, src/clef/e_buf.h: new files
	src/clef/Makefile.in, src/lib/Makefile.in,
	src/hyper/Makefile.in: Adjust

2022-02-22  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/facutil.spad, src/algebra/fspace.spad,
	src/algebra/multpoly.spad: Minor cleanups

2022-02-08  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/kl.spad: Generalize Kernel
	src/algebra/Makefile.in: Adjust

2022-02-08  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/allfact.spad, src/algebra/manip.spad,
	src/algebra/mantepse.spad: Avoid unsound use of
	GeneralizedMultivariateFactorize

2022-02-05  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/acplot.spad, src/algebra/algfact.spad,
	src/algebra/algfunc.spad, src/algebra/allfact.spad,
	src/algebra/combfunc.spad, src/algebra/defintef.spad,
	src/algebra/defintrf.spad, src/algebra/idecomp.spad,
	src/algebra/intalg.spad, src/algebra/intaux.spad,
	src/algebra/intef.spad, src/algebra/integrat.spad,
	src/algebra/intpar.spad, src/algebra/intrf.spad,
	src/algebra/laplace.spad, src/algebra/liouv.spad,
	src/algebra/numeigen.spad, src/algebra/numsolve.spad,
	src/algebra/radeigen.spad, src/algebra/rdeefx.spad,
	src/algebra/rdesys.spad, src/algebra/reclos.spad,
	src/algebra/sign.spad, src/algebra/sum.spad,
	src/algebra/syssolp.spad: Replace 'SE' by 'SY'

2022-01-20  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/patmatch1.spad, src/interp/define.boot:
	Allow category parameters depending on %

2022-01-19  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/c-util.boot, src/interp/define.boot,
	src/interp/info.boot, src/interp/lisplib.boot,
	src/interp/modemap.boot, src/interp/parse.boot,
	src/interp/postpar.boot, compiler.boot: Minor
	cleanups and fixes

2022-01-17  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ffcat.spad, src/algebra/float.spad,
	src/algebra/fnla.spad, src/algebra/html.spad,
	src/interp/compiler.boot: Minor cleanups and fixes

2022-01-15  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/aggcat.spad, src/algebra/algfact.spad,
	src/algebra/catdef.spad, src/algebra/jet.spad,
	src/algebra/si.spad, src/algebra/xlpoly.spad,
	src/interp/postpar.boot: Misc cleanups

2022-01-15  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/string.spad, src/interp/g-boot.boot,
	src/lisp/primitives.lisp: Pass more type declarations
	to Lisp compiler

2022-01-12  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

        * src/algebra/[l-z]*.spad: Replace '::' by '@' in
	many places

2022-01-11  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/[a-k]*.spad, src/algebra/polycat.spad,
	src/algebra/serexp.spad, src/algebra/sf.spad:
	Replace '::' by '@' in many places

2022-01-02  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/solverad.spad: Express roots of
	cyclotomic polynomials in trigonometric form

2022-01-02  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Add new utilities for cyclotomic polynomials
	* src/algebra/cyclo.spad: New file
	src/algebra/galfact.spad, src/algebra/numtheor.spad:
	Use it
	src/algebra/Makefile.in: Adjust

2022-01-02  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/galfact.spad: Clean up

2021-12-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	Join finite field files
	* src/algebra/ffcg.spad, src/algebra/fff.spad,
	src/algebra/ffhom.spad, src/algebra/ffnb.spad,
	src/algebra/ffp.spad, src/algebra/ffpoly.spad,
	src/algebra/pf.spad: delete and move content to
	src/algebra/ffdoms.spad

2021-12-24  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/ffpoly.spad, src/algebra/jet.spad,
	src/algebra/padiclib.spad, src/algebra/poly.spad:
	Misc cleanups

2021-12-18  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/pscat.spad: Better series categories
	src/algebra/Makefile.in: Adjust

2021-11-23  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/special2.spad: Implement double precision
	Gamma and logGamma in Spad code
	src/algebra/sf.spad, src/algebra/special.spad: Adjust

2021-11-22  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/u32vec.spad, src/lisp/primitives.lisp:
	Add four new low-level domains
	src/algebra/Makefile.in: Adjust
	src/interp/setq.lisp: Enable inline optimization
	for new domains

2021-11-08  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/matcat.spad: Better specialize
	matrix operations

2021-11-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/u32vec.spad: Enhance POLYVEC routines

2021-11-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/intpm.spad: Remove unused part

2021-11-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/u32vec.spad, src/lisp/primitives.lisp:
	Add two new low-level domains
	src/interp/g-opt.boot, src/interp/setq.lisp:
	Enable optimization for new domains
	src/algebra/Makefile.in: Adjust

2021-11-07  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/u32vec.spad: Misc fixes and enhancements

2021-11-06  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/groebsol.spad: Return empty list
	when no solutions

2021-11-03  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/u32vec.spad
	src/lisp/primitives.lisp: Add vectors and matrices
	of 16-bit numbers

2021-11-03  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/fraction.spad:
	Add NonNegativeRational

2021-11-03  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/outform2.spad: Add two functions to
	OutputFormTools

2021-11-02  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/intaux.spad, src/algebra/integrat.spad,
	src/algebra/twofact.spad: Remove not needed code

2021-11-02  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/timeout.spad: New file
	src/algebra/Makefile.in, src/interp/spaderror.lisp: Preliminary
	support for timeouts

2021-11-02  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/interp/msg.boot: Fix recent regression

2021-11-01  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/kl.spad: Misc cleanup

2021-10-31  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/cycles.spad: Speed up

2021-10-27  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/intef.spad: No longer use pattern
	matcher for indefinite integration

2021-10-27  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/intef.spad, src/algebra/intpar.spad,
	src/algebra/intrf.spad: More polylog cases

2021-10-21  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/catdef.spad, src/algebra/indexedp.spad,
	src/algebra/integer.spad: Add 'inf' to
	OrderedAbelianMonoidSup

2021-10-11  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/kl.spad: Do not assume order on
	expressions

2021-10-05  Waldek Hebisch  <cas@fricas.math.uni.wroc.pl>

	* src/algebra/kl.spad: Do not set position on
	kernels not in cache

2021-09-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/string.spad, src/graph/view2D/main2d.c,
	src/interp/daase.lisp, src/interp/g-error.boot,
	src/interp/g-util.boot, src/interp/i-resolv.boot,
	src/interp/i-output.boot, src/interp/i-syscmd.boot,
	src/interp/msg.boot, src/interp/parse.boot,
	src/interp/scan.boot, src/interp/spad.lisp,
	src/interp/trace.boot, src/interp/vmlisp.lisp:
	Misc cleanups

2021-08-27  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/list.spad: Fix 'hashUpdate!' in List

2021-08-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Simplify ei_int_alg

2021-08-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-util.boot, src/interp/define.boot:
	Cleaner evaluation of categories

2021-08-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expr.spad: Fix issue with predicates
	in rewrite rules

2021-06-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/mkdist.sh: Remove git files instead of svn
	files

2021-06-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/mkdist.sh: Update

2021-04-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot, src/lisp/primitives.lisp:
	Fix saving/restoring arrays

2021-04-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/num_gmp.lisp: Adapt for Clozure CL 12

2021-04-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/divisor.spad, src/algebra/intalg.spad:
	Handle more mixed cases

2021-04-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/gmp_wrap.c: Fix bignum square root

2021-04-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/intpar.spad,
	src/algebra/rdeefx.spad: Simplify code

2021-03-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/Gdraws/Makefile.in, src/graph/view2D/Makefile.in,
	src/graph/view3D/Makefile.in, src/graph/viewAlone/Makefile.in,
	src/graph/viewman/Makefile.in: Fix dependency

2021-03-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Fix integration failure

2021-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/files.spad, src/algebra/linpen.spad,
	src/interp/clam.boot, src/interp/define.boot,
	src/interp/i-syscmd.boot, src/interp/modemap.boot,
	src/interp/nruncomp.boot, src/interp/vmlisp.lisp:
	Minor cleanups

2021-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/kl.spad, src/interp/format.boot,
	src/interp/g-error.boot, src/interp/i-syscmd.boot,
	src/interp/incl.boot, src/interp/macros.lisp,
	src/interp/msg.boot, src/interp/trace.boot,
	src/interp/vmlisp.lisp, src/lisp/primitives.lisp:
	Standarize names

2021-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/view2D/header2.h, src/graph/view2D/viewport2D.c,
	src/graph/view3D/header.h, src/graph/view3D/testcol.c,
	src/graph/view3D/viewport3d.c: Use inherited cursor for
	graphics windows
	src/graph/include/spadBitmap.bitmap,
	src/graph/include/spadMask.mask,
	src/graph/include/purty/spadBitmap.bitmap,
	src/graph/include/purty/spadMask.mask: Remove

2021-03-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/galfact.spad, src/interp/category.boot,
	src/interp/define.boot, src/interp/msgdb.boot,
	src/interp/vmlisp.lisp: Minor cleanups

2021-03-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad: Avoid mishandling
	Liouvillian constants

2021-03-19  Qian Yun  <oldk1331@gmail.com>

	* src/interp/util.lisp: The "FRICASsys" binary will
	use its parent directory when "$FRICAS" is not set

2021-03-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/clam.boot, src/interp/define.boot,
	src/interp/g-boot.boot, src/interp/nruncomp.boot:
	Avoid calling 'devaluate' on non-type domain
	parameters

2021-03-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/files.spad, src/algebra/u32vec.spad:
	Optimize comparisons

2021-03-17  Qian Yun  <oldk1331@gmail.com>

	* src/etc/fricas: Avoid endless loop of "viewman"
	when build with "--with-x=no"

2021-03-14  Qian Yun  <oldk1331@gmail.com>

	* src/boot/ptyout.boot: Avoid generating lines with
	trailing spaces when compiling BOOT files

2021-03-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot, src/lisp/primitives.lisp:
	Better code for constants

2021-03-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/initial-env.lisp: Discard carriage
	return at end of line

2021-03-08  Qian Yun  <oldk1331@gmail.com>

	* src/interp/vmlisp.lisp: Fix "OBEY" for SBCL
	on Windows (MSYS2/Mingw64)

2021-03-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/as.boot, src/interp/br-data.boot:
	Use 'maybe_delete_file' when appropriate

2021-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Add '-g' to CCF

2021-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* config/setup-dep.mk: Do not automatically rebuild
	configure

2021-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/view3D/spadAction3d.c: Set phi and theta
	in viewpoint

2021-03-06  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/integer.spad, src/lisp/primitives.lisp: add
	seedRandom to seed the Lisp random number generator

2021-03-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Better handle 0 and 1 in
	types

2021-02-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algfunc.spad: Preserve kernel in
	derivative of roots

2021-02-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/clam.boot, src/interp/daase.lisp
	src/interp/i-syscmd.boot: Clear kernel cache
	after compilation

2021-02-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gaussian.spad: Fix fractional power

2021-02-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad: Implement 'smaller?' for
	one dimensional arrays

2021-02-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot: Remove traces of ')translate'

2021-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ffpoly.spad: Clean up and speed up

2021-01-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integrat.spad: Better handle '%iint'

2020-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>,
	    Neven Sajko <nsajko@gmail.com>

	* src/etc/fricas: Remove useless HOST

2020-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec1.boot: Fix 'upconstruct' for
	matrix collection

2020-10-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

        * src/lisp/fricas-package.lisp: Remove
        non-Unicode default

2020-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/sockio-c.c: Fix access to name field,
	clean up

2020-09-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: Use correct variable

2020-08-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/include/com.h: Work around buffer overflow
	with large process identifiers

2020-08-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/incl.boot, src/interp/vmlisp.lisp:
	Remove ')console' command

2020-07-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ax.boot, src/interp/br-search.boot,
	src/interp/compiler.boot, src/interp/msgdb.boot,
	src/interp/spad.lisp, src/interp/vmlisp.lisp:
	Misc cleanups

2020-07-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/multfact.spad, src/algebra/multsqfr.spad,
	src/algebra/numeigen.spad: Use more explicit types

2020-07-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fortout.spad, src/algebra/fortran.spad,
	src/interp/i-output.boot, src/interp/i-toplev.boot,
	src/interp/lisplib.boot, src/interp/macros.lisp,
	src/interp/msgdb.boot, src/interp/setq.lisp,
	src/interp/setvars.boot, src/interp/vmlisp.lisp:
	More abstract output streams

2020-07-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/setvars.boot: Unify descriptions

2020-05-09  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/texmacs.spad: Fix typo in commit
	from 2020-03-11 (Do not use 'stringify')

2020-04-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/smith.spad: Fix 'diophantineSystem'

2020-04-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fr.spad, src/algebra/intpar.spad,
	src/algebra/polycat.spad: Fix factoring polynomials
	over expressions

2020-04-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/geneez.spad, src/algebra/mlift.spad,
	src/algebra/multfact.spad, src/algebra/multsqfr.spad,
	src/algebra/pfbr.spad, src/algebra/pgcd.spad:
	Better handle bad reductions

2020-04-23  Gregory Vanuxem  <g.vanuxem@gmail.com>

	* configure.ac: Treat MSYS like MinGW

2020-04-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/fricas: Detect missing hypertex

2020-04-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/amodgcd.spad, src/algebra/evalut.spad:
	Better check for bad reductions

2020-04-15  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/stream.spad: Fix dots in stream output

2020-04-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad: Fix a typo

2020-04-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad: Fix check for
	unintegrable functions

2020-04-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/poly.spad: Add Yun squareFree for
	finite fields

2020-04-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intrf.spad: Speed up 'split'

2020-03-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/daase.lisp: Minor cleanup

2020-03-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/curve.spad, src/algebra/divisor.spad:
	Generalize interface to divisors

2020-03-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integrat.spad: Add forgotten
	call to 'rischNormalize'

2020-03-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot: Fix regression due
	to recent change

2020-03-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/leadcdet.spad: Detect bad reduction

2020-03-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/amodgcd.spad, src/algebra/evalut.spad:
	Detect division by zero during evaluation

2020-03-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ffcat.spad: Unify with finite
	rank algebra

2020-03-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/indexedp.spad,
	src/algebra/multpoly.spad, src/algebra/poly.spad,
	src/algebra/polycat.spad: Add FreeModuleCategory
	to polynomial rings

2020-03-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expr.spad, src/algebra/opalg.spad,
	src/algebra/pgcd.spad, src/algebra/xlpoly.spad,
	src/algebra/xpoly.spad: Cleanup related to free
	modules

2020-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/buildom.boot, src/interp/i-funsel.boot,
	src/interp/lisplib.boot, src/interp/modemap.boot,
	src/interp/property.lisp: Simplify builtin domains

2020-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/coerce.spad: Retractable implies
	Coercible in opposite direction

2020-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/modgcd.spad: Remove 'modularGcd'

2020-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Fix error due to
	handling of gamma incomplete

2020-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/formula.spad: Remove
	src/algebra/Makefile.in, src/interp/i-output.boot,
	src/interp/macros.lisp, src/interp/msgdb.boot,
	src/interp/setq.lisp, src/interp/setvars.boot,
	src/interp/setvart.boot: Adjust

2020-03-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mathml.spad, src/algebra/tex.spad,
	src/algebra/texmacs.spad: Do not use 'stringify'

2020-03-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/int-top.boot, src/interp/nruncomp.boot,
	src/interp/nrunopt.boot, src/interp/spaderror.lisp:
	Minor cleanups

2020-03-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-util.boot, src/interp/macros.lisp,
	src/interp/scwrap2.boot: Convert few function to Boot

2020-03-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mring.spad: Simplify and generalize

2020-03-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fortout.spad: Fix output of PAREN

2020-03-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad, src/algebra/equation1.spad,
	src/algebra/ffcat.spad, src/algebra/matrix.spad,
	src/algebra/vector.spad: Remove VectorSpace
	src/algebra/Makefile.in: Adjust

2020-03-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/macros.lisp, src/interp/msgdb.boot:
	More explicit stream usage

2020-03-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/cstream.boot: Remove unused functions

2020-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/genups.spad: Fix type conditions,
	remove unimplemented signatures

2020-03-06  Neven Sajko <nsajko@gmail.com>

	* src/graph/include/write.h, src/graph/view2D/write2d.c,
	src/graph/view3D/write3d.c:  Prevent signed integer overflow

2020-03-04  Neven Sajko <nsajko@gmail.com>

	* src/sman/sman.c: Prevent heap buffer overflow

2020-03-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/nlode.spad: Better recognize
	exact equations

2020-03-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad, src/algebra/intalg.spad,
	src/algebra/intef.spad, src/input/integ.input:
	Handle recursion for algebraic integrals

2020-03-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-eval.boot: Initialize variable

2020-03-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/formula.spad, src/algebra/mathml.spad,
	src/algebra/tex.spad, src/algebra/texmacs.spad:
	Get rid of string quotes in derivatives

2020-03-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/genups.spad: Generalize
	src/algebra/Makefile.in: Adjust

2020-03-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad: Fix input form of
	formal derivatives

2020-02-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intpar.spad: Shortcut for easy
	cases of algebraic RDE

2020-02-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/cstream.boot: Avoid stack overflow
	when skipping a lot of lines

2020-02-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad:  Be more careful declaring
	nonintegrability

2020-02-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad, src/algebra/op.spad:
	Fix display of derivative of gamma incomplete

2020-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fs2ups.spad, src/algebra/limitps.spad:
	Add expanders for Ei, Ci, Chi and dilog at 0

2020-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/msgdb.boot: Fix a typo

2020-02-16  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/gdirprod.spad, src/algebra/vector.spad: generalize
	direct product

2020-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/define.boot, src/interp/info.boot,
	src/interp/macros.lisp, src/interp/msgdb.boot:
	Minor cleanups

2020-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/htinp.c, src/hyper/hyper.c,
	src/include/htinp.H1, src/interp/Makefile.in,
	src/interp/i-toplev.boot, src/interp/record.boot,
	src/interp/setq.lisp: Remove old unused testing
	machinery

2020-02-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad, src/algebra/intpar.spad:
	More reqular interface

2020-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad: Avoid division by zero

2020-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

        * src/algebra/si.spad: Avoid overflow

2020-02-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot: Detect too wide output

2020-01-28  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/distro.spad: Fix bug in
	freeMultiplicativeConvolution

2020-01-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* config/fricas_c_macros.h.in, configure.ac,
	src/hyper/hyper.h: Remove old platform conditions
	configure: Regenerate

2020-01-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/derham.spad, src/algebra/patmatch1.spad,
	src/include/sockio-c.H1: Minor cleanups

2019-12-31  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/initx.c: Fix C compiler warning

2019-12-31  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/lex.c: Reformat comments

2019-11-23  Bill Page  <bill.page@newsynthesis.org>

	* src/interp/br-op1.boot: Remove debugging printout

2019-08-29  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/distro.spad: Typo in documentation

2019-08-18  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/distro.spad: Remove unwanted documentation,
	add two new convolutions in DISTRO

2019-07-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mring.spad: Misc cleanup in MRING

2019-07-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mring.spad: Optimize '*' in MRING

2019-07-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/integer.spad: Make PI has OrderedMonoid

2019-07-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Fix 'concat! : List % -> %'
	in URAGG

2019-07-27  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mring.spad: Fix 'construct' in MRING

2019-07-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mring.spad: Optimize '+' in MRING

2019-07-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: add 'concat! : List % -> %'
	in URAGG

2019-07-23  Qian Yun  <oldk1331@gmail.com>

	* src/interp/compiler.boot, src/interp/property.lisp,
	src/interp/setq.lisp: Remove 'NegativeInteger'

2019-07-23  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/*: Remove 'Reference' for Domain local
	variables

2019-07-23  Qian Yun  <oldk1331@gmail.com>

	* src/algenra/aggcat.spad: Move implementation of
	'first(x, n)' from STAGG to URAGG; specialize in List

2019-07-23  Qian Yun  <oldk1331@gmail.com>

	* src/algenra/aggcat.spad: Move implementation
	of '#' under condition in URAGG

2019-07-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/polycat.spad: Speed up polynomial
	evaluation

2019-07-21  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/Makefile.in, src/hyper/hyper.h,
	src/hyper/lex.c: Remove unused variable/macro 'HTADD'
	src/include/nagman.H1: Remove unused header file

2019-07-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gaussian.spad, src/algebra/special2.spad:
	Add own implementation of 'atan' and 'atanh'
	src/algebra/Makefile.in: Adjust

2019-07-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad, src/algebra/gaussian.spad,
	src/algebra/integrat.spad: Avoid unsound use of Complex
	src/algebra/Makefile.in: Adjust

2019-07-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fr.spad: Fix gcd in Factored

2019-07-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot, src/interp/int-top.boot,
	src/interp/setq.lisp: Minor cleanups

2019-07-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Small simplification

2019-06-28  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/parse-types.c: Use correct variable in sprintf.
	("ebuffer" is set up by "token_name")

2019-06-27  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/hyper.h, src/hyper/htadd.c,
	src/hyper/spadint.c: Remove hard coded default value
	for $AXIOM

2019-06-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Fix a thinko

2019-06-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec1.boot: Detect malformed iterators

2019-06-05  Qian Yun  <oldk1331@gmail.com>

	* src/interp/ht-root.boot: Fix HyperDoc "Settings"
	page when ")set hyperdoc fullscreen on"

2019-06-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot, src/interp/br-op1.boot,
	src/interp/br-saturn.boot, src/interp/br-search.boot,
	src/interp/br-util.boot: Browser cleanup

2019-06-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/br-data.boot,
	src/interp/c-doc.boot, src/interp/compiler.boot,
	src/interp/define.boot, src/interp/functor.boot,
	src/interp/g-opt.boot, src/interp/info.boot,
	src/interp/ncomp.boot, src/interp/nruncomp.boot,
	src/interp/nrunfast.boot, src/interp/nrunopt.boot,
	src/interp/setq.lisp:  Limit use of global variables
	in compiler

2019-06-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot, src/interp/br-data.boot,
	src/interp/br-op2.boot, src/interp/define.boot,
	src/interp/postpar.boot: Minor cleanups

2019-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/Makefile.in: Remove problematic trailing
	slash

2019-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-data.boot, src/interp/br-saturn.boot,
	src/interp/br-search.boot: HyperDoc fixes

2019-05-06  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/list.spad: reduce Lisp calls in Domain
	List by inlining functions

2019-05-06  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/list.spad: move implementation
	from IndexedList to List

2019-04-21  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: fix output of 'vconcat'

2019-04-17  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: fix output of 'blankSeparate'

2019-04-17  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: add space before derivative
	in output

2019-04-17  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/solvefor.spad, src/algebra/solverad.spad:
	simplify square root in 'radicalSolve' of quadratic equations

2019-04-14  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/solvefor.spad: remove unused 'mapSolve'

2019-02-25  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/array2.spad: add hashUpdate! to
	InnerIndexedTwoDimensionalArray

2019-02-21  Martin Rubey <axiomize@yahoo.de>

	* contrib/emacs/fricas.el: Update for newer emacs

2019-02-18  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/lodo.spad: fix )abbrev line from domain to package

2019-02-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac, config/fricas_c_macros.h.in,
	src/lib/cfuns-c.c: Use one argument 'mkdir'
	on Windows

2019-01-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Fix bug in '*' and 'gcd' in Factored

2019-01-28  Qian Yun  <oldk1331@gmail.com>

	* Avoid SIGPIPE on macOS, so 'CTRL-C' can interrupt in SBCL
	configure.ac: Detect SO_NOSIGPIPE
	src/lib/sockio-c.c: Use it

2019-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad: Fix input form of formal derivatives

2019-01-24  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/limitps.spad: Add support for '^' in 'sign'
	src/input/bugs2019.input: New file
	src/input/Makefile.in: Adjust

2019-01-22  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Fix 'child?' in RecursiveAggregate

2019-01-22  Qian Yun  <oldk1331@gmail.com>

	* src/lib/sockio-c.c: Fix garbage output or infinite loop
	caused by 'CTRL-D'

2019-01-20  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/aggcat.spad: fix usage of insert! and remove!

2019-01-20  Frédéric Chapoton <fchapoton2@gmail.com>

	* src/algebra/smith2.spad, src/algebra/perm.spad: docfix typos

2019-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/xpfact.spad: Better recognize commutative
	factors

2019-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad, src/algebra/gaussian.spad,
	src/algebra/multsqfr.spad: Minor cleanups

2019-01-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/evalut.spad: Add coercion to OutputForm
	to FakePolynomial

2019-01-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add factorization for XDPOLY
	* src/algebra/xpfact.spad: New file
	src/algebra/Makefile.in: Adjust

2019-01-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot: Remove traces of 'attrlist'

2019-01-15  Konrad Schrempf  <math@versibilitas.at>

	* src/algebra/fdalg.spad, src/algebra/linpen.spad,
	src/algebra/xdpolyf.spad: Add free noncommutative field
	src/algebra/Makefile.in: Adjust

2019-01-06  Riccardo Guida  <riccardo.guida@gmail.com>

	* src/algebra/gaussian.spad, src/algebra/numtheor.spad,
	src/algebra/view2D.spad, src/htex/ug0[12678].htex: docfix

2018-12-24  Peter Broadbery  <p.broadbery@gmail.com>

	* configure.ac: detect aldor compiler features

2018-12-24  Peter Broadbery  <p.broadbery@gmail.com>

	* src/aldor/gendepap.lsp, src/aldor/Makefile.in,
	src/aldor/Makefile2.in, src/interp/ax.boot: Generate conditions on
	defaults, and foreign import in new compiler

2018-12-24  Peter Broadbery  <p.broadbery@gmail.com>

	* src/aldor/aldor.mk, src/aldor/Makefile.in,
	src/aldor/Makefile2.in: Share more code between makefiles

2018-12-24  Peter Broadbery  <p.broadbery@gmail.com>

	* src/aldor/Makefile.in: Make clean should use rm -f

2018-12-24  Peter Broadbery  <p.broadbery@gmail.com>

	* configure.ac: Add with-aldor-binary to specify exact aldor
	binary

2018-12-10  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/tree.spad: Remove cycle related
	functions from Tree and BinaryTreeCategory

2018-12-06  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Optimize and add index
	range check for "index" in FiniteSetAggregate

2018-12-02  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/pscat.spad: add warning to "terms" function
	documentation

2018-11-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/matfuns.spad: Generalize 'inverse' to
	DivisionRing

2018-11-22  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/tree.spad: Cleanup duplicated and unused
	functions from Tree

2018-11-22  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/integer.spad: Get inline optimization
	for some Integer functions

2018-11-20  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/tree.spad:
	Cleanup default implementation of 'leaves' and 'nodes'

2018-11-20  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/list.spad: Fix infinite loop for 'leaves'
	in IndexedList

2018-11-18  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/stream.spad:
	Fix 'children' in URAGG and Stream, add documentation

2018-11-14  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: fix 'children' in BRAGG

2018-10-27  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/algfact.spad: Replace local function 'allk'
	with 'tower'

2018-10-26  Qian Yun  <oldk1331@gmail.com>

	* src/clef/edible.c: Remove unused C function

2018-10-21  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/spadint.c: HyperDoc shows examples faster in xterm

2018-10-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/polycat.spad: Fix coercion of polynomials
	to patterns

2018-10-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad: Block unwanted evaluation

2018-10-16  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/titlebar.c: Support long filename in HyperDoc

2018-09-17  Bill Page  <bill.page@newsynthesis.org>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/primitives.lisp: Fix comparison with signed zero

2018-09-16  Riccardo Guida <riccardo.guida@gmail.com>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/view3D.spad: Replace degrees by radians,
	clean up

2018-09-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad: Avoid introducing unneeded
	kernels

2018-09-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ax.boot, src/interp/c-util.boot,
	src/interp/clam.boot, src/interp/define.boot,
	src/interp/g-boot.boot, src/interp/g-util.boot,
	src/interp/i-funsel.boot, src/interp/i-intern.boot,
	src/interp/i-map.boot, src/interp/i-output.boot,
	src/interp/i-resolv.boot, src/interp/i-spec2.boot,
	src/interp/macros.lisp, src/interp/modemap.boot,
	src/interp/package.boot, src/interp/parse.boot,
	src/interp/setvars.boot, src/interp/slam.boot,
	src/interp/trace.boot, src/interp/vmlisp.lisp:
	Misc cleanups

2018-08-20  Martin Rubey <axiomize@yahoo.de>

	* src/algebra/complet.spad: Add convertion to
	InputForm

2018-08-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integrat.spad: Add missing assignment

2018-07-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/format.boot: Fix handling of SEGMENT

2018-07-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/as.boot, src/interp/br-con.boot,
	src/interp/br-data.boot, src/interp/br-op1.boot,
	src/interp/br-op2.boot, src/interp/br-search.boot,
	src/interp/br-util.boot, src/interp/cattable.boot,
	src/interp/database.boot, src/interp/i-intern.boot,
	src/interp/scwrap2.boot, src/interp/setvars.boot,
	src/interp/trace.boot: Misc cleanups

2018-07-22  Martin Rubey <axiomize@yahoo.de>

	* src/algebra/mkfunc.spad, src/algebra/op.spad,
        src/algebra/outform.spad, src/algebra/symbol.spad:
        Improve coercion to InputForm

2018-07-18  Bill Page  <bill.page@newsynthesis.org>

	* src/interp/slam.boot:  UNTRACE-2 -> untrace2

2018-07-13  Qian Yun  <oldk1331@gmail.com>

	* src/interp/macros.lisp: Fix highlight escape code

2018-07-13  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot: Fix function undefined error
	in ')display properties'

2018-07-12  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/extred.spad: remove dependence on
	"leadingMonomial(0)=0" and "reductum(0)=0"

2018-07-11  Qian Yun  <oldk1331@gmail.com>

	* src/doc/htex/ug03.htex, src/doc/htex/ug05.htex:
	Fix typos, partially backport from Axiom commit 3656d946

2018-07-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rule.spad, src/interp/format.boot,
	src/interp/i-output.boot, src/interp/property.lisp:
	Simplify output

2018-07-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot: Fix test for large matrices

2018-07-04  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/extred.spad: add ExtendedPolynomialReduction

2018-06-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/allfact.spad, src/algebra/mantepse.spad,
	src/interp/c-util.boot, src/interp/i-map.boot,
	src/interp/i-output.boot, src/interp/i-spec1.boot,
	src/interp/i-toplev.boot, src/interp/nrungo.boot,
	src/interp/property.lisp, src/interp/setq.lisp,
	src/interp/slam.boot, src/lib/sockio-c.c:
	Misc cleanups

2018-06-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/generic.spad, src/algebra/lodof.spad,
	src/algebra/modring.spad, src/algebra/moebius.spad,
	src/algebra/ordinal.spad, src/algebra/pf.spad,
	src/algebra/prtition.spad, src/algebra/radix.spad,
	src/algebra/triset.spad: Add types to disambiguate

2018-06-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot: Set '$resolve_level' during
	output

2018-06-26  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Fix documentation and
	simplify implementation of 'max' in HomogeneousAggregate

2018-06-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-intern.boot, src/interp/i-spec1.boot:
	Partial fix for scope with anonymous functions

2018-06-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/muldep.spad: Fix a bug

2018-06-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/eigen.spad: Faster characteristic
	polynomial over finite fields

2018-06-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expexpan.spad, src/algebra/ffcg.spad,
	src/algebra/ffnb.spad, src/algebra/ffp.spad,
	src/algebra/groebf.spad, src/algebra/indexedp.spad,
	src/algebra/intclos.spad, src/algebra/logic.spad,
	src/algebra/mantepse.spad, src/algebra/multpoly.spad,
	src/algebra/ore.spad, src/algebra/rep2.spad,
	src/algebra/stream.spad, src/algebra/vsbasis.spad:
	Fix fragile overloading

2018-06-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad: Add 'min' and 'max'
	for HomogeneousAggregate

2018-06-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integer.spad, src/algebra/sf.spad,
	src/interp/category.boot, src/interp/compiler.boot,
	src/interp/iterator.boot: Minor cleanups and fixes

2018-06-14  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/integer.spad: Inline optimize 'powmod'

2018-06-13  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/limitps.spad: Fix limit of Fresnel functions

2018-06-12  Johannes Grabmeier <johannes@grabmeier.net>

	* src/algebra/pf.spad: Implement 'sqrt', reorganize

2018-06-11  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/vector.spad:
	Misc optimizations

2018-06-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boo_db.input, src/interp/compiler.boot,
	src/interp/daase.lisp, src/interp/database.boot:
	Misc cleanups

2018-06-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/define.boot, src/interp/i-syscmd.boot,
	src/interp/setq.lisp: Clean up useless synonyms

2018-06-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Beter detect non-returning
	computations

2018-06-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/daase.lisp, src/interp/info.boot:
	Misc cleanups

2018-06-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot: Fix breakage due to recent
	cleanup

2018-06-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/interop.boot: Workaround for 0 and 1

2018-06-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-doc.boot, src/interp/c-util.boot,
	src/interp/compiler.boot, src/interp/define.boot,
	src/interp/iterator.boot, src/interp/parse.boot,
	src/interp/postpar.boot, src/interp/property.lisp,
	src/interp/s-parser.boot: Simplify postparse

2018-06-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/scene.spad, src/interp/br-con.boot,
	src/interp/br-saturn.boot, src/interp/br-search.boot,
	src/interp/cparse.boot, src/interp/int-top.boot:
	Misc cleanups

2018-06-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/evalut.spad, src/hyper/event.c,
	src/hyper/ex2ht.c, src/hyper/hyper.h,
	src/hyper/initx.c, src/hyper/spadbuf.c,
	src/hyper/spadint.c: Misc cleanups

2018-06-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/array2.spad: Another fix for special matrices

2018-06-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-toplev.boot, src/interp/int-top.boot,
	src/interp/server.boot: Correctly suppress output
	when requested

2018-06-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/spadint.c, src/interp/br-con.boot,
	src/interp/cattable.boot, src/interp/i-eval.boot:
	Fix evaluation of types in HyperDoc

2018-05-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/array2.spad: Fix 'row' and 'column'

2018-05-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec1.boot: Fix case with variable type

2018-05-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-funsel.boot: Fix uses of "failed"

2018-05-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/trace.boot: Bind '$resolve_level'
	during trace output

2018-05-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scan.boot, src/interp/setvars.boot,
	src/interp/setvart.boot: Misc cleanups

2018-05-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/category.boot, src/interp/define.boot:
	Simplify 'mkCategory', make 'DescendantP' conservative

2018-05-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-saturn.boot, src/interp/br-search.boot,
	src/interp/cattable.boot, src/interp/compiler.boot,
	src/interp/g-boot.boot, src/interp/i-analy.boot,
	src/interp/i-map.boot, src/interp/i-spec1.boot,
	src/interp/i-spec2.boot, src/interp/i-syscmd.boot,
	src/interp/i-toplev.boot, src/interp/iterator.boot,
	src/interp/lisplib.boot, src/interp/setq.lisp,
	src/interp/spaderror.lisp: Misc cleanups

2018-05-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Speed up compiler coerce

2018-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/br-con.boot,
	src/interp/i-analy.boot, src/interp/i-coerfn.boot,
	src/interp/i-eval.boot, src/interp/i-output.boot,
	src/interp/i-syscmd.boot, src/interp/i-toplev.boot,
	src/interp/record.boot, src/interp/server.boot,
	src/interp/setq.lisp: Misc cleanups

2018-05-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Improve computation of characteristic polynomial
	* src/algebra/charpol.spad: New file
	src/algebra/numeigen.spad: Relax type restriction

2018-05-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op1.boot, src/interp/msgdb.boot,
	src/interp/showimp.boot: Minor cleanups

2018-05-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-code.boot: Remove, move content to
	src/interp/i-coerce.boot and
	src/interp/i-spec1.boot
	src/interp/Makefile.in: Adjust, simplify

2018-05-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-util.boot, src/interp/category.boot,
	src/interp/database.boot, src/interp/define.boot,
	src/interp/g-util.boot, src/interp/lisplib.boot,
	src/interp/nrunopt.boot, src/interp/s-parser.boot:
	Misc cleanups

2018-05-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in, src/interp/util.lisp:
	Remove traces of autoloading interpreter

2018-05-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/define.boot, src/interp/format.boot,
	src/interp/int-top.boot, src/interp/msgdb.boot:
	Misc cleanups

2018-05-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/clam.boot, src/interp/define.boot,
	src/interp/g-boot.boot, src/interp/nruncomp.boot:
	Simplify functor code

2018-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/clam.boot, src/interp/define.boot,
	src/interp/functor.boot, src/interp/i-output.boot,
	src/interp/nruncomp.boot: Misc cleanups

2018-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/*, src/interp/*, src/algebra/files.spad,
	src/algebra/fortout.spad, src/algebra/table.spad:
	Regularize names

2018-05-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/alg_top.spad: Avoid duplication

2018-05-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/galfact.spad: Better use degree restrictions

2018-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fr.spad, src/algebra/galfact.spad,
	src/algebra/laurent.spad, src/interp/format.boot,
	src/interp/g-timer.boot, src/interp/postpar.boot:
	Minor cleanups and fixes

2018-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpresent.spad: Add convertion
	src/algebra/Makefile.in: Adjust

2018-05-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/evalut.spad, src/algebra/ffact.spad,
	src/algebra/float.spad, src/algebra/matfuns.spad,
	src/algebra/modhpsol.spad, src/algebra/numarr.spad,
	src/algebra/sf.spad, src/algebra/u32vec.spad,
	src/lisp/primitives.lisp: More regular names of primitives

2018-04-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad, src/algebra/rule.spad,
	src/interp/pf2sex.boot: Remove strange 'eval'

2018-04-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ffhom.spad, src/algebra/wtpol.spad,
	src/algebra/xpoly.spad: Minor cleanups

2018-04-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/*: Change 'factors' to 'factorList' when possible

2018-04-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Change exponent of Factored to NNI
	src/algebra/*: Adjust

2018-04-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Misc cleanup

2018-04-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Move 'mergeFactors' to Factored
	src/algebra/integer.spad, src/input/bugs2017.input: Adjust

2018-04-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Fix 'map' to agree with documentation

2018-04-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Rewrite 'makeFR' and fix handling
	arguments with zero factors

2018-04-24  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Rewrite and optimize 'gcd', '*', '='

2018-04-24  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Rewrite 'exquo' to avoid
	negative exponents

2018-04-24  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Change the return type of
	'factorList' to be more readable
	src/doc/htex/FR.htex, src/doc/htex/FR2.htex,
	src/doc/htex/ug08.htex, src/input/algfacob.input,
	src/input/fr.input, src/input/galois.input,
	src/input/poly.input, src/algebra/*: Adjust

2018-04-12  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/lll.spad: add extendedLLL algorithm

2018-04-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mfinfact.spad: Fix 'factor'

2018-04-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot, src/interp/nruncomp.boot,
	src/interp/postpar.boot: Misc cleanup

2018-04-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad, src/algebra/algcat.spad,
	src/algebra/card.spad, src/algebra/dhmatrix.spad,
	src/algebra/divisor.spad, src/algebra/ffcat.spad,
	src/algebra/naalgc.spad, src/algebra/ore.spad,
	src/algebra/outform.spad: Add type declarations

2018-04-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: Fix problem with 'lib64' and similar

2018-04-03  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Fix documentation

2018-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/c-util.boot,
	src/interp/compiler.boot, src/interp/database.boot,
	src/interp/define.boot, src/interp/functor.boot,
	src/interp/info.boot, src/interp/iterator.boot,
	src/interp/lisplib.boot, src/interp/modemap.boot,
	src/interp/nruncomp.boot, src/interp/nrunopt.boot:
	Limit use of '$e' in compiler

2018-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/lodof2.spad: Clean up, reduce compile time

2018-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/string.spad: Implement 'set'

2018-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pfr.spad: Fix type errors
	src/interp/compiler.boot: Check 'construct' more strictly

2018-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/define.boot: Allow declaring types
	of some arguments

2018-03-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/alg_top.spad, src/algebra/carten.spad,
	src/algebra/crfp.spad, src/algebra/ffcg.spad,
	src/algebra/fff.spad, src/algebra/ffnb.spad,
	src/algebra/ffp.spad, src/algebra/ffpoly.spad,
	src/algebra/gpresent.spad, src/algebra/interval.spad,
	src/algebra/mantepse.spad, src/algebra/numtheor.spad,
	src/algebra/permgrps.spad, src/algebra/puiseux.spad,
	src/algebra/scene.spad: Eliminate some 'pretend'-s

2018-03-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/html.spad: Misc cleanup

2018-03-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/vector.spad: Avoid unnecessary allocation in
	DirectProduct

2018-03-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sttaylor.spad: Make '/' and 'exquo' more lazy

2018-03-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/exposed.lsp,
	src/algebra/free.spad: Remove FreeAbelianGroup

2018-03-25  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/sups.spad: introduce "pretend" for an Inner domain
	representation

2018-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/br-con.boot,
	src/interp/br-data.boot, src/interp/br-op2.boot,
	src/interp/c-util.boot, src/interp/category.boot,
	src/interp/cattable.boot, src/interp/compiler.boot,
	src/interp/database.boot, src/interp/define.boot,
	src/interp/functor.boot, src/interp/g-cndata.boot,
	src/interp/i-analy.boot, src/interp/i-eval.boot,
	src/interp/info.boot, src/interp/iterator.boot,
	src/interp/lisplib.boot, src/interp/modemap.boot,
	src/interp/nruncomp.boot, src/interp/nrunopt.boot:
	Misc cleanups

2018-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot, src/interp/define.boot,
	src/interp/package.boot, src/interp/setq.lisp,
	src/interp/spad.lisp: Remove support for compiling
	only part of a constructor

2018-03-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/sups.spad: Fix stack overflow in SUTS
	caused by not lazy evaluating stream

2018-03-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/indexedp.spad, src/algebra/opalg.spad,
	src/algebra/poly.spad, src/algebra/tensor.spad:
	Generalize IDPO and FM to unordered base

2018-03-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/check_result: New file
	Makefile.in, src/input/Makefile.in: Support 'make check'

2018-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/cparse.boot, src/interp/g-util.boot,
	src/interp/i-syscmd.boot, src/interp/i-toplev.boot,
	src/interp/int-top.boot, src/interp/ptrees.boot,
	src/interp/util.lisp:  Misc cleanups

2018-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/buildom.boot, src/interp/category.boot,
	src/interp/define.boot:  Do not use environment in Join

2018-03-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Remove support for calling Fortran
	* src/algebra/fortpak.spad: Remove FORT and NAGSP
	src/interp/fortcall.boot: Remove
	src/algebra/Makefile.in, src/interp/Makefile.in: Adjust

2018-03-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot, src/interp/br-op1.boot,
	src/interp/br-op2.boot, src/interp/br-saturn.boot,
	src/interp/br-search.boot, src/interp/br-util.boot,
	src/interp/g-error.boot, src/interp/ht-root.boot,
	src/interp/i-output.boot, src/interp/i-toplev.boot,
	src/interp/msgdb.boot, src/interp/setq.lisp:
	Remove code for Saturn

2018-03-18  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/htex/GUESSPI.htex, src/doc/htex/LLLRED.htex: fix
	compilation of book.pdf

2018-03-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in, src/interp/compiler.boot,
	src/interp/define.boot, src/interp/g-boot.boot,
	src/interp/lisplib.boot, src/interp/nruncomp.boot,
	src/interp/setq.lisp: Remove profiling support
	src/interp/profile.boot : Delete

2018-03-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-prof.boot: Delete file
	src/interp/Makefile.in, src/interp/br-con.boot,
	src/interp/br-saturn.boot: Adjust
	src/interp/compiler.boot, src/interp/define.boot,
	src/interp/i-resolv.boot, src/interp/macros.lisp,
	src/interp/ncomp.boot, src/interp/nruncomp.boot,
	src/interp/nrunopt.boot, src/interp/util.lisp:
	Misc cleanups

2018-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot, src/interp/br-data.boot,
	src/interp/br-op1.boot, src/interp/br-op2.boot,
	src/interp/br-saturn.boot, src/interp/br-search.boot,
	src/interp/br-util.boot, src/interp/g-boot.boot,
	src/interp/ht-root.boot, src/interp/htsetvar.boot:
	Misc cleanups

2018-03-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Catch debian sbcl-1.3.1.debian

2018-03-11  Peter Broadbery  <p.broadbery@gmail.com>

	* src/algebra/ituple.spad, src/algebra/multipoly.spad,
	src/algebra/numeric.spad, src/algebra/vector.spad,
	src/algebra/xlpoly.spad
	Syntax fixes for documentation and line breaks

2018-03-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/primitives.lisp: Fix compatiblility with
	sbcl-1.4.5

2018-03-05  Qian Yun  <oldk1331@gmail.com>

       * src/graph/include/G.h, src/graph/view2D/main2d.c,
       src/graph/view3D/globals.h, src/graph/view3D/main3d.c:
       Fix 'write' to Postscript file

2018-03-05  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/texmacs.spad, src/algebra/outform.spad,
	src/lisp/fricas-lisp.lisp,
	contrib/texmacs/fricas/progs/fricas-input.scm,
	contrib/texmacs/fricas/doc/FriCAS-TeXmacs-characters.tm:
	Improve Texmacs interface

2018-02-27  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/combfunc.spad: Remove unsound power
	simplification

2018-02-26  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Fix '^'

2018-02-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot: Fix breakage due to
	'$resolve_level'

2018-02-26  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/gnudraw.spad, src/algebra/openmath.spad,
	src/algebra/plottool.spad, src/algebra/space.spad,
	src/algebra/transsolve.spad: Eliminate non-existing
	imports

2018-02-25  Qian Yun  <oldk1331@gmail.com>

	* src/hyper/hthits.c, src/include/hthits.H1:
	Eliminate 'register' keyword

2018-02-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/viewDef.spad: Fix index bound

2018-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-resolv.boot, src/interp/i-toplev.boot:
	Limit recursion depth when resolving types

2018-02-24  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-funsel.boot: Fix recursion in 'has'

2018-02-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-util.boot, src/interp/category.boot,
	src/interp/clam.boot, src/interp/functor.boot,
	src/interp/g-boot.boot, src/interp/i-map.boot,
	src/interp/macros.lisp, src/interp/msgdb.boot:
	Misc cleanups

2018-02-24  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/stream.spad,
	src/algebra/tree.spad: Fix 'leaf?'

2018-02-21  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mring.spad: Fix 'construct'

2018-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot, src/interp/br-op2.boot,
	src/interp/daase.lisp: Misc cleanups

2018-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad: Implement missing 'qsetfirst!'
	and 'qsetrest!'

2018-02-21  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Fix 'exquo'

2018-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/eigen.spad: Make exports conditional

2018-02-20  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/poly.spad: Remove unused local 'times!'

2018-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op1.boot: Show conditional operations
	in categories

2018-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pscat.spad: Remove useless signatures

2018-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algcat.spad, src/algebra/attribs.spad,
	src/algebra/catdef.spad, src/algebra/matcat.spad
	src/algebra/naalgc.spad: Add default 'leftRecip' and 'rightRecip'
	src/algebra/Makefile.in: Adjust

2018-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pfo.spad: Fix division by zero

2018-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad, src/algebra/computation.spad,
	src/algebra/graph.spad, src/algebra/logic.spad,
	src/algebra/qalgset.spad: Misc cleanups

2018-02-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad: Implement sensible 'latex'
	src/algebra/logic.spad, src/algebra/scene.spad:
	Remove useless definitions

2018-02-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/allfact.spad, src/algebra/fraction.spad:
	Move 'factorFraction' to Fraction

2018-02-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/matrix.spad: Implement 'columnSpace'
	for SquareMatrix

2018-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/special2.spad: Implement numeric
	ellipticPi

2018-02-05  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Handle roots of roots in
	'rootPower'

2018-02-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mfinfact.spad: Clean up

2018-02-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* config/config.guess, config/config.sub: Fix

2018-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/amodgcd.spad, src/algebra/evalut.spad:
	Minor cleanup

2018-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/evalut.spad: Remove spurious error message

2018-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algfunc.spad: Remove spurious root simplification

2018-01-22  Qian Yun  <oldk1331@gmail.com>

	* src/interp/nruncomp.boot: Don't apply ill-formed
	inline optimization

2018-01-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/multsqfr.spad: Fix handling of leading
	coefficient
	src/input/bugs2018.input: New file
	src/input/Makefile.in: Adjust

2018-01-11  Qian Yun  <oldk1331@gmail.com>

	* src/interp/foam_l.lisp: Do not use obsolete INT-CHAR

2018-01-11  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/transsolve.spad: Misc cleanups

2018-01-11  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: Fix an overflow bug in 'overlabelApp'

2018-01-11  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/outform.spad: Use correct length of output
	in OutputForm

2018-01-09  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/transsolve.spad: add 'solve' for kernels

2018-01-08  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/skpol.spad: remove VarSet from NGroebnerPackage

2018-01-08  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/gbintern.spad: add gbasisExtend

2018-01-08  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/gb.spad, src/algebra/gbintern.spad,
	src/algebra/groebf.spad, src/algebra/groebsol.spad,
	src/algebra/ideal.spad, src/algebra/idecomp.spad,
	src/algebra/jet.spad, src/algebra/lingrob.spad,
	src/algebra/numsolve.spad, src/algebra/pgrobner.spad,
	src/algebra/qalgset.spad, src/algebra/resring.spad,
	src/algebra/syssolp.spad, src/algebra/zerodim.spad:
	Groebner(Internal)Package without VarSet


2017-12-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/unittest.spad: Disable useless warning
	src/interp/g-opt.boot, src/interp/property.lisp:
	Minor cleanups

2017-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Qian Yun  <oldk1331@gmail.com>

	* src/lisp/num_gmp.lisp: Fix 'gmp-bignum-isqrt'

2017-11-23  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/stream.spad: Fix 'size?'

2017-10-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/free.spad: Fix for unspecified order of evaluation
	of arguments

2017-09-30  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot, src/input/i_bugs.input: fix the
	display of 'overbar', 'overlabel' in multi-line output

2017-09-17  Qian Yun  <oldk1331@gmail.com>
	    Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/gbintern.spad: avoid recursion in critical pair list
	update

2017-08-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/cparse.boot, src/interp/pile.boot,
	src/interp/scan.boot, src/interp/scwrap2.boot:
	Simplify scanner and interpreter parser

2017-08-05  Piet van Oostrum  <piet-l@vanoostrum.org>

	* configure.ac, src/lib/Makefile.in, src/lisp/Makefile.in:
	Support GMP in nonstandard location

2017-07-20  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/elemntry.spad: Don't cache constants in
	Expression(Float)

2017-07-20  Piet van Oostrum  <piet-l@vanoostrum.org>

	* src/lisp/num_gmp.lisp: Fix scope

2017-07-07  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/intlocp.spad: new domain IntegerLocalizedAtPrime

2017-07-07  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fspace.spad: Remove 'paren/box' for lists

2017-07-02  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/coerce.spad: Docfix

2017-06-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/algfunc.spad: Fix nthRoot for negative EXPR FLOAT

2017-06-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/expr.spad: Do not export 'simplifyPower'

2017-06-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/float.spad: Make sure 'x^(1/2) = sqrt(x)'
	in Float

2017-06-29  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/polycat.spad: generalize PolynomialCategoryLifting

2017-06-10  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/intden.spad, src/algebra/pfr.spad: Clean up
	exports of PartialFraction

2017-06-09  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/intden.spad: Small optimization

2017-06-05  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/acplot.spad, src/algebra/algfact.spad,
	src/algebra/fr.spad, src/algebra/galfact.spad,
	src/algebra/padiclib.spad, src/algebra/pfr.spad,
	src/algebra/twofact.spad:  Cleanup of exports of Factored

2017-06-05  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/constant.spad: Remove InnerAlgebraicNumber
	src/algebra/Makefile.in, src/algebra/exposed.lsp: Adjust

2017-06-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mts.spad: Add few missing functions

2017-05-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpgcd.spad: Fix another GENPGCD problems

2017-05-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/random.spad: Fix and cleanup IntegerBits

2017-05-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/seg.spad: Add 'reverse'

2017-05-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pfbr.spad: Avoid infinite loop

2017-05-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add LLL reduction
	* src/algebra/lll.spad: New file
        src/algebra/Makefile.in: Adjust

2017-05-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/list.spad, src/algebra/seg.spad:
	Remove obsolete functions

2017-05-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/allfact.spad, src/algebra/defintef.spad,
	src/algebra/groebf.spad, src/algebra/intef.spad,
	src/algebra/integrat.spad, src/algebra/laplace.spad,
	src/algebra/multfact.spad, src/algebra/nlode.spad,
	src/algebra/odeef.spad, src/algebra/oderf.spad,
	src/algebra/pfr.spad, src/algebra/pleqn.spad,
	src/algebra/qalgset.spad, src/algebra/rdeefx.spad,
	src/algebra/solverad.spad, src/algebra/transsolve.spad,
	src/algebra/triset.spad, src/algebra/zerodim.spad:
	Use PolynomialFactorizationExplicit instead of
	EuclideanDomain

2017-05-28  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fr.spad: Avoid side effects in 'mergeFactors'

2017-05-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad: Fix gcd in field

2017-05-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpgcd.spad, src/algebra/integrat.spad,
	src/algebra/pgcd.spad: Misc cleanups

2017-05-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpgcd.spad: Fix handling of content

2017-05-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpgcd.spad: Fix handling of leading
	coefficients

2017-05-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/leadcdet.spad: Generalize

2017-05-22  Qian Yun  <oldk1331@gmail.com>

	* src/doc/Makefile.in: Clean viewports in distclean

2017-05-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/iterator.boot: Replace 'nil' by 'construct'

2017-05-15  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/expr.spad: Remove unused code

2017-05-15  Qian Yun  <oldk1331@gmail.com>

	* src/etc/fricas: Update and simplify

2017-05-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pgcd.spad: Add more checks for bad
	reduction

2017-05-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/npcoef.spad: Avoid crash

2017-05-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/multfact.spad: Fix handling of leading
	coefficient

2017-05-13  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/stream.spad: Avoid recursion in 'construct'
	and 'numberOfComputedEntries'

2017-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpgcd.spad: Fix problem with gcd of
	monomials

2017-04-26  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/computation.spad, src/algebra/logic.spad:
	Remove redundant export of 'coerce'

2017-04-22  Qian Yun  <oldk1331@gmail.com>

	* src/interp/lisplib.boot: Avoid duplicates in operation
	list

2017-04-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ax.boot: Fix build of Aldor interface

2017-04-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-funsel.boot: Work around problem with
	self referential conditions

2017-04-14  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: Add space around conjugate

2017-04-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Qian Yun  <oldk1331@gmail.com>

	* src/algebra/product.spad, src/algebra/rdeefx.spad,
	src/algebra/special2.spad, src/algebra/tableau.spad,
	src/algebra/view3D.spad, src/etc/fricas,
	src/interp/fortcall.boot, src/interp/i-output.boot:
	Misc cleanups

2017-04-13  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Fix '=' and 'node?' for URAGG

2017-04-12  Tim Daly  <axiomcas@gmail.com>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/prt.c: Fix overlapping 'strcpy'

2017-04-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Barry Trager

	* src/algebra/rep1.spad: Generalize tensor
	representations

2017-04-11  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/algfunc.spad, src/algebra/expr.spad:
	Move RetractableTo AlgebraicNumber to category

2017-04-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/boolean.spad,
	src/algebra/logic.spad: Add defalut 'T()' and "_|_"
	in Logic

2017-04-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad: Add 'Algebra(%)' to
	CommutativeRing

2017-04-07  Qian Yun  <oldk1331@gmail.com>

	* src/interp/sfsfun.boot: Remove 'nangenericcomplex'

2017-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Handle some integrals in terms
	of incomplete Gamma-s with irrational first argument

2017-04-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/indexedp.spad, src/algebra/multpoly.spad:
	Fix and speed up 'monomial?'

2017-04-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad, src/algebra/op.spad:
	Add derivatives for 'box' and 'paren'

2017-04-02  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Simplify DictionaryOperations

2017-04-01  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/poly.spad: Fix 0^0

2017-04-01  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Fix 'simplifyLog'

2017-03-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* config/config.guess, config/config.sub: Update

2017-03-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Fix expansion of nested
	logarithms

2017-03-28  Bill Page <bill.page@newsynthesis.org>

	* src/algebra/combfunc.spad, src/algebra/expr.spad,
	src/algebra/trigcat.spad, src/algebra/sf.spad:
	Add symbolic 'conjugate'

2017-03-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerfn.boot: Minor cleanup

2017-03-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ffcat.spad: Turn on PolynomialFactorizationExplicit
	for finite fields

2017-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/clifford.spad, src/algebra/clip.spad,
	src/algebra/export3D.spad, src/algebra/mathml.spad,
	src/algebra/view2D.spad, src/algebra/view3D.spad,
	src/algebra/viewDef.spad: Clean up printing

2017-03-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Fix coercion to OutputForm
	in AssociationList

2017-03-24  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Improve 'simplifyExp'

2017-03-23  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Recurse into exponents

2017-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/*, src/interp/i-coerfn.boot: Remove
	uses of 'brace', 'null' and 'nil'

2017-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: Avoid useless copy

2017-03-20  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/list.spad: Optimize 'setDifference'

2017-03-18  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/bezout.spad: Clean up bezout.spad

2017-03-18  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: Fix output for List ALIST

2017-03-13  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/computation.spad: Skip code that would
	otherwise produce a warning

2017-03-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Respect order of fields
	when comparing Union-s

2017-03-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/draw.spad: Clean up style handling

2017-03-08  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/list.spad,
	src/algebra/stream.spad: Add missing implementation
	of 'leaves'

2017-03-08  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mset.spad, src/algebra/sex.spad,
	src/interp/i-output.boot: More spaces in output

2017-03-06  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/sturm.spad: Clean up, use 'subresultantVector'

2017-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: Avoid modifying argument in
	'ratDenom'

2017-03-06  Barry Trager

	* src/algebra/matfuns.spad: Avoid determinant crash over GF(2)

2017-03-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/galfact.spad: Fix order of union members

2017-03-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad: Remove commented out 'one?'

2017-03-03  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/intrf.spad: Fix subresultantVector when
	resultant(p,q)=0

2017-03-01  Qian Yun  <oldk1331@gmail.com>

	* src/interp/database.boot: Avoid loss of operations
	in ')show'

2017-03-01  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/float.spad: Fix 'relerror'

2017-02-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/matfuns.spad, src/algebra/vector.spad:
	Fix linear algebra with empty matrices

2017-02-27  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/float.spad: Improve error messages

2017-02-27  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Add 'first' to LinearAggregate

2017-02-26  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/float.spad, src/algebra/sf.spad:
	Add ConvertibleTo String to FloatingPointSystem

2017-02-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/draw.spad: Fix titles

2017-02-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/interp/br-op1.boot: Omit operation name if
	all conditions are false

2017-02-22  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/numquad.spad: Generalize NumericalQuadrature

2017-02-22  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/float.spad, src/algebra/sf.spad:
	Move '/' to FloatingPointSystem

2017-02-21  Qian Yun  <oldk1331@gmail.com>

	* src/interp/format.boot, src/interp/i-syscmd.boot:
	Better ')show'

2017-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad, src/algebra/pfo.spad:
	Handle imaginary unit in algebraic integrals

2017-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/draw.spad: Clean up

2017-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/gpresent.input: Add Todd-Coxeter on
	cosets of subgroup

2017-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpresent.spad: Speed up, fix symmetricGroup

2017-02-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pfo.spad: Clean up

2017-02-18  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: rootProduct(): handle
	embedded roots

2017-02-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/manip.spad: rootPower(): handle
	embedded roots

2017-02-17  Qian Yun  <oldk1331@gmail.com>

	* src/interp/format.boot: Nicer printing of types in
	messages

2017-02-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/manip.spad: rootSimp(): handle
	embedded roots

2017-02-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mkfunc.spad: mkLisp(): Preserve integer
	exponents

2017-02-14  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/irexpand.spad: Fix division by zero in
	'ilog'

2017-02-13  Bill Page <bill.page@newsynthesis.org>

	* src/interp/i-intern.boot: Remove interpreter
	transform of '~='

2017-02-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Qian Yun  <oldk1331@gmail.com>

	* src/algebra/integrat.spad, src/algebra/irexpand.spad:
	Fix kernel selection in 'ilog'

2017-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/pfo.spad: Properly initialize random range
	in FSRED

2017-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pfo.spad: Fix computation of order
	for some parametric divisors

2017-02-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/divisor.spad: Fix inconsitency between
	'princ?' and 'reduce'

2017-02-07  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: Correction to previous
	output fix

2017-02-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/format.boot: Fix regression in ')show'

2017-02-06  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/irexpand.spad: Better tantrick

2017-02-05  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mkfunc.spad: mkLisp(): Ensure double accuracy

2017-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/incl.boot: Fix %id

2017-02-02  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: Fix width calcualtion
	after roots

2017-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpresent.spad: Use HLT strategy in
	Todd-Coxeter

2017-01-31  Martin Baker  <ax87438@martinb.com>

	* src/algebra/gpresent.spad: Add 'symmetricGroup', cleanup

2017-01-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpresent.spad: Improve Todd-Coxeter

2017-01-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-doc.boot, src/interp/msgdb.boot,
	src/share/doc/msgs/s2-us.msgs: Move some messages
	to source code

2017-01-27  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/constant.spad,
	src/algebra/draw.spad, src/algebra/intaux.spad,
	src/algebra/irexpand.spad, src/algebra/kl.spad,
	src/algebra/list.spad, src/algebra/mkfunc.spad,
	src/algebra/prs.spad, src/algebra/si.spad:
	Misc cleanups

2017-01-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/permgrps.spad: Add code to generate
	presentation

2017-01-25  Martin Baker  <ax87438@martinb.com>

	* src/algebra/alg_top.spad: Simplify, clean up, add cochain

2017-01-24  Peter Broadbery  <p.broadbery@gmail.com>
            Ralf Hemmecke  <ralf@hemmecke.org>

	* src/aldor/gendepap.lsp: allow multivariate "easy types"

2017-01-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scan.boot, src/interp/setq.lisp,
	src/lisp/primitives.lisp: Fix build with sbcl-1.3.13

2017-01-24  Martin Baker  <ax87438@martinb.com>

	* src/algebra/gpresent.spad: Add Todd-Coxeter algorithm

2017-01-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nruncomp.boot: Fix compilation of non-type
	values in types

2017-01-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/interop.boot, src/interp/nrunfast.boot:
	Cleanup runtime

2017-01-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

        * src/interp/compiler.boot, src/interp/i-output.boot,
        src/interp/iterator.boot, src/interp/parse.boot,
        src/interp/property.lisp: Simplify 'parseTran'

2017-01-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/logic.spad, src/interp/category.boot,
	src/interp/interop.boot: Minor cleanups

2017-01-09  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/integer.spad: Fix problem with 'latex(1)'

2017-01-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Qian Yun  <oldk1331@gmail.com>

	Whitespace and comment cleanup

2017-01-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-funsel.boot: remove useless code

2017-01-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gdirprod.spad, src/algebra/list.spad,
	src/interp/parse.boot: remove parse transform of
	'reverse' and 'tails'

2016-11-13  Martin Baker  <ax87438@martinb.com>

	* src/algebra/gpresent.spad: Improve simplify, rename
	subgroup to quotient

2016-11-07  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/pfr.spad: Add fractionalTerms

2016-11-06  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fparfrac.spad: Fix output of
	FullPartialFractionExpansion

2016-11-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad: Avoid spurious simplification

2016-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combinat.spad, src/algebra/partperm.spad:
	Support odd and distinct partitions

2016-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/bezout.spad: Simplify

2016-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-boot.boot, src/interp/macros.lisp,
	src/interp/postpar.boot, src/interp/property.lisp:
	Cleanup, remove wrong transformation

2016-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/limitps.spad, src/algebra/mrv_limit.spad:
	Allow variable in limit point

2016-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/logic.spad: Fix function names

2016-10-13  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/pfr.spad: Misc fixes and improvements

2016-10-13  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/bezout.spad: Generalize column indexing

2016-10-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/acplot.spad, src/algebra/aggcat.spad,
	src/algebra/array1.spad, src/algebra/clip.spad,
	src/algebra/combfunc.spad, src/algebra/defintef.spad,
	src/algebra/defintrf.spad, src/algebra/draw.spad,
	src/algebra/drawpak.spad, src/algebra/fortran.spad,
	src/algebra/genups.spad, src/algebra/liouv.spad,
	src/algebra/mesh.spad, src/algebra/plot.spad,
	src/algebra/plot3d.spad, src/algebra/plottool.spad,
	src/algebra/random.spad, src/algebra/scene.spad,
	src/algebra/seg.spad, src/algebra/stream.spad,
	src/algebra/string.spad, src/algebra/sum.spad,
	src/algebra/view2D.spad, src/interp/i-spec1.boot: Replace
	'lo' by 'low' and 'hi' by 'high'

2016-10-10  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/bezout.spad: Fix indexing error

2016-10-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pdecomp.spad: Remove
	src/algebra/updecomp.spad: Extend to nonzero characteristic
	src/algebra/Makefile.in, src/algebra/algfunc.spad,
	src/algebra/exposed.lsp: Adjust

2016-10-07  Martin Baker  <ax87438@martinb.com>

	* src/algebra/gpresent.spad: Fix and improve

2016-10-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in, src/interp/util.lisp:
	Include whole interpreter in the executable

2016-10-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/oct.spad: Sanitize Octonion

2016-09-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/lie.spad: Remove wrong exports

2016-09-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/computation.spad, src/algebra/newpoly.spad,
	src/interp/cattable.boot, src/interp/i-funsel.boot:
	Minor cleanups

2016-09-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algcat.spad: Add FramedModule
	src/algebra/Makefile.in, src/algebra/naalgc.spad

2016-09-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/divisor.spad:
	Rename FramedModule to FractionalIdealAsModule

2016-09-25  Martin Baker  <ax87438@martinb.com>

	* src/algebra/gpresent.spad: Fix regression in
	coercion to OutputForm

2016-09-24  Martin Baker  <ax87438@martinb.com>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/alg_top.spad: Add more examples
	src/algebra/Makefile.in: Adjust

2016-09-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Consolidate and cleanup Boot files
	* src/interp/bc-util.bootsrc/interp/dq.boot,
	src/interp/i-util.boot: Remove, move contend to
	other files
	src/interp/Makefile.in, src/interp/br-util.boot,
	src/interp/buildom.boot, src/interp/g-opt.boot,
	src/interp/g-util.boot, src/interp/i-code.boot,
	src/interp/i-coerfn.boot, src/interp/i-syscmd.boot,
	src/interp/interop.boot, src/interp/modemap.boot,
	src/interp/pile.boot: Cleanup and adjust

2016-09-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Regularize compiler
	coercion to OutputFrom
	src/algebra/*: Adjust

2016-09-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot, src/interp/i-code.boot,
	src/interp/i-eval.boot, src/interp/i-spec2.boot,
	src/interp/i-toplev.boot, src/interp/int-top.boot:
	Misc cleanups

2016-09-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/alql.spad: Replace Lisp calls by Spad code
	src/interp/alql.boot: Remove, move remaining functions to
	src/interp/br-search.boot, src/interp/match.boot
	src/interp/Makefile.in: Adjust

2016-09-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* alg_top.spad: Fix removal of duplicates in
	'addImpliedFaces'

2016-09-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/newfort.boot: Remove, move code to
	src/algebra/fortout.spad
	src/interp/br-op1.boot, src/algebra/fortran.spad,
	src/interp/Makefile.in: Adjust

2016-09-18  Martin Baker  <ax87438@martinb.com>

	* src/algebra/computation.spad: Fix coerce

2016-09-16  Martin Baker  <ax87438@martinb.com>

	* src/algebra/computation.spad: Update

2016-09-15  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/list.spad: Repeat defintion of map!
	for better speed

2016-09-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrungo.boot: Make inlining effective in
	interpreter

2016-09-15  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/array1.spad: Use faster array accessors

2016-09-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerce.boot: Omit bogus call to
	failCheck

2016-09-13  Martin Baker  <ax87438@martinb.com>
	    Johannes Grabmeier <johannes@grabmeier.net>

	* src/algebra/graph.spad: Update

2016-09-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/category.boot, src/interp/cattable.boot,
	src/interp/g-cndata.boot, src/interp/i-funsel.boot,
	src/interp/i-syscmd.boot, src/interp/pathname.boot,
	src/interp/trace.boot: Misc cleanups

2016-09-12  Martin Baker  <ax87438@martinb.com>

	* src/algebra/scene.spad: Update

2016-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/defintef.spad: Recognize more functions
	as regular

2016-09-10  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/catdef.spad, src/algebra/sf.spad:
	Misc simplifications

2016-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/float.spad, src/algebra/sf.spad:
	Evaluate '0^0' for exact exponents to 1

2016-09-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/as.boot,
	src/interp/br-op1.boot, src/interp/br-op2.boot,
	src/interp/category.boot, src/interp/compiler.boot,
	src/interp/database.boot, src/interp/functor.boot,
	src/interp/i-funsel.boot, src/interp/lisplib.boot,
	src/interp/modemap.boot, src/interp/nruncomp.boot,
	src/interp/nrunopt.boot: Remove traces of operator
	subsumption

2016-09-09  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/float.spad: Misc simplifications

2016-09-09  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/tree.spad: Fix map! in Tree

2016-09-08  Qian Yun  <oldk1331@gmail.com>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/vector.spad: Correct exports of direct
	product

2016-09-08  Qian Yun  <oldk1331@gmail.com>

	* contrib/emacs/Makefile.in, src/algebra/Makefile.in,
	src/doc/Makefile.in, src/etc/Makefile.in: Fix "make clean"

2016-09-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/newpoly.spad: Avoid negative conditions

2016-09-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/vector.spad: Clarify comment and
	optimize '<'

2016-09-07  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/vector.spad, src/lisp/primitives.lisp:
	Fix compare for DirectProduct(dim:NNI, PositiveInteger)

2016-09-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/catdef.spad,
	src/algebra/exposed.lsp, src/interp/i-funsel.boot:
	Unify associative and nonassociative categories

2016-09-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/si.spad: Remove LinearlyExplicitOver Integer
	from SingleInteger
	src/algebra/integer.spad: Adjust

2016-09-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/category.boot, src/interp/info.boot,
	src/interp/nruncomp.boot: Simplify conditions of
	categories

2016-09-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/exposed.lsp, src/interp/nruncomp.boot,
	src/interp/pf2sex.boot: Minor cleanups

2016-09-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/category.boot: Simplify

2016-09-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nruncomp.boot: Fix 'boolean_subst_or' and
	'boolean_subst_and'

2016-09-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunopt.boot: Consider conditions in
	'extendsCategoryBasic'

2016-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/complet.spad: Remove unsound structure
	src/algebra/defintef.spad, src/algebra/defintrf.spad,
	src/algebra/expexpan.spad, src/algebra/intpm.spad,
	src/algebra/laplace.spad, src/algebra/limitps.spad,
	src/algebra/mrv_limit.spad, src/algebra/sign.spad
	src/algebra/sups.spad:  Adjust

2016-08-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Backport some changes
	from Open Axiom

2016-08-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/algext.spad: Add hash for SAE

2016-08-30  Martin Baker  <ax87438@martinb.com>

	Add algebraic topology domains
	* src/algebra/alg_top.spad, src/algebra/gpresent.spad,
	src/algebra/logic.spad: New files
	src/algebra/boolean.spad, src/algebra/graph.spad,
	src/algebra/computation.spad, src/algebra/Makefile.in:
	Adjust and update.

2016-08-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/fraction.spad: Add hash for Fraction

2016-08-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/smith.spad, src/algebra/smith2.spad:
	Add specialized completeSmith

2016-08-29  Qian Yun  <oldk1331@gmail.com>

	* Makefile.in, src/Makefile.in: Remove book target

2016-08-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/float.spad: Implement hashUpdate! for Float

2016-08-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	* configure.ac, Makefile.in: Remove problematic test
	for absolute path

2016-08-26  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/seg.spad: Add plus and minus for SegmentCategory

2016-08-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Improve integration with 'erf'

2016-08-21  Ralf Hemmecke  <ralf@hemmecke.org>
            Peter Broadbery  <p.broadbery@gmail.com>

	* src/aldor/Makefile.in: add dependencies for files coming from
	Aldor source tree

	* src/aldor/initlist.as, src/aldor/Makefile,
	src/aldor/aldor/axextend.as: Generalize Matrix in Aldor interface

2016-08-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Bill Page <bill.page@newsynthesis.org>

	* src/algebra/any.spad: Fix result of domainOf

2016-08-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/smith.spad: Handle empty matrices

2016-08-18  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/bezout.spad: Add wrapper for BezoutMatrix

2016-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/moddfact.spad: Remove unused exports

2016-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp, contrib/mk_shlib.lisp:
	Add support for using FriCAS as ECL shared library

2016-08-14  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot: Preserve $IOindex in ')clar all'
	if it is nil

2016-08-14  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/poly.spad: Remove duplicate 'exquo' from SUP

2016-08-14  Qian Yun  <oldk1331@gmail.com>

	* src/interp/msgdb.boot: Preserve space before '?'

2016-08-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/list.spad: Remove a few $Lisp calls
	src/lisp/primitives.lisp: A little optimizetion

2016-08-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad:  Rename LinearlyExplicitRingOver
	to LinearlyExplicitOver

2016-08-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Add missing dependencies

2016-08-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/matcat.spad, src/algebra/matrix.spad:
	Generalize matrices

2016-08-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ore.spad: Unify with polynomials

2016-08-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/lodof2.spad: Speed up compilation

2016-08-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Bill Page <bill.page@newsynthesis.org>

	* src/lisp/fricas-lisp.lisp: Fix build with new ECL

2016-08-11  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/newpoly.spad,
	src/algebra/poly.spad, src/algebra/reclos.spad:
	Cleanup

2016-08-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad, src/algebra/elemntry.spad:
	Normalize 'lambertW'

2016-08-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intef.spad, src/algebra/intpar.spad,
	src/algebra/jet.spad: Misc cleanups

2016-08-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ffact.spad: Fix out of bounds index

2016-08-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/newpoly.spad, src/algebra/prs.spad: Cleanup

2016-08-08  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Change signature of 'split!'

2016-08-06  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/bezout.spad: Add subSylvesterMatrix,
	subResultant, subResultantList

2016-08-03  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/string.spad:
	Move *trim from StringAggregate to LinearAggregate

2016-08-01  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/sturm.spad: Cleanups and improvements

2016-07-30  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/newpoly.spad, src/algebra/polycat.spad:
	More efficient 'pseudoQuotient' in UPOLYC

2016-07-29  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/newpoly.spad, src/algebra/poly.spad,
	 src/algebra/polycat.spad, src/algebra/prs.spad:
	Simplify 'pseudoRemainder' and 'pseudoDivide'

2016-07-26  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-output.boot: Replace recursion by loop

2016-07-19  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/newpoly.spad, src/algebra/poly.spad,
	src/algebra/polycat.spad:  Avoid duplication of 'fmecg'
	and 'pomopo!'

2016-07-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/float.spad, src/algebra/mesh.spad,
	src/algebra/out.spad, src/algebra/outform.spad:
	Remove some Lisp calls

2016-07-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/outform.spad: Fix output of matrices
	with 0 rows

2016-07-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot: Fix output of matrices
	with 0 columns

2016-07-17  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/sturm.spad: Fix countRealRoots

2016-07-17  Qian Yun  <oldk1331@gmail.com>

	* src/interp/property.lisp: Output space on both sides
	of equality

2016-07-08  Krystian Baclawski <krystian.baclawski@gmail.com>

	* src/doc/Makefile.in: Fix build with xvfb

2016-07-07  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/efstruc.spad, src/algebra/solverad.spad:
	Small cleanup

2016-07-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/list.spad: Simplify map

2016-07-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/prt.c: Fix a clef bug

2016-07-05  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad: Fix BinaryRecursiveAggregate

2016-07-04  Qian Yun  <oldk1331@gmail.com>

	* configure.ac: Complain that sbcl 1.3.[1-4] can
	not compile FriCAS

2016-07-03  Qian Yun  <oldk1331@gmail.com>

	Fix build problems due to .fricas.input
	* src/interp/i-toplev.boot: Implement FRICAS_INITFILE
	*/Makefile.in: Use it

2016-07-01  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot,
	src/share/doc/msgs/s2-us.msgs: More informative help
	about help

2016-06-28  Qian Yun  <oldk1331@gmail.com>

	* src/interp/database.boot, src/interp/i-syscmd.boot,
	src/interp/util.lisp: Evaluate predicates in ')show'

2016-06-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/list.spad: Simplify 'concat!'

2016-06-28  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/integer.spad: Make NonNegativeInteger
	and PositiveInteger coercible to InputForm

2016-06-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Simplify

2016-06-25  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/tree.spad: Implement missing functions

2016-06-24  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/aggcat.spad, src/algebra/bags.spad,
	src/algebra/jet.spad, src/algebra/newdata.spad,
	src/algebra/outform2.spad, src/algebra/rec.spad:
	Simplify coercion to OutputForm

2016-06-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/constant.spad: Do not use 'trueEqual' for
	equality

2016-06-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/numarr.spad, src/algebra/u32vec.spad: Fix
	signature of 'qnew'

2016-06-16  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/mama.spad: Allow arbitrary lower bound

2016-06-16  Qian Yun  <oldk1331@gmail.com>

	* src/interp/i-syscmd.boot: Fix ')show TYPE'

2016-06-16  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/texmacs.spad: Fix slow compilation and use
	  more efficient data structure

2016-06-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/doc/ht.awk: Fix incompatibility with mawk

2016-06-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mama.spad: Generalise MatrixManipulation

2016-06-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Fix a race

2016-06-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Use Kaltofen-Shoup method during factorization
	* src/algebra/ffact.spad: New file
	src/algebra/galfact.spad: Use ModularFactorization
	src/algebra/Makefile.in: Adjust

2016-06-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/special2.spad: Minor cleanup

2016-06-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expr.spad: Use FreeModule instead of
	FreeAbelianGroup

2016-06-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/array1.spad: Rename 'length' to '#'

2016-06-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad: Handle residues which
	are third roots

2016-06-04  Kurt Pagani  <nilqed@gmail.com>

	* src/algebra/derham.spad: Allow scripted symbols in
	DeRhamComplex

2016-06-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun  <oldk1331@gmail.com>

	* src/algebra/efstruc.spad: Fix SymmetricFunctions to match
	documentation

2016-06-02  Qian Yun  <oldk1331@gmail.com>

	* src/interp/format.boot: Fix unparse of segments

2016-06-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp:  Do not set '$createLocalLibDb'
	to true

2016-05-31  Qian Yun  <oldk1331@gmail.com>

	* src/algebra/combfunc.spad, src/algebra/curve.spad,
	src/algebra/efstruc.spad, src/algebra/efupxs.spad,
	src/algebra/elfuts.spad, src/algebra/intalg.spad,
	src/algebra/mantepse.spad, src/algebra/rdeefx.spad,
	src/algebra/special2.spad:  Set '$tryRecompileArguments'
	to true when needed

2016-05-28  Qian Yun <oldk1331@gmail.com>

	* src/interp/format.boot: Fix unparse of negative integers

2016-05-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/primitives.lisp: Remove problematic
	optimization

2016-05-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/functor.boot, src/interp/simpbool.boot
	src/interp/nruncomp.boot: Improve condition handling

2016-05-10  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/interp/ax.boot: fix failing aldor compilation

2016-04-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad, src/algebra/array2.spad:
	Propagate Comparable to sets and arrays

2016-04-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad, src/algebra/vector.spad,
	src/algebra/bags.spad, src/algebra/poltopol.spad:
	Remove useless signatures

2016-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad, src/algebra/product.spad:
	Generalize LinearAggregate, propagate Comparable
	src/algebra/Makefile.in: Adjust

2016-02-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/indexedp.spad, src/algebra/tensor.spad,
	src/algebra/poly.spad, src/algebra/xlpoly.spad:
	Generalize indexed product

2016-02-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/cden.spad, src/algebra/array2.spad
	src/algebra/aggcat2.spad: Generalize aggregates

2016-02-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/trigcat.spad, src/algebra/expr.spad.
	src/algebra/combfunc.spad: Partial implementation
	of 'jacobiTheta'

2016-02-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/si.spad, src/algebra/intfact.spad,
	src/algebra/pfo.spad, src/algebra/integer.spad,
	src/algebra/pfbr.spad, src/input/bugs2012.input,
	src/interp/spad.lisp: Remove argumentless 'random'

2016-02-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad: Minor cleanup and fix

2016-02-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/special2.spad: Implement real numeric
	jacobiZeta

2016-02-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Simplify and cleanup C files
	* src/hyper/addfile.h, src/hyper/cond.h,
	src/hyper/dialog.h, src/hyper/display.h,
	src/hyper/event.h, src/hyper/group.h,
	src/hyper/initx.h, src/hyper/mem.h,
	src/hyper/parse-aux.h, src/hyper/parse-paste.h,
	src/hyper/scrollbar.h, src/hyper/show-types.h,
	src/hyper/titlebar.h: Move content to hyper.h and remove
	src/hyper/sdown3d.bitmap, src/hyper/mouse11.bitmap,
	src/hyper/sup3d.bitmap, src/hyper/sdown3dpr.bitmap,
	src/hyper/sdown.bitmap, src/hyper/sup.bitmap,
	src/hyper/sup3dpr.bitmap, src/hyper/mouse11.mask,
	src/graph/include/light11.mask: Use unsigned element type
	src/hyper/Makefile.in, src/hyper/parse-aux.c,
	src/hyper/extent.h, src/hyper/display.c,
	src/hyper/dialog.c, src/hyper/show-types.c,
	src/hyper/cond.c, src/hyper/addfile.c,
	src/hyper/titlebar.c, src/hyper/parse-types.c,
	src/hyper/mem.c, src/hyper/keyin.c,
	src/hyper/event.c, src/hyper/htinp.c,
	src/hyper/scrollbar.c, src/hyper/parse-paste.c,
	src/hyper/extent2.c, src/hyper/macro.c,
	src/hyper/spadint.c, src/hyper/parse-input.c,
	src/hyper/group.c, src/hyper/input.c,
	src/hyper/form-ext.c, src/hyper/ht_icon,
	src/hyper/parse.c, src/hyper/hyper.c,
	src/hyper/extent1.c, src/hyper/initx.c,
	src/hyper/hyper.h, src/graph/view3D/lighting3d.c: Adjust

2016-02-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/jet.spad, src/algebra/aggcat.spad,
	src/algebra/ffcat.spad, src/algebra/distro.spad,
	src/algebra/dpolcat.spad, src/algebra/omcat.spad,
	src/interp/iterator.boot, src/interp/macros.lisp:
	Misc cleanups

2016-02-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scan.boot, src/interp/scwrap2.boot:
	Fix handling of documentation comments in files
	containing multiple constructors

2016-01-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Correct a typo

2015-11-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/s-parser.boot: Do not special case
	'$' in no argument case

2015-11-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/iterator.boot,
	src/interp/c-util.boot, src/interp/macros.lisp,
	src/interp/define.boot, src/interp/lisplib.boot,
	src/interp/modemap.boot, src/interp/compiler.boot:
	Misc compiler cleanups and fixes

2015-11-11  Kurt Pagani  <nilqed@gmail.com>

	* contrib/load-fricas.lisp: Add primitives.lisp

2015-11-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/vector.spad: Generalize direct product

2015-11-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/format.boot: Do not crash on quoted expressions
	in types

2015-11-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/defintef.spad: Handle roots in
	'checkSMP'

2015-11-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunopt.boot: Quote constants in types

2015-11-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Qian Yun <oldk1331@gmail.com>

	* src/algebra/intpar.spad, src/interp/i-funsel.boot,
	src/interp/i-resolv.boot: Small cleanups

2015-11-02  Qian Yun <oldk1331@gmail.com>

	* src/algebra/intalg.spad: Revert wrong change from
	r1809

2015-11-01  Qian Yun <oldk1331@gmail.com>

	* src/algebra/manip.spad: Avoid generating roots of
	order 1

2015-11-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/msgdb.boot: Handle '%x' directive

2015-10-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integrat.spad: Restore 'sin' and 'cos' in
	constants

2015-10-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc improvements and cleanups
	* src/algebra/catdef.spad: Add Comparable to Finite
	* src/algebra/integrat.spad: Fix crash in case of unexpected
	algebraic simplification
	* src/algebra/intfact.spad: Use 'random(n)' instead of 'random()'
	* src/algebra/algext.spad: Remove commented out code
	* src/algebra/Makefile.in: Correct order of names

2015-10-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integrat.spad: Better restore 'asin' and 'acos'

2015-09-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad: Allow differentiating sum
	with respect to limits

2015-09-14  Abhinav Baid <abhinavbaid@gmail.com>

	* src/algebra/lodof2.spad: Eliminate use of sets

2015-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/naalgc.spad: Generalize nonassociative rings
	src/algebra/Makefile.in: Adjust

2015-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/naalgc.spad: Rename Monad to Magma
	src/algebra/Makefile.in, src/algebra/exposed.lsp: Adjust

2015-09-11  Johannes Grabmeier <johannes@grabmeier.net>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/discrgrp.spad, src/algebra/mring.spad:
	Mark cyclic group and monoid ring of commutative
	monoid as commutative

2015-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/xlpoly.spad: Rename Magma to FreeMagma
	src/algebra/Makefile.in: Adjust

2015-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-funsel.boot, src/interp/nrunopt.boot,
	src/interp/simpbool.boot: Misc cleanups

2015-09-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad: Generalize algebraic
	Hermite reduction

2015-09-07  Abhinav Baid <abhinavbaid@gmail.com>

	* src/algebra/lodof2.spad: Implement van Hoej
	factorization algorithm for LODO-s
	src/algebra/Makefile.in: Adjust

2015-09-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-analy.boot, src/interp/i-coerce.boot,
	src/interp/i-coerfn.boot, src/interp/i-funsel.boot,
	src/interp/i-resolv.boot, src/interp/i-spec1.boot:
	Misc cleanups

2015-09-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerfn.boot: Fix Sm2PolyType

2015-08-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/trigcat.spad, src/algebra/expr.spad,
	src/algebra/combfunc.spad: Implement 'weierstrassPInverse'

2015-08-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad: Avoid division by 0 in
	derivative of 'ellipticPi'

2015-08-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/multpoly.spad, src/algebra/poly.spad,
	src/algebra/polycat.spad, src/algebra/pfo.spad:
	Generalize polynomials to semirings

2015-08-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Move RDEaux to
	src/algebra/intpar.spad: add SPDE1 and use it
	src/algebra/rderf.spad: Remove
	src/algebra/exposed.lsp, src/algebra/Makefile.in:
	Adjust

2015-08-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/xpoly.spad: Remove OFMONOID
	src/algebra/free.spad: Generalize free monoid to handle
	ordered case
	src/algebra/exposed.lsp, src/algebra/xpoly.spad,
	src/algebra/Makefile.in, src/algebra/xlpoly.spad: Adjust

2015-08-07  Krystian Baclawski <krystian.baclawski@gmail.com>

	* src/sman/sman.c, src/sman/session.c, src/lib/edin.c:
	Fix some warnings

2015-08-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fffg.spad: Allow specifying order of solution

2015-08-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rf.spad, src/algebra/algfunc.spad:
	Fix rootSum and univariate modulo linear polynomial

2015-08-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc improvements
	* src/algebra/u32vec.spad: pa_to_sup(): New function
	src/algebra/modhpsol.spad: Use to_mod_pa
	src/algebra/rdeefx.spad: Prefer exponential as main kernel

2015-07-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad, src/algebra/integrat.spad,
	src/algebra/intrf.spad, src/algebra/intef.spad
	src/algebra/intpm.spad: Consistently integrate
	trigonometric functions via complex exponentials

2015-07-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/funcpkgs.spad: Delete
	src/algebra/rdeefx.spad, src/algebra/oderf.spad,
	src/algebra/odeef.spad: Use EFACTOR instead of FSUPFACT
	src/algebra/intden.spad: Use EFACTOR
	src/algebra/exposed.lsp, src/algebra/Makefile.in: Adjust

2015-07-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/liouv.spad: Fix messed up fresnelS and
	fresnelC

2015-07-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/outform.spad: string(): Remove unused
	function
	* src/algebra/sf.spad: sign(): Add explicit type
	of parameter

2015-07-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ore.spad: Avoid infinite recursion
	during division when coefficients are power series

2015-07-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expr.spad: Remove useless call to 'reduc'

2015-06-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expr.spad: Use modular method for algebraic
	gcd over Expression(Integer)

2015-06-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad: Try harder to avoid roots
	during normalization

2015-06-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/modhpsol.spad: Fix order of variables

2015-06-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intpar.spad: Handle multiple extensions
	in RDE

2015-05-26  Abhinav Baid  <abhinavbaid@gmail.com>
	    Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/lodo.spad: Add LODO3 and LODOCONV
	src/algebra/Makefile.in: Adjust

2015-05-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad, src/algebra/intpar.spad: Handle
	derivatives of unknown functions in RDE

2015-05-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Use operators from correct
	domain in CLINDEP

2015-05-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/distro.spad, src/algebra/intpar.spad,
	src/algebra/matcat.spad: Minor cleanups

2015-05-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Add one of missing Ei cases

2015-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/parse.h, src/sman/sman.c,
	src/graph/view2D/process2d.c, src/graph/view3D/header.h,
	src/graph/viewman/sselect.c, src/graph/viewman/viewman.c,
	src/graph/viewAlone/spoon2D.c, src/lib/openpty.c,
	src/lib/fnct_key.c, src/lib/XDither.c,
	src/lib/sockio-c.c, src/lib/XShade.c,
	src/lib/cursor.c, src/lib/XSpadFill.c: Clean up C code

2015-05-11  Krystian Baclawski <krystian.baclawski@gmail.com>

	* src/lib/bsdsignal.c, contrib/macos/mk_app: Update Mac support
	contib/cygwin/mk_app: New file

2015-05-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/matrix.spad: Implement 'recip' for
	IntegralDomain-s

2015-05-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad: distribute(): Also handle 'box'.

2015-04-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Bill Page <bill.page@newsynthesis.org>

	* src/algebra/aggcat.spad: Generalize a few categories

2015-04-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot, src/interp/g-util.boot
	src/interp/g-error.boot, src/interp/br-con.boot:
	More uniform break handling
	src/doc/htex/ug06.htex, src/doc/htex/ug04.htex: Adjust

2015-04-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/matrix.spad, src/interp/i-syscmd.boot:
	Minor cleanups

2015-04-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Reorganize files
	* src/algebra/cmplxrt.spad: Remove, move content to
	src/algebra/numsolve.spad
	src/algebra/degred.spad: Remove, move content to
	src/algebra/solverad.spad
	src/algebra/equation2.spad: Remove, move content to
	src/algebra/equation1.spad
	src/algebra/ffpoly2.spad: Remove, move content to
	src/algebra/ffpoly.spad
	src/algebra/galfactu.spad, src/algebra/galpolyu.spad,
	src/algebra/galutil.spad: Remove, move content to
	src/algebra/galfact.spad
	src/algebra/patmatch2.spad: Remove, move content to
	src/algebra/patmatch1.spad
	src/algebra/print.spad: Remove, move content to
	src/algebra/out.spad
	src/algebra/rdeef.spad: Remove, move content to
	src/algebra/intaux.spad
	src/algebra/algfact.spad: Remove SimpleAlgebraicExtensionAlgFactor
	and SAERationalFunctionAlgFactor
	src/algebra/Makefile.in: Adjust

2015-04-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/op.spad, src/algebra/cden.spad
	src/algebra/listgcd.spad, src/interp/i-syscmd.boot,
	src/interp/i-syscmd.boot, src/interp/setvart.boot,
	src/interp/i-analy.boot, src/interp/msgdb.boot,
	src/interp/i-eval.boot: Minor cleanups and fixes

2015-03-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad: Remove redundant implementation
	of 'gcdPolynomial' from PolynomialFactorizationExplicit

2015-03-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expr.spad: Implement map only in Ring case

2015-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-eval.boot: evaluateType(): Throw error
	on incorrect type

2015-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algext.spad, src/algebra/constant.spad,
	src/algebra/expr.spad: Add PolynomialFactorizationExplicit
	src/algebra/cmplxrt.spad, src/algebra/intalg.spad,
	src/algebra/irexpand.spad, src/algebra/multfact.spad,
	src/algebra/numeigen.spad, src/algebra/rdeefx.spad,
	src/algebra/transsolve.spad: Use regular factorizers
	instead of custom ones
	src/algebra/allfact.spad: Remove SUPFRACF
	src/algebra/gaussian.spad: Remove COMPFACT
	src/algebra/genufact.spad: Remove
	src/algebra/Makefile.in, src/algebra/catdef.spad,
	src/algebra/exposed.lsp, src/algebra/intpar.spad: Adjust

2015-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot, src/interp/interop.boot,
	src/interp/nrunopt.boot:  Fix debugging printouts

2015-03-05  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/etc/SPADEDIT: bugfix remove .pamphlet extension

2015-02-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/eigen.spad: Generalize EigenPackage
	src/algebra/Makefile.in: Adjust

2015-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/cden.spad: Generalize common denominator
	for polynomials
	src/algebra/Makefile.in: Adjust

2015-02-25  Peter Broadbery  <p.broadbery@gmail.com>
	* src/interp/hashcode.boot: fix hashcode handling for
	Void in Aldor

2015-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/outform2.spad, src/algebra/oderf.spad,
	src/algebra/numeigen.spad, src/algebra/integrat.spad,
	src/algebra/skpol.spad, src/algebra/fraction.spad,
	src/algebra/intalg.spad, src/interp/br-saturn.boot,
	src/interp/util.lisp, src/interp/ht-root.boot,
	src/interp/sfsfun.boot, src/interp/br-search.boot,
	src/doc/ht/topics.ht: Misc cleanups

2015-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intpar.spad: Respect algebraic extensions
	when factoring polynomials over Expression
	src/algebra/expr.spad: move 'algtower' to
	src/algebra/fspace.spad

2015-02-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/skpol.spad: Implement gaussian style
	elimination for matrices of Ore polynomials
	src/algebra/odealg.spad: Use it
	src/algebra/oderf.spad: Fix few bugs
	src/algebra/Makefile.in: Adjust

2015-02-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Handle derivatives of
	undefined functions

2015-02-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad, src/algebra/fspace.spad:
	Add 'normalize' for lists

2015-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/files.spad, src/interp/i-syscmd.boot,
	src/interp/ht-root.boot, src/interp/compat.boot,
	src/interp/as.boot, src/interp/br-search.boot,
	src/interp/br-data.boot, src/interp/g-error.boot,
	src/interp/msgdb.boot, src/interp/vmlisp.lisp,
	src/interp/server.boot, src/interp/htcheck.boot:
	Rename READLINE and read_-line to read_line

2015-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Delete useless constructors, consolidate files
	* src/algebra/suts.spad, src/algebra/suls.spad,
	src/algebra/supxs.spad: Move content to
	src/algebra/sups.spad
	src/algebra/lodop.spad: Delete useless constructors,
	move other content to
	src/algebra/vector.spad and src/algebra/lodo.spad
	src/algebra/Makefile.in: Adjust

2015-02-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot, src/algebra/outform2.spad:
	Convert 'outputTran2' to Spad, rename it to 'precondition'
	src/algebra/formula.spad, src/algebra/fortout.spad,
	src/algebra/html.spad, src/algebra/mathml.spad,
	src/algebra/tex.spad, src/algebra/texmacs.spad: Adjust

2015-02-11  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/Makefile.in, src/algebra/laurent.spad,
	src/algebra/pscat.spad, src/algebra/suls.spad: allow Laurent
	series to be constructed from coefficients

2015-02-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/contfrac.spad, src/algebra/laurent.spad,
	src/algebra/mts.spad, src/algebra/padic.spad,
	src/algebra/pscat.spad, src/algebra/puiseux.spad,
	src/algebra/stream.spad: Respect 'streamsShowAll', detect
	cyclic series

2015-02-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/amodgcd.spad: Add early exit

2015-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intpar.spad: Fix a few bugs in RDEPAR

2015-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intpar.spad: Generalize 'factorPolynomial'

2015-02-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad, src/algebra/integrat.spad,
	src/algebra/odeef.spad: Better preserve roots in integrals

2015-02-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/incl.boot: Do not treat continuation lines
	as commands

2015-02-07  Abhinav Baid <abhinavbaid@gmail.com>

	* src/algebra/oderf.spad, src/algebra/ore.spad
	src/algebra/Makefile.in: Add INTDSOL

2015-02-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad: Find more rationalizing substitutions

2015-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sttaylor.spad, src/algebra/taylor.spad:
	Implement Lambert style products using prodiag
	src/algebra/infprod.spad: Remove
	src/algebra/exposed.lsp, src/algebra/Makefile.in: Adjust

2015-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/symbol.spad, src/algebra/outform.spad,
	src/algebra/pfbr.spad: Minor cleanups

2015-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad: Fix Euler substitutions

2015-02-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mkfunc.spad, src/algebra/outform.spad,
	src/interp/define.boot, src/interp/format.boot,
	src/interp/fortcall.boot, src/interp/g-timer.boot,
	rc/interp/i-output.boot, src/interp/i-toplev.boot,
	src/interp/info.boot, src/interp/modemap.boot
	src/interp/nruncomp.boot,
	src/share/doc/msgs/s2-us.msgs: Misc cleanups

2015-01-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/any.spad, src/algebra/symbol.spad,
	src/interp/format.boot: Fix unusual scripted symbols

2015-01-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pfbr.spad, src/algebra/mlift.spad,
	src/algebra/multfact.spad, src/algebra/poly.spad,
	src/algebra/polycat.spad: Use MLIFT for Hensel lifting
	in PFBR
	src/algebra/exposed.lsp, src/algebra/Makefile.in: Adjust

2015-01-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ore.spad: Generalize extended GCD

2015-01-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad: Simplify logarithms

2015-01-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mathml.spad, src/algebra/html.spad,
	src/algebra/rec.spad, src/algebra/pscat.spad,
	src/algebra/sups.spad, src/algebra/padic.spad,
	src/algebra/variable.spad, src/algebra/formula.spad,
	src/algebra/card.spad, src/algebra/tex.spad,
	src/algebra/puiseux.spad, src/algebra/mts.spad,
	src/algebra/fortout.spad, src/algebra/texmacs.spad,
	src/algebra/laurent.spad, src/algebra/suchthat.spad,
	src/interp/i-output.boot, src/interp/i-syscmd.boot,
	src/interp/trace.boot, src/interp/i-analy.boot,
	src/interp/i-map.boot, src/interp/i-coerce.boot: Restructure
	'outputTran'

2015-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/*: Reorganize

2015-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mlift.spad src/interp/br-util.boot
	src/interp/lisplib.boot src/interp/br-op1.boot: Minor cleanups.

2015-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mlift.spad: Simplify 'lifting', fix a bug.

2015-01-09  Franz Lehner  <lehner@math.tugraz.at>

	Add some examples of discrete groups
	* src/algebra/discrgrp.spad, src/input/discrgrp.input:
	New files;
	src/input/finite.input: add tests
	src/algebra/Makefile.in, src/input/Makefile.in: adjust.

2015-01-02  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/mring.spad,src/algebra/poly.spad,
	src/algebra/xlpoly.spad,src/algebra/xpoly.spad:
	correct signature of leadingMonomial and
	make MonoidRing compatible with FreeModule

2015-01-02  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/free.spad: make FreeGroup and FreeMonoid Comparable

2015-01-02  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/poly.spad,src/algebra/Makefile.in,
	src/algebra/exposed.lsp,src/input/tensor.input:
	new package FreeModuleCoefficientFunctions2;
	src/algebra/catdef.spad: typos

2015-01-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/outform.spad, src/interp/i-output.boot,
	src/interp/format.boot: Change OutputForm of matrices

2014-12-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/amodgcd.spad, src/algebra/evalut.spad,
	src/algebra/Makefile.in: Support modular algebraic GCD
	with fractional coefficients

2014-12-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gpgcd.spad: Remove commented out code

2014-12-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rderf.spad, src/algebra/intrf.spad: Remove
	another part of old RDE solver

2014-12-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/unifact.spad: Remove
	src/algebra/Makefile.in, src/algebra/exposed.lsp: Adjust

2014-12-26  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/vsbasis.spad: minor revisions of documentation
	and some optimizations.

2014-12-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeef.spad, src/algebra/exposed.lsp,
	src/algebra/intef.spad, src/algebra/Makefile.in,
	src/algebra/rdesys.spad: Remove RDEEF
	src/algebra/rdeefx.spad, src/algebra/intpar.spad: Adjust

2014-12-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot, src/interp/setq.lisp:
	Remove ')savesystem'

2014-12-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/doc/Makefile.in: Avoid needlessly remaking
	documentation

2014-12-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-analy.boot: Disable unsound propagation
	of target type in 'pushDownTargetInfo'

2014-12-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/sttaylor.spad: Add 'prodiag'

2014-12-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Allow use of GMP for more targets
	* src/lib/gmp_wrap.c: Support Clozure CL on ARM and i386
	src/lisp/num_gmp.lisp: Generalize sbcl support
	configure.ac: Adjust

2014-12-18  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/intpar.spad: fix RootFSSplit argument

2014-12-12  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/laurent.spad: fix "series" of
	UnivariateLaurentSeriesConstructor

2014-12-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/polycat.spad: Fix 'totalDegreeSorted'

2014-12-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mts.spad: Add 'coefficients' and 'series'

2014-11-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Rework extended integration
	* src/algebra/intpar.spad: New file
	src/algebra/curve.spad, src/algebra/odealg.spad,
	src/algebra/pseudolin.spad: Generalize
	src/algebra/intaf.spad, src/algebra/intef.spad,
	src/algebra/rdeefx.spad, src/algebra/Makefile.in: Adjust
	src/algebra/oderf.spad: Fix a few problems
	src/algebra/intalg.spad, src/algebra/intrf.spad: Remove
	now unused code

2014-11-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-error.boot: Correct a typo

2014-11-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/array2.spad, src/algebra/mama.spad:
	Allow empty matrices as result of spliting

2014-11-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sups.spad: Fix bug in 'order'

2014-11-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac, src/lib/cfuns-c.c: Try harder to use
	host directory operations

2014-11-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/files.spad, src/interp/nlib.lisp,
	src/interp/daase.lisp, src/interp/macros.lisp,
	src/interp/ht-util.boot, src/interp/server.boot:
	Avoid FINISH-OUTPUT

2014-11-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/vmlisp.lisp: Redirect IO when running programs
	from Closure CL

2014-11-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Add FORMCAT to CATLIST

2014-11-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/plot.spad, src/algebra/plot3d.spad:
	Simplify (works around Closure CL bug)

2014-10-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc cleanups
	* Makefile.in, config/var-def.mk, config/setup-dep.mk,
	src/interp/int-top.boot: Minor clenups
	src/scripts/document.in: Remove

2014-10-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/exposed.lsp: Expose GnuDraw.

2014-10-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-boot.boot: Avoid overwriting loop limit
	and increment.

2014-10-15  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/aldor/README, src/doc/htex/ug15.htex: fix location of
	  git mirror of svn repository

2014-10-15  David Cyganski
            Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Bill Page <bill.page@newsynthesis.org>

	Add gnuDraw
	* src/algebra/gnudraw.spad: New file
	* src/algebra/draw.spad, src/algebra/viewpack.spad,
	src/algebra/view2D.spad, src/algebra/Makefile.in
	src/doc/htex/ug07.htex: Adjust

2014-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Eliminate few uses of $Lisp
	* src/algebra/mantepse.spad, src/algebra/naalg.spad,
	src/algebra/outform.spad, src/algebra/naalgc.spad,
	src/algebra/generic.spad: Eliminate STRINGIMAGE$Lisp
	src/algebra/aggcat2.spad: Elimnate wrong NIL$Lisp

2014-10-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad: Fix a thinko

2014-10-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/special2.spad: Add DFSFUN2

2014-10-06  Kurt Pagani <nilqed@gmail.com>

	* src/algebra/derham.spad: Fix signature of 'degree'

2014-10-01  Bill Page <bill.page@newsynthesis.org>,

	Texmacs interface encodes scheme Cork symbols as unicode characters
	* contrib/texmacs/fricas: New directory
	* contrib/texmacs/fricas/doc: New directory
	* contrib/texmacs/fricas/doc/FriCAS-TeXmacs-characters.tm: New file
	* contrib/texmacs/fricas/doc/fricas-abstract.en.tm: New file
	* contrib/texmacs/fricas/doc/fricas-demo.en.tm: New file
	* contrib/texmacs/fricas/progs: New directory
	* contrib/texmacs/fricas/progs/fricas-input.scm: New file
	* contrib/texmacs/fricas/progs/fricas-kbd.scm: New file
	* contrib/texmacs/fricas/progs/fricas-menus.scm: New file
	* contrib/texmacs/fricas/progs/init-fricas.scm: Renamed file
	* src/algebra/texmacs.spad: Modified for Cork<->unicode


2014-09-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>,
	    Renaud Rioboo <Renaud.Rioboo@ensiie.fr>

	Add R. Rioboo's cylindrical algebraic decomposition
	* src/algebra/cyldec.spad: New file
	src/input/cyldec.input: Add tests
	src/algebra/Makefile.in: Adjust

2014-09-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/int-top.boot: Avoid crash when printing
	error message from '-eval'

2014-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scwrap2.boot: Better support for nopile
	mode

2014-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac, Makefile.in, config/var-def.mk,
	src/scripts/mkdist.sh, contrib/macos/mk_app,
	debian/control, debian/rules: Remove traces of
	noweb from build machinery

2014-09-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/polycat.spad, src/algebra/integer.spad
	src/algebra/poly.spad: Activate PolynomialFactorizationExplicit
	for Integer

2014-09-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intden.spad: Move 'decompose' to separate
	package
	src/algebra/rdeefx.spad, src/algebra/Makefile.in: Adjust

2014-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Fix loss of solutions
	in multiSPDE

2014-08-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Generalize RDEaux,
	create FSRROOT

2014-08-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Change interface to
	CLINDEP

2014-08-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intef.spad: Fix integration of
	unevaluated derivatives

2014-08-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeefx.spad: Fix handling of dummy
	variables in CLINDEP

2014-08-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	* src/algebra/expr.spad, src/algebra/intden.spad,
	src/algebra/intef.spad, src/algebra/rdeefx.spad:
	Generalize some constructors

2014-08-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Restructure modular evaluation
	* src/algebra/evalut.spad: New file
	src/algebra/amodgcd.spad, src/algebra/modhpsol.spad: Use it
	src/algebra/Makefile.in: Adjust

2014-08-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/formula.spad, src/algebra/fortout.spad,
	src/algebra/html.spad, src/algebra/mathml.spad,
	src/algebra/tex.spad, src/algebra/texmacs.spad,
	src/interp/i-output.boot, src/interp/property.lisp:
	Remove INDEFINTEGRAL

2014-08-04  Ralf Hemmecke  <ralf@hemmecke.org>

	* Makefile.in, config/var-def.mk, src/aldor/Makefile.in,
	src/aldor/Makefile2.in, src/aldor/Makefile3.in,
	src/algebra/Makefile.in, src/doc/Makefile.in: use ${MKDIR_P}
	instead of 'mkdir -p'

2014-07-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mathml.spad, src/algebra/clifford.spad,
	src/algebra/export3D.spad: Use 'sayBrightly' instead of
	'sayTeX'

2014-07-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/interval.spad: Change difference of intervals
	to agree with definition as interval operation

2014-06-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/outform2.spad, src/algebra/fortout.spad:
	s/Formater/Formatter/

2014-06-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/tree.spad: Remove useless conditions

2014-06-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-doc.boot, src/interp/msgdb.boot,
	src/interp/scwrap2.boot: Minor cleanups

2014-06-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scwrap2.boot:  Fix handling of '\/' and '/\'

2014-06-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ncomp.boot:  Fix toplevel multiparameter macros

2014-06-08  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/aggcat.spad: bugfix subset?

2014-05-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pgcd.spad:  Fix failure due to bad reduction

2014-05-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/attribs.spad, src/algebra/clifford.spad,
	src/algebra/combfunc.spad, src/algebra/computation.spad,
	src/algebra/curve.spad, src/algebra/dirichlet.spad,
	src/algebra/distro.spad, src/algebra/dhmatrix.spad,
	src/algebra/efstruc.spad, src/algebra/fffg.spad,
	src/algebra/generic.spad, src/algebra/graph.spad,
	src/algebra/hashstate.spad, src/algebra/html.spad,
	src/algebra/integer.spad, src/algebra/mantepse.spad,
	src/algebra/matcat.spad, src/algebra/mathml.spad,
	src/algebra/modhpsol.spad, src/algebra/newpoly.spad,
	src/algebra/numtheor.spad, src/algebra/ore.spad:
	Make sure .spad files are correct Spad
	src/scripts/unpack_file: Adjust

2014-05-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/unpack_file: More portable version

2014-05-22  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/sex.spad: add missing hashUpdate!

2014-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad: Clean up after commit 1774

2014-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/doc/Makefile.in: Fix
	in tree build

2014-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*: Remove unneded literate boilerplate

2014-05-20  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/xhash.spad: linearize literate documentation of
	xhash.spad

2014-05-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/msgdb.boot: Fix 'throwKeyedMsgCannotCoerceWithValue'

2014-05-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/setvars.boot: Fix recent breakage

2014-05-18  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/ht/util.ht: remove obsolete \axiom* commands from
	util.ht

2014-05-17  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/*.spad, src/doc/ht/*.ht, src/doc/htex/*.htex:
	\axiom* --> \spad*

2014-05-17  Ralf Hemmecke  <ralf@hemmecke.org>

	* contrib/emacs/fricas.el, src/interp/i-syscmd.boot,
	src/interp/msgdb.boot,src/interp/setvars.boot: add ioHooks for
	syscmd and error function

2014-05-17  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/tex.spad: properly escape in TeXFormat

2014-05-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Fix in source 'make clean'.

2014-05-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.pamphlet: drop .pamphlet extension
	src/algebra/Makefile.in, src/doc/Makefile.in: Adjust.

2014-05-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/unpack_file : New file.
	src/scripts/find-algebra-files,
	src/algebra/Makefile.in, configure.ac: Do not use
	notangle during build.

2014-05-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec1.boot: Fix few problems with
	interpreter closures.

2014-05-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ssolve.spad.pamphlet,
	src/algebra/dhmatrix.spad.pamphlet,
	src/algebra/distro.spad.pamphlet,
	src/algebra/tensor.spad.pamphlet,
	src/algebra/xhash.spad.pamphlet,
	src/algebra/acplot.spad.pamphlet,
	src/algebra/expps.spad.pamphlet: De-hunkify last few
	pamphlets.  Clean up.

2014-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/exposed.lsp.pamphlet: unwrap, rename to
	src/algebra/exposed.lsp
	src/interp/Makefile.in: Adjust.

2014-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gaussian.spad.pamphlet: Improve 0 to complex
	power.

2014-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/card.spad.pamphlet: Allow 0^0.

2014-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad.pamphlet,
	src/algebra/string.spad.pamphlet,
	src/interp/match.boot: Remove broken 'stringMatch'.

2014-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec2.boot: Fix intepreter assignment
	to aggregates.

2014-05-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-code.boot: Disable incorrect optimization.

2014-05-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerce.boot: Fix interpreter coercion from
	Equation to Boolean.

2014-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad.pamphlet: Fix wrong unevaluated
	algebraic integrals.

2014-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot: Fix problem with missing
	parentheses around plexes.

2014-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/msgdb.boot:  Fix printing of '%i' in types.

2014-05-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/expps.spad.pamphlet,
	src/algebra/fffg.spad.pamphlet,
	src/algebra/hashstate.spad.pamphlet,
	src/algebra/jet.spad.pamphlet,
	src/algebra/matcat.spad.pamphlet,
	src/algebra/numtheor.spad.pamphlet: De-hunkify.

2014-05-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/patmatch1.spad.pamphlet
	src/interp/g-opt.boot, src/interp/br-search.boot,
	src/interp/g-boot.boot, src/interp/macros.lisp,
	src/interp/br-con.boot, src/interp/modemap.boot,
	src/interp/compiler.boot: Misc cleanups.

2014-05-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/buildom.boot, src/interp/g-error.boot,
	src/interp/compiler.boot, src/lisp/primitives.lisp:
	Nicer error messages.

2014-05-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op1.boot, src/interp/format.boot: Fix build
	with ecl and gcl.

2014-05-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/include/hterror.H1, src/hyper/hterror.c,
	src/sman/sman.c, src/graph/view3D/stuff3d.c,
	src/clef/edible.c, contrib/emacs/Makefile.in:
	Silence some warnings.

2014-05-01  Raoul Bourquin <raoulb@bluewin.ch>

	* src/algebra/array2.spad.pamphlet,
	src/doc/htex/ug08.htex: More general array indexing.

2014-04-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Fix compilation of 'error'.

2014-04-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rdeef.spad.pamphlet,
	src/algebra/rderf.spad.pamphlet,
	src/algebra/rdeefx.spad.pamphlet,
	src/algebra/Makefile.in: Improve integration in terms
	of 'Ei' and 'erf'.
	src/input/integ.input: Add tests.
	src/input/fixed.input, src/input/bugs2007.input: Adjust.

2014-04-26  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/htex/ARRAY2.htex, src/doc/htex/VECTOR.htex: fix double
	!! via \spadfunFromX

2014-04-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gaussian.spad.pamphlet: Fix ComplexPatternMatch.

2014-04-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot:  Do not crash printing '%'.

2014-04-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot: For ')read' create intermediate
	files in current directory.

2014-04-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/s-parser.boot: Allow extra semcolon at end of block.

2014-04-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/tex.spad.pamphlet,
	src/algebra/texmacs.spad.pamphlet,
	src/algebra/mathml.spad.pamphlet,
	src/algebra/html.spad.pamphlet:  Minor cleanup.

2014-04-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-util.boot, src/interp/format.boot,
	src/interp/br-op1.boot: Improve browsing of
	constructors with parameters.

2014-04-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/format.boot: Fix ')display op coerce'.

2014-04-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Avoid creating strange
	unions in 'resolve'.

2014-04-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fortout.spad.pamphlet,
	src/algebra/fortran.spad.pamphlet,
	src/algebra/forttyp.spad.pamphlet,
	src/algebra/outform2.spad.pamphlet,
	src/interp/newfort.boot,
	src/interp/i-output.boot
	src/algebra/Makefile.in: Clean up fortran output.

2014-04-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add helpers for traversing OutputForm.
	* outform2.spad.pamphlet: New file with helpers.
	src/algebra/tex.spad.pamphlet,
	src/algebra/texmacs.spad.pamphlet,
	src/algebra/mathml.spad.pamphlet,
	src/algebra/formula.spad.pamphlet
	src/algebra/html.spad.pamphlet: Use helpers.
	src/algebra/Makefile.in: Adjust.

2014-04-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-saturn.boot, src/interp/util.lisp,
	src/interp/i-syscmd.boot, src/interp/br-util.boot,
	src/interp/daase.lisp: Misc cleanups.

2014-04-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-search.boot: Avoid incorrect parse in checkPmParse.

2014-04-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Do not treat 'OutputFrom'
	in special way.

2014-04-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/string.spad.pamphlet
	src/interp/vmlisp.lisp: Add 'uentries'.

2014-04-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad.pamphlet: s/import/import from/.

2014-04-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet,
	src/algebra/expr.spad.pamphlet: Add classical orthogonal
	polynomials to expressions.

2014-04-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/si.spad.pamphlet,
	src/algebra/omcat.spad.pamphlet,
	src/algebra/fraction.spad.pamphlet,
	src/algebra/symbol.spad.pamphlet,
	src/algebra/sf.spad.pamphlet,
	src/algebra/integer.spad.pamphlet,
	src/algebra/openmath.spad.pamphlet,
	src/algebra/string.spad.pamphlet,
	src/algebra/gaussian.spad.pamphlet,
	src/algebra/list.spad.pamphlet,
	src/algebra/float.spad.pamphlet,
	src/algebra/Makefile.in: Simplify Open Math code.

2014-04-05  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/algebra/stream.spad.pamphlet: replace "output" by
	"showElements"

2014-04-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/initx.c, src/graph/view2D/write2d.c,
	src/graph/view2D/main2d.c, src/graph/view3D/process3d.c,
	src/graph/view3D/main3d.c, src/graph/view3D/write3d.c,
	src/graph/Gdraws/psFiles.pamphlet: s/Axiom/FriCAS/

2014-04-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad.pamphlet,
	src/algebra/tree.spad.pamphlet,
	src/algebra/naalg.spad.pamphlet,
	src/algebra/intpm.spad.pamphlet,
	src/algebra/string.spad.pamphlet,
	src/algebra/fr.spad.pamphlet,
	src/algebra/efstruc.spad.pamphlet,
	src/algebra/mts.spad.pamphlet: De-hunkify.

2014-04-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/scene.spad.pamphlet,
	src/doc/htex/ug15.htex, src/doc/htex/ug08.htex,
	src/doc/htex/ARRAY1.htex, src/doc/ht/graphics.ht:
	Fix examples.

2014-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/spadint.c: Fix buffer overflow.

2014-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Allow specifing return type
	for nulary anonymous functions.

2014-04-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mantepse.spad.pamphlet: De-hunkify.

2014-03-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Let overload resolution make
	choice between variables and literals.
	src/algebra/scene.spad.pamphlet,
	src/algebra/tree.spad.pamphlet,
	src/algebra/pattern.spad.pamphlet,
	src/algebra/integer.spad.pamphlet,
	src/algebra/view3D.spad.pamphlet,
	src/algebra/view2D.spad.pamphlet,
	src/algebra/graph.spad.pamphlet: Adjust.

2014-03-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/outform.spad.pamphlet: Remove useless exports.

2014-03-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/int-top.boot: Fix 'ncloopEscaped'.

2014-03-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rep2.spad.pamphlet,
	src/algebra/groebf.spad.pamphlet: Stop using 'autoCoerce'
	in algebra.

2014-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Prefer String as argument
	type of 'error', report type errors when compiling
	to OutputForm.
	src/algebra/color.spad.pamphlet,
	src/algebra/outform.spad.pamphlet,
	src/algebra/fortran.spad.pamphlet,
	src/algebra/solvefor.spad.pamphlet,
	src/algebra/openmath.spad.pamphlet,
	src/algebra/jet.spad.pamphlet,
	src/algebra/array2.spad.pamphlet: Adjust.

2014-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fortran.spad.pamphlet,
	src/algebra/forttyp.spad.pamphlet,
	src/algebra/Makefile.in,
	src/algebra/fortpak.spad.pamphlet,
	src/interp/newfort.boot: Partial cleanup of Fortran
	generating code.

2014-03-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/rinterp.spad.pamphlet,
	src/algebra/rec.spad.pamphlet: De-hunkify.

2014-03-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/Makefile.in, src/etc/gen-cpl.lisp:  Generate
	command.list.
	configure.ac, src/Makefile.in: Adjust
	src/share/Makefile.in, src/share/algebra/command.list: Remove.

2014-03-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot, src/interp/parse.boot:
	Assign Boolean type to temporary variables for conditions.

2014-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Signal error on untyped
	Lisp forms.
	src/algebra/*: Adjust.

2014-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot: Fix 'isDefaultPackageForm?'

2014-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scan.boot, src/interp/int-top.boot:
	Respect continuation characters in comments.

2014-03-22  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/Makefile.in (xmpexp.ht): bugfix selection of examples

2014-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot, src/interp/i-syscmd.boot,
	src/interp/format.boot, src/interp/nruncomp.boot,
	src/interp/nrunopt.boot, rc/interp/br-con.boot,
	src/interp/compiler.boot, src/doc/ht/man0.ht:
	Misc cleanups.

2014-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/wtpol.spad.pamphlet: Implement missing
	function.

2014-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/si.spad.pamphlet: Add convertion from
	SingleInteger to String.

2014-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/s-parser.boot, src/interp/c-util.boot,
	src/interp/modemap.boot, src/interp/postpar.boot,
	src/interp/property.lisp, src/interp/parse.boot,
	src/interp/compiler.boot: Use 'Sel' instead of
	'elt' to represent '$' qualification.

2014-03-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sex.spad.pamphlet,
	src/algebra/genufact.spad.pamphlet,
	src/algebra/fortran.spad.pamphlet: Decouple SExpression
	and OutputForm.

2014-03-19  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/aldor/aldor/axiom.as: bugfix: comma --> semicolon

2014-03-15  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/interp/foam_l.lisp: do not change case of filename

2014-03-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot, src/interp/interop.boot,
	src/interp/buildom.boot, src/interp/i-coerce.boot:
	Consistently use string quotes in output form
	of types like "failed".

2014-03-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-boot.boot, src/interp/define.boot,
	src/interp/slam.boot: When compiling constructors ignore
	previous information about constructor kind.

2014-03-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ncomp.boot: Stop compilation on precompilation
	errors.

2014-03-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/int-top.boot: Do not loose input lines with
	empty continuation.

2014-03-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scwrap2.boot: Restore support for "<<" and ">>".

2014-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/wtpol.spad.pamphlet: Implement missing function.

2014-03-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* compiler.boot: Fix multiple assignment from a list.

2014-03-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/format.boot: Avoid crash when showing
	operations in SAE.

2014-02-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/perm.spad.pamphlet,
	src/algebra/ssolve.spad.pamphlet,
	src/algebra/dhmatrix.spad.pamphlet,
	src/algebra/numtheor.spad.pamphlet: Dechunkify.
	src/input/perm.input: Add test code from Spad file.

2014-02-06  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/interp/ax.boot: fix rename 'setelt' to 'setelt!'

	* src/aldor/aldor/axextend.as: sync with aldor version

2014-02-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scan.boot: Treat page control char as
	whitespace.

2014-01-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad.pamphlet: Make sure formal
	derivatives are commutative.

2014-01-21  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/input/Makefile.in, src/input/bugs2014.input,
	src/algebra/fspace.spad.pamphlet: fix comparison of arguments

2014-01-21  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/input/bugs2013.input: fix testcase

2013-11-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* *: Rename 'setelt' to 'setelt!'.

2013-11-24  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/interp/setq.lisp: fix ")version" command

2013-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compat.boot, src/interp/nlib.lisp,
	src/interp/database.boot:  Fix HyperDoc errors in
	'Dependants' and 'Users'.

2013-11-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad.pamphlet,
	src/algebra/list.spad.pamphlet: Add 'qsetfirst!' and 'qsetrest!'.
	src/lisp/primitives.lisp: Add 'qset_first' and 'qset_rest'.

2013-11-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/bags.spad.pamphlet,
	src/algebra/aggcat.spad.pamphlet: Implement missing functions
	in Dequeue.
	src/algebra/mset.spad.pamphlet: Remove unused 'bag'.

2013-11-16  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/etc/fricas: remove SPAD variable

2013-11-16  Ralf Hemmecke  <ralf@hemmecke.org>

	* Makefile.in, src/etc/fricas, src/interp/i-syscmd.boot: find
	aldor at startup

2013-11-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/bags.spad.pamphlet,
	src/algebra/aggcat.spad.pamphlet,
	src/algebra/lmdict.spad.pamphlet,
	src/algebra/array1.spad.pamphlet,
	src/input/bags.input: Fix ArrayStack.

2013-11-15  Peter Broadbery <p.broadbery@gmail.com>

	* src/interp/hashcode.boot, src/interp/foam_l.lisp: Sync with
	aldor hash function. Note that this change makes older versions of
	aldor incompatible with this code.

2013-11-15  Peter Broadbery <p.broadbery@gmail.com>

	* src/interp/interop.boot: Don't try to evaluate conditions on
	categories where the category is already unconditionally part of a
	category's parents.

2013-11-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-opt.boot: Use different symbols for labels
	and values.

2013-10-12  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/aldor/Makefile.in: make clean now does not remove cliques.as

2013-09-30  Raoul Bourquin <raoulb@bluewin.ch>

	* src/algebra/combfunc.spad.pamphlet: Evaluate the lambertW
	function for the special value at -1/e.

2013-09-27  Ralf Hemmecke  <ralf@hemmecke.org>
	* src/aldor/Makefile.in, src/aldor/Makefile3.in,
	configure.ac: Update for free Aldor.
	src/aldor/aldor: Add needed files from Aldor distribution.

2013-09-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in, src/interp/Makefile.in,
	src/doc/Makefile.in, src/etc/Makefile.in: Makefile fixes.
	src/scripts/mkdist.sh: Update.

2013-09-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot, src/interp/scwrap2.boot:
	Restore pile mode after ')read' or ')compile'.

2013-09-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad.pamphlet,
	src/algebra/curve.spad.pamphlet: Fix wrong changes of variables.

2013-09-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intalg.spad.pamphlet,
	src/algebra/funcpkgs.spad.pamphlet: Factor Trager
	resultant in appropriate extension.

2013-09-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad.pamphlet,
	src/algebra/integrat.spad.pamphlet: Eliminate irrationals
	introduced by Euler substitution.

2013-09-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Update for future gcl-2.6.1x versions.

2013-09-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/incl.boot, src/share/doc/msgs/s2-us.msgs:
	Fix error messages about included files.

2013-09-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/primitives.lisp: Allow floating point
	optimizations for Clozure CL 1.8 and up.

2013-09-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/modhpsol.spad.pamphlet,
	src/algebra/rec.spad.pamphlet: Minor cleanups.

2013-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fs2ups.spad.pamphlet: Add expander
	for undefined functions.
	src/input/series3.input: New file.
	src/input/Makefile.in: Adjust.

2013-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad.pamphlet: More efficient
	equality for formal derivatives.

2013-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/primitives.lisp: Fix problem with gcl-2.6.9
	and up.

2013-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet: Fix derivatives
	of Whittaker functions.

2013-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intrf.spad.pamphlet,
	src/algebra/intef.spad.pamphlet: Preliminary support for
	integrating lambertW.
	src/input/integ.input, src/input/pmint.input: Update tests.

2013-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/serexp.spad.pamphlet,
	src/algebra/combfunc.spad.pamphlet,
	src/algebra/fs2ups.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/mrv_limit.spad.pamphlet: Handle a few tractable
	functions.
	src/algebra/limitps.spad.pamphlet: Use 'mrv_limit' more.
	src/input/limit.input: New file.
	src/input/Makefile.in: Adjust.

2013-09-09  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/distro.spad.pamphlet: missing conditional
	fixed.

2013-09-03  Franz Lehner  <lehner@math.tugraz.at>

	* src/algebra/distro.spad.pamphlet, src/algebra/distro.input:
	cleanup of moment package and missing transformation from
	monotone cumulants to moments added.

2013-08-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/divisor.spad.pamphlet: More efficient
	modular rowEchelon.

2013-08-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/num_gmp.lisp: Compile Clozure CL GMP support
	only on AMD64.

2013-08-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Accept Clozure CL 1.1x as new enough.

2013-08-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Smith form using Dumas-Heckenbach method.
	* src/algebra/smith2.spad.pamphlet: New file.
	src/algebra/Makefile.in,
	src/algebra/smith.spad.pamphlet: Adjust.

2013-08-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/divisor.spad.pamphlet: More efficient
	norm of fractional ideals.

2013-08-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mantepse.spad.pamphlet.
	src/algebra/Makefile.in: Clean up guessing package.

2013-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/posit.boot, src/interp/nruncomp.boot,
	src/interp/i-eval.boot, src/interp/postpar.boot,
	src/interp/parse.boot: Misc cleanup.

2013-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Fix handling of nested
	anonymous functions.

2013-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in, src/Makefile.in, src/algebra/Makefile.in,
	src/graph/Makefile.in, src/boot/Makefile.in,
	src/lib/Makefile.in, src/lisp/Makefile.in,
	src/etc/Makefile.in, config/setup-dep.mk: Makefile cleanup.

2013-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-package.lisp: With ECL by default use
	safety 0.

2013-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sf.spad.pamphlet,
	src/lisp/primitives.lisp: Add primitive for DoubleFloat abs.

2013-08-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/pgcd.spad.pamphlet,
	src/algebra/reclos.spad.pamphlet,
	src/algebra/ore.spad.pamphlet: Clean up
	obsolete/excessive comments.

2013-08-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scwrap2.boot, src/interp/pile.boot:
	More reasonable pile rules.

2013-08-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in, src/interp/util.lisp,
	src/interp/i-syscmd.boot, src/interp/compat.boot,
	src/interp/nlib.lisp, src/interp/database.boot,
	src/interp/lisplib.boot, src/interp/br-con.boot,
	src/interp/setvars.boot, src/lisp/fricas-lisp.lisp,
	src/lisp/fricas-package.lisp: Misc cleanups.
	src/interp/astr.boot: Delete, move content to
	src/interp/ptrees.boot.
	src/interp/cformat.boot: Delete, move content to
	src/interp/incl.boot.

2013-08-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad.pamphlet,
	src/algebra/combfunc.spad.pamphlet
	src/algebra/algfunc.spad.pamphlet: Clean up
	obsolete/excessive comments.

2013-08-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* *: De-literate src/input subdirectory.

2013-08-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/*: De-literate src/etc subdirectory.

2013-08-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/algebra/rdeefx.spad.pamphlet:
	Add package for linear dependence over constants.

2013-08-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-boot.boot: Fix build with gcl.

2013-08-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/build_helper, src/algebra/Makefile.in
	src/interp/Makefile.in, src/lisp/Makefile.in,
	src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp,
	src/etc/Makefile.in, config/var-def.mk: Clean up of
	build system.

2013-07-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/files.spad.pamphlet,
	src/lisp/primitives.lisp: Really use Lisp type
	declarations.

2013-07-28  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/doc/Makefile.in: Fix mobius build with optional xvfb-run.

2013-07-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec1.boot: Allow idempotent redeclaration
	of mapping mode.

2013-07-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/string.spad.pamphlet,
	src/algebra/Makefile.in, src/interp/Makefile.in
	src/interp/util.lisp, src/interp/scan.boot,
	src/interp/br-data.boot, src/interp/clam.boot,
	src/interp/cattable.boot, src/interp/daase.lisp,
	src/interp/g-boot.boot, src/interp/macros.lisp,
	src/interp/define.boot, src/interp/msgdb.boot,
	src/interp/lisplib.boot, src/interp/br-op1.boot,
	src/interp/vmlisp.lisp, src/interp/scwrap2.boot,
	src/boot/typrops.boot, src/boot/initial-env.lisp,
	src/boot/compiled/btscan2.clisp,
	src/boot/compiled/typrops.clisp,
	src/boot/btscan2.boot, src/lisp/primitives.lisp,
	src/lisp/fricas-package.lisp: Misc cleanups.

2013-07-25  Krystian Baclawski <krystian.baclawski@gmail.com>

	* src/interp/g-boot.boot, src/interp/define.boot,
	src/interp/compiler.boot, src/lisp/primitives.lisp:
	Add type declarations to Lisp output.

2013-07-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Fix compilation of
	'has' in a function.

2013-07-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/template.boot: remove, move content to
	'nrunfast.boot', 'database.boot' and 'nruncomp.boot'.
	src/interp/Makefile.in: Adjust.
	src/interp/parsing.lisp, src/interp/lisplib.boot,
	src/interp/nruncomp.boot, src/interp/scwrap2.boot,
	src/interp/property.lisp, src/interp/spad.lisp,
	src/interp/compiler.boot: Clean up.

2013-07-24  Ralf Hemmecke  <ralf@hemmecke.org>

	* src/boot/Makefile.in:  Remove AX_FLAGS.

2013-07-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

